require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__CPM_8XX__)) {
    eval 'sub __CPM_8XX__ () {1;}' unless defined(&__CPM_8XX__);
    require 'linux/config.ph';
    require 'asm/8xx_immap.ph';
    eval 'sub CPM_CR_RST () {(0x8000);}' unless defined(&CPM_CR_RST);
    eval 'sub CPM_CR_OPCODE () {(0xf00);}' unless defined(&CPM_CR_OPCODE);
    eval 'sub CPM_CR_CHAN () {(0xf0);}' unless defined(&CPM_CR_CHAN);
    eval 'sub CPM_CR_FLG () {(0x1);}' unless defined(&CPM_CR_FLG);
    eval 'sub CPM_CR_INIT_TRX () {(0x);}' unless defined(&CPM_CR_INIT_TRX);
    eval 'sub CPM_CR_INIT_RX () {(0x1);}' unless defined(&CPM_CR_INIT_RX);
    eval 'sub CPM_CR_INIT_TX () {(0x2);}' unless defined(&CPM_CR_INIT_TX);
    eval 'sub CPM_CR_HUNT_MODE () {(0x3);}' unless defined(&CPM_CR_HUNT_MODE);
    eval 'sub CPM_CR_STOP_TX () {(0x4);}' unless defined(&CPM_CR_STOP_TX);
    eval 'sub CPM_CR_RESTART_TX () {(0x6);}' unless defined(&CPM_CR_RESTART_TX);
    eval 'sub CPM_CR_SET_GADDR () {(0x8);}' unless defined(&CPM_CR_SET_GADDR);
    eval 'sub CPM_CR_CH_SCC1 () {(0x);}' unless defined(&CPM_CR_CH_SCC1);
    eval 'sub CPM_CR_CH_I2C () {(0x1);}' unless defined(&CPM_CR_CH_I2C);
    eval 'sub CPM_CR_CH_SCC2 () {(0x4);}' unless defined(&CPM_CR_CH_SCC2);
    eval 'sub CPM_CR_CH_SPI () {(0x5);}' unless defined(&CPM_CR_CH_SPI);
    eval 'sub CPM_CR_CH_SCC3 () {(0x8);}' unless defined(&CPM_CR_CH_SCC3);
    eval 'sub CPM_CR_CH_SMC1 () {(0x9);}' unless defined(&CPM_CR_CH_SMC1);
    eval 'sub CPM_CR_CH_SCC4 () {(0xc);}' unless defined(&CPM_CR_CH_SCC4);
    eval 'sub CPM_CR_CH_SMC2 () {(0xd);}' unless defined(&CPM_CR_CH_SMC2);
    eval 'sub mk_cr_cmd {
        my($CH, $CMD) = @_;
	    eval q((($CMD << 8) | ($CH << 4)));
    }' unless defined(&mk_cr_cmd);
    eval 'sub CPM_DATAONLY_BASE () {(0x800);}' unless defined(&CPM_DATAONLY_BASE);
    eval 'sub CPM_DATAONLY_SIZE () {(0x700);}' unless defined(&CPM_DATAONLY_SIZE);
    eval 'sub CPM_DP_NOSPACE () {(0x7fffffff);}' unless defined(&CPM_DP_NOSPACE);
    eval 'sub BD_SC_EMPTY () {(0x8000);}' unless defined(&BD_SC_EMPTY);
    eval 'sub BD_SC_READY () {(0x8000);}' unless defined(&BD_SC_READY);
    eval 'sub BD_SC_WRAP () {(0x2000);}' unless defined(&BD_SC_WRAP);
    eval 'sub BD_SC_INTRPT () {(0x1000);}' unless defined(&BD_SC_INTRPT);
    eval 'sub BD_SC_LAST () {(0x800);}' unless defined(&BD_SC_LAST);
    eval 'sub BD_SC_CM () {(0x200);}' unless defined(&BD_SC_CM);
    eval 'sub BD_SC_ID () {(0x100);}' unless defined(&BD_SC_ID);
    eval 'sub BD_SC_P () {(0x100);}' unless defined(&BD_SC_P);
    eval 'sub BD_SC_BR () {(0x20);}' unless defined(&BD_SC_BR);
    eval 'sub BD_SC_FR () {(0x10);}' unless defined(&BD_SC_FR);
    eval 'sub BD_SC_PR () {(0x8);}' unless defined(&BD_SC_PR);
    eval 'sub BD_SC_OV () {(0x2);}' unless defined(&BD_SC_OV);
    eval 'sub BD_SC_CD () {(0x1);}' unless defined(&BD_SC_CD);
    eval 'sub PROFF_SCC1 () {(0x);}' unless defined(&PROFF_SCC1);
    eval 'sub PROFF_IIC () {(0x80);}' unless defined(&PROFF_IIC);
    eval 'sub PROFF_SCC2 () {(0x100);}' unless defined(&PROFF_SCC2);
    eval 'sub PROFF_SCC3 () {(0x200);}' unless defined(&PROFF_SCC3);
    eval 'sub PROFF_SMC1 () {(0x280);}' unless defined(&PROFF_SMC1);
    eval 'sub PROFF_SCC4 () {(0x300);}' unless defined(&PROFF_SCC4);
    eval 'sub PROFF_SMC2 () {(0x380);}' unless defined(&PROFF_SMC2);
    eval 'sub SMC_EB () {(0x10);}' unless defined(&SMC_EB);
    eval 'sub SMCMR_REN () {(0x1);}' unless defined(&SMCMR_REN);
    eval 'sub SMCMR_TEN () {(0x2);}' unless defined(&SMCMR_TEN);
    eval 'sub SMCMR_DM () {(0xc);}' unless defined(&SMCMR_DM);
    eval 'sub SMCMR_SM_GCI () {(0x);}' unless defined(&SMCMR_SM_GCI);
    eval 'sub SMCMR_SM_UART () {(0x20);}' unless defined(&SMCMR_SM_UART);
    eval 'sub SMCMR_SM_TRANS () {(0x30);}' unless defined(&SMCMR_SM_TRANS);
    eval 'sub SMCMR_SM_MASK () {(0x30);}' unless defined(&SMCMR_SM_MASK);
    eval 'sub SMCMR_PM_EVEN () {(0x100);}' unless defined(&SMCMR_PM_EVEN);
    eval 'sub SMCMR_REVD () { &SMCMR_PM_EVEN;}' unless defined(&SMCMR_REVD);
    eval 'sub SMCMR_PEN () {(0x200);}' unless defined(&SMCMR_PEN);
    eval 'sub SMCMR_BS () { &SMCMR_PEN;}' unless defined(&SMCMR_BS);
    eval 'sub SMCMR_SL () {(0x400);}' unless defined(&SMCMR_SL);
    eval 'sub SMCR_CLEN_MASK () {(0x7800);}' unless defined(&SMCR_CLEN_MASK);
    eval 'sub smcr_mk_clen {
        my($C) = @_;
	    eval q(((($C) << 11) &  &SMCR_CLEN_MASK));
    }' unless defined(&smcr_mk_clen);
    eval 'sub SMC_CENT_F () {(0x8);}' unless defined(&SMC_CENT_F);
    eval 'sub SMC_CENT_PE () {(0x4);}' unless defined(&SMC_CENT_PE);
    eval 'sub SMC_CENT_S () {(0x2);}' unless defined(&SMC_CENT_S);
    eval 'sub SMCM_BRKE () {(0x40);}' unless defined(&SMCM_BRKE);
    eval 'sub SMCM_BRK () {(0x10);}' unless defined(&SMCM_BRK);
    eval 'sub SMCM_TXE () {(0x10);}' unless defined(&SMCM_TXE);
    eval 'sub SMCM_BSY () {(0x4);}' unless defined(&SMCM_BSY);
    eval 'sub SMCM_TX () {(0x2);}' unless defined(&SMCM_TX);
    eval 'sub SMCM_RX () {(0x1);}' unless defined(&SMCM_RX);
    eval 'sub CPM_BRG_RST () {(0x20000);}' unless defined(&CPM_BRG_RST);
    eval 'sub CPM_BRG_EN () {(0x10000);}' unless defined(&CPM_BRG_EN);
    eval 'sub CPM_BRG_EXTC_INT () {(0x);}' unless defined(&CPM_BRG_EXTC_INT);
    eval 'sub CPM_BRG_EXTC_CLK2 () {(0x4000);}' unless defined(&CPM_BRG_EXTC_CLK2);
    eval 'sub CPM_BRG_EXTC_CLK6 () {(0x8000);}' unless defined(&CPM_BRG_EXTC_CLK6);
    eval 'sub CPM_BRG_ATB () {(0x2000);}' unless defined(&CPM_BRG_ATB);
    eval 'sub CPM_BRG_CD_MASK () {(0x1ffe);}' unless defined(&CPM_BRG_CD_MASK);
    eval 'sub CPM_BRG_DIV16 () {(0x1);}' unless defined(&CPM_BRG_DIV16);
    eval 'sub SCC_GSMRH_IRP () {(0x40000);}' unless defined(&SCC_GSMRH_IRP);
    eval 'sub SCC_GSMRH_GDE () {(0x10000);}' unless defined(&SCC_GSMRH_GDE);
    eval 'sub SCC_GSMRH_TCRC_CCITT () {(0x8000);}' unless defined(&SCC_GSMRH_TCRC_CCITT);
    eval 'sub SCC_GSMRH_TCRC_BISYNC () {(0x4000);}' unless defined(&SCC_GSMRH_TCRC_BISYNC);
    eval 'sub SCC_GSMRH_TCRC_HDLC () {(0x);}' unless defined(&SCC_GSMRH_TCRC_HDLC);
    eval 'sub SCC_GSMRH_REVD () {(0x2000);}' unless defined(&SCC_GSMRH_REVD);
    eval 'sub SCC_GSMRH_TRX () {(0x1000);}' unless defined(&SCC_GSMRH_TRX);
    eval 'sub SCC_GSMRH_TTX () {(0x800);}' unless defined(&SCC_GSMRH_TTX);
    eval 'sub SCC_GSMRH_CDP () {(0x400);}' unless defined(&SCC_GSMRH_CDP);
    eval 'sub SCC_GSMRH_CTSP () {(0x200);}' unless defined(&SCC_GSMRH_CTSP);
    eval 'sub SCC_GSMRH_CDS () {(0x100);}' unless defined(&SCC_GSMRH_CDS);
    eval 'sub SCC_GSMRH_CTSS () {(0x80);}' unless defined(&SCC_GSMRH_CTSS);
    eval 'sub SCC_GSMRH_TFL () {(0x40);}' unless defined(&SCC_GSMRH_TFL);
    eval 'sub SCC_GSMRH_RFW () {(0x20);}' unless defined(&SCC_GSMRH_RFW);
    eval 'sub SCC_GSMRH_TXSY () {(0x10);}' unless defined(&SCC_GSMRH_TXSY);
    eval 'sub SCC_GSMRH_SYNL16 () {(0xc);}' unless defined(&SCC_GSMRH_SYNL16);
    eval 'sub SCC_GSMRH_SYNL8 () {(0x8);}' unless defined(&SCC_GSMRH_SYNL8);
    eval 'sub SCC_GSMRH_SYNL4 () {(0x4);}' unless defined(&SCC_GSMRH_SYNL4);
    eval 'sub SCC_GSMRH_RTSM () {(0x2);}' unless defined(&SCC_GSMRH_RTSM);
    eval 'sub SCC_GSMRH_RSYN () {(0x1);}' unless defined(&SCC_GSMRH_RSYN);
    eval 'sub SCC_GSMRL_SIR () {(0x80000000);}' unless defined(&SCC_GSMRL_SIR);
    eval 'sub SCC_GSMRL_EDGE_NONE () {(0x60000000);}' unless defined(&SCC_GSMRL_EDGE_NONE);
    eval 'sub SCC_GSMRL_EDGE_NEG () {(0x40000000);}' unless defined(&SCC_GSMRL_EDGE_NEG);
    eval 'sub SCC_GSMRL_EDGE_POS () {(0x20000000);}' unless defined(&SCC_GSMRL_EDGE_POS);
    eval 'sub SCC_GSMRL_EDGE_BOTH () {(0x);}' unless defined(&SCC_GSMRL_EDGE_BOTH);
    eval 'sub SCC_GSMRL_TCI () {(0x10000000);}' unless defined(&SCC_GSMRL_TCI);
    eval 'sub SCC_GSMRL_TSNC_3 () {(0xc000000);}' unless defined(&SCC_GSMRL_TSNC_3);
    eval 'sub SCC_GSMRL_TSNC_4 () {(0x8000000);}' unless defined(&SCC_GSMRL_TSNC_4);
    eval 'sub SCC_GSMRL_TSNC_14 () {(0x4000000);}' unless defined(&SCC_GSMRL_TSNC_14);
    eval 'sub SCC_GSMRL_TSNC_INF () {(0x);}' unless defined(&SCC_GSMRL_TSNC_INF);
    eval 'sub SCC_GSMRL_RINV () {(0x2000000);}' unless defined(&SCC_GSMRL_RINV);
    eval 'sub SCC_GSMRL_TINV () {(0x1000000);}' unless defined(&SCC_GSMRL_TINV);
    eval 'sub SCC_GSMRL_TPL_128 () {(0xc00000);}' unless defined(&SCC_GSMRL_TPL_128);
    eval 'sub SCC_GSMRL_TPL_64 () {(0xa00000);}' unless defined(&SCC_GSMRL_TPL_64);
    eval 'sub SCC_GSMRL_TPL_48 () {(0x800000);}' unless defined(&SCC_GSMRL_TPL_48);
    eval 'sub SCC_GSMRL_TPL_32 () {(0x600000);}' unless defined(&SCC_GSMRL_TPL_32);
    eval 'sub SCC_GSMRL_TPL_16 () {(0x400000);}' unless defined(&SCC_GSMRL_TPL_16);
    eval 'sub SCC_GSMRL_TPL_8 () {(0x200000);}' unless defined(&SCC_GSMRL_TPL_8);
    eval 'sub SCC_GSMRL_TPL_NONE () {(0x);}' unless defined(&SCC_GSMRL_TPL_NONE);
    eval 'sub SCC_GSMRL_TPP_ALL1 () {(0x180000);}' unless defined(&SCC_GSMRL_TPP_ALL1);
    eval 'sub SCC_GSMRL_TPP_01 () {(0x100000);}' unless defined(&SCC_GSMRL_TPP_01);
    eval 'sub SCC_GSMRL_TPP_10 () {(0x80000);}' unless defined(&SCC_GSMRL_TPP_10);
    eval 'sub SCC_GSMRL_TPP_ZEROS () {(0x);}' unless defined(&SCC_GSMRL_TPP_ZEROS);
    eval 'sub SCC_GSMRL_TEND () {(0x40000);}' unless defined(&SCC_GSMRL_TEND);
    eval 'sub SCC_GSMRL_TDCR_32 () {(0x30000);}' unless defined(&SCC_GSMRL_TDCR_32);
    eval 'sub SCC_GSMRL_TDCR_16 () {(0x20000);}' unless defined(&SCC_GSMRL_TDCR_16);
    eval 'sub SCC_GSMRL_TDCR_8 () {(0x10000);}' unless defined(&SCC_GSMRL_TDCR_8);
    eval 'sub SCC_GSMRL_TDCR_1 () {(0x);}' unless defined(&SCC_GSMRL_TDCR_1);
    eval 'sub SCC_GSMRL_RDCR_32 () {(0xc000);}' unless defined(&SCC_GSMRL_RDCR_32);
    eval 'sub SCC_GSMRL_RDCR_16 () {(0x8000);}' unless defined(&SCC_GSMRL_RDCR_16);
    eval 'sub SCC_GSMRL_RDCR_8 () {(0x4000);}' unless defined(&SCC_GSMRL_RDCR_8);
    eval 'sub SCC_GSMRL_RDCR_1 () {(0x);}' unless defined(&SCC_GSMRL_RDCR_1);
    eval 'sub SCC_GSMRL_RENC_DFMAN () {(0x3000);}' unless defined(&SCC_GSMRL_RENC_DFMAN);
    eval 'sub SCC_GSMRL_RENC_MANCH () {(0x2000);}' unless defined(&SCC_GSMRL_RENC_MANCH);
    eval 'sub SCC_GSMRL_RENC_FM0 () {(0x1000);}' unless defined(&SCC_GSMRL_RENC_FM0);
    eval 'sub SCC_GSMRL_RENC_NRZI () {(0x800);}' unless defined(&SCC_GSMRL_RENC_NRZI);
    eval 'sub SCC_GSMRL_RENC_NRZ () {(0x);}' unless defined(&SCC_GSMRL_RENC_NRZ);
    eval 'sub SCC_GSMRL_TENC_DFMAN () {(0x600);}' unless defined(&SCC_GSMRL_TENC_DFMAN);
    eval 'sub SCC_GSMRL_TENC_MANCH () {(0x400);}' unless defined(&SCC_GSMRL_TENC_MANCH);
    eval 'sub SCC_GSMRL_TENC_FM0 () {(0x200);}' unless defined(&SCC_GSMRL_TENC_FM0);
    eval 'sub SCC_GSMRL_TENC_NRZI () {(0x100);}' unless defined(&SCC_GSMRL_TENC_NRZI);
    eval 'sub SCC_GSMRL_TENC_NRZ () {(0x);}' unless defined(&SCC_GSMRL_TENC_NRZ);
    eval 'sub SCC_GSMRL_DIAG_LE () {(0xc0);}' unless defined(&SCC_GSMRL_DIAG_LE);
    eval 'sub SCC_GSMRL_DIAG_ECHO () {(0x80);}' unless defined(&SCC_GSMRL_DIAG_ECHO);
    eval 'sub SCC_GSMRL_DIAG_LOOP () {(0x40);}' unless defined(&SCC_GSMRL_DIAG_LOOP);
    eval 'sub SCC_GSMRL_DIAG_NORM () {(0x);}' unless defined(&SCC_GSMRL_DIAG_NORM);
    eval 'sub SCC_GSMRL_ENR () {(0x20);}' unless defined(&SCC_GSMRL_ENR);
    eval 'sub SCC_GSMRL_ENT () {(0x10);}' unless defined(&SCC_GSMRL_ENT);
    eval 'sub SCC_GSMRL_MODE_ENET () {(0xc);}' unless defined(&SCC_GSMRL_MODE_ENET);
    eval 'sub SCC_GSMRL_MODE_DDCMP () {(0x9);}' unless defined(&SCC_GSMRL_MODE_DDCMP);
    eval 'sub SCC_GSMRL_MODE_BISYNC () {(0x8);}' unless defined(&SCC_GSMRL_MODE_BISYNC);
    eval 'sub SCC_GSMRL_MODE_V14 () {(0x7);}' unless defined(&SCC_GSMRL_MODE_V14);
    eval 'sub SCC_GSMRL_MODE_AHDLC () {(0x6);}' unless defined(&SCC_GSMRL_MODE_AHDLC);
    eval 'sub SCC_GSMRL_MODE_PROFIBUS () {(0x5);}' unless defined(&SCC_GSMRL_MODE_PROFIBUS);
    eval 'sub SCC_GSMRL_MODE_UART () {(0x4);}' unless defined(&SCC_GSMRL_MODE_UART);
    eval 'sub SCC_GSMRL_MODE_SS7 () {(0x3);}' unless defined(&SCC_GSMRL_MODE_SS7);
    eval 'sub SCC_GSMRL_MODE_ATALK () {(0x2);}' unless defined(&SCC_GSMRL_MODE_ATALK);
    eval 'sub SCC_GSMRL_MODE_HDLC () {(0x);}' unless defined(&SCC_GSMRL_MODE_HDLC);
    eval 'sub SCC_TODR_TOD () {(0x8000);}' unless defined(&SCC_TODR_TOD);
    eval 'sub SCCM_TXE () {(0x10);}' unless defined(&SCCM_TXE);
    eval 'sub SCCM_BSY () {(0x4);}' unless defined(&SCCM_BSY);
    eval 'sub SCCM_TX () {(0x2);}' unless defined(&SCCM_TX);
    eval 'sub SCCM_RX () {(0x1);}' unless defined(&SCCM_RX);
    eval 'sub SCC_EB () {(0x10);}' unless defined(&SCC_EB);
    if(defined(&CONFIG_MBX)) {
	eval 'sub PA_ENET_RXD () {(0x1);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x2);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_TCLK () {(0x200);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PA_ENET_RCLK () {(0x800);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PC_ENET_TENA () {(0x1);}' unless defined(&PC_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x10);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x20);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x3d);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_RPXLITE)) {
	eval 'sub PA_ENET_RXD () {(0x4);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x8);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_TCLK () {(0x200);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PA_ENET_RCLK () {(0x800);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PB_ENET_TENA () {(0x2000);}' unless defined(&PB_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x40);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x80);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff00);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x3d00);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_BSEIP)) {
	eval 'sub PA_ENET_RXD () {(0x4);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x8);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_TCLK () {(0x100);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PA_ENET_RCLK () {(0x200);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PB_ENET_TENA () {(0x2000);}' unless defined(&PB_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x40);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x80);}' unless defined(&PC_ENET_RENA);
	eval 'sub PB_BSE_POWERUP () {(0x4);}' unless defined(&PB_BSE_POWERUP);
	eval 'sub PB_BSE_FDXDIS () {(0x8000);}' unless defined(&PB_BSE_FDXDIS);
	eval 'sub PC_BSE_LOOPBACK () {(0x800);}' unless defined(&PC_BSE_LOOPBACK);
	eval 'sub SICR_ENET_MASK () {(0xff00);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x2c00);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_RPXCLASSIC)) {
	eval 'sub PA_ENET_RXD () {(0x1);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x2);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_TCLK () {(0x200);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PA_ENET_RCLK () {(0x800);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PB_ENET_TENA () {(0x1000);}' unless defined(&PB_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x10);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x20);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x3d);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_DBOX2)) {
	eval 'sub PA_ENET_RXD () {(0x4);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x8);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_RCLK () {(0x200);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PA_ENET_TCLK () {(0x800);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PC_ENET_TENA () {(0x2);}' unless defined(&PC_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x40);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x80);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff00);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x3d00);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined( &CONFIG_TQM823L) || defined( &CONFIG_TQM850L)) {
	eval 'sub PA_ENET_RXD () {(0x4);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x8);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_RCLK () {(0x100);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PA_ENET_TCLK () {(0x400);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PB_ENET_TENA () {(0x2000);}' unless defined(&PB_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x40);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x80);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff00);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x2600);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_FPS850L)) {
	eval 'sub PA_ENET_RXD () {(0x4);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x8);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_RCLK () {(0x100);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PA_ENET_TCLK () {(0x400);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PC_ENET_TENA () {(0x2);}' unless defined(&PC_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x40);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x80);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff00);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x2600);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_TQM860L)) {
	eval 'sub PA_ENET_RXD () {(0x1);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x2);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_RCLK () {(0x100);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PA_ENET_TCLK () {(0x400);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PC_ENET_TENA () {(0x1);}' unless defined(&PC_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x10);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x20);}' unless defined(&PC_ENET_RENA);
	eval 'sub SICR_ENET_MASK () {(0xff);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x26);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_SPD823TS)) {
	eval 'sub PA_ENET_MDC () {(0x1);}' unless defined(&PA_ENET_MDC);
	eval 'sub PA_ENET_MDIO () {(0x2);}' unless defined(&PA_ENET_MDIO);
	eval 'sub PA_ENET_RXD () {(0x4);}' unless defined(&PA_ENET_RXD);
	eval 'sub PA_ENET_TXD () {(0x8);}' unless defined(&PA_ENET_TXD);
	eval 'sub PA_ENET_RCLK () {(0x200);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PA_ENET_TCLK () {(0x400);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PB_ENET_TENA () {(0x2000);}' unless defined(&PB_ENET_TENA);
	eval 'sub PC_ENET_CLSN () {(0x40);}' unless defined(&PC_ENET_CLSN);
	eval 'sub PC_ENET_RENA () {(0x80);}' unless defined(&PC_ENET_RENA);
	eval 'sub PC_ENET_RESET () {(0x100);}' unless defined(&PC_ENET_RESET);
	eval 'sub SICR_ENET_MASK () {(0xff00);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x2e00);}' unless defined(&SICR_ENET_CLKRT);
    }
    if(defined(&CONFIG_SM850)) {
	eval 'sub PB_ENET_RXD () {(0x4);}' unless defined(&PB_ENET_RXD);
	eval 'sub PB_ENET_TXD () {(0x2);}' unless defined(&PB_ENET_TXD);
	eval 'sub PA_ENET_RCLK () {(0x100);}' unless defined(&PA_ENET_RCLK);
	eval 'sub PA_ENET_TCLK () {(0x400);}' unless defined(&PA_ENET_TCLK);
	eval 'sub PC_ENET_LBK () {(0x8);}' unless defined(&PC_ENET_LBK);
	eval 'sub PC_ENET_TENA () {(0x4);}' unless defined(&PC_ENET_TENA);
	eval 'sub PC_ENET_RENA () {(0x800);}' unless defined(&PC_ENET_RENA);
	eval 'sub PC_ENET_CLSN () {(0x400);}' unless defined(&PC_ENET_CLSN);
	eval 'sub SICR_ENET_MASK () {(0xff0000);}' unless defined(&SICR_ENET_MASK);
	eval 'sub SICR_ENET_CLKRT () {(0x260000);}' unless defined(&SICR_ENET_CLKRT);
    }
    eval 'sub SCCE_ENET_GRA () {(0x80);}' unless defined(&SCCE_ENET_GRA);
    eval 'sub SCCE_ENET_TXE () {(0x10);}' unless defined(&SCCE_ENET_TXE);
    eval 'sub SCCE_ENET_RXF () {(0x8);}' unless defined(&SCCE_ENET_RXF);
    eval 'sub SCCE_ENET_BSY () {(0x4);}' unless defined(&SCCE_ENET_BSY);
    eval 'sub SCCE_ENET_TXB () {(0x2);}' unless defined(&SCCE_ENET_TXB);
    eval 'sub SCCE_ENET_RXB () {(0x1);}' unless defined(&SCCE_ENET_RXB);
    eval 'sub SCC_PMSR_HBC () {(0x8000);}' unless defined(&SCC_PMSR_HBC);
    eval 'sub SCC_PMSR_FC () {(0x4000);}' unless defined(&SCC_PMSR_FC);
    eval 'sub SCC_PMSR_RSH () {(0x2000);}' unless defined(&SCC_PMSR_RSH);
    eval 'sub SCC_PMSR_IAM () {(0x1000);}' unless defined(&SCC_PMSR_IAM);
    eval 'sub SCC_PMSR_ENCRC () {(0x800);}' unless defined(&SCC_PMSR_ENCRC);
    eval 'sub SCC_PMSR_PRO () {(0x200);}' unless defined(&SCC_PMSR_PRO);
    eval 'sub SCC_PMSR_BRO () {(0x100);}' unless defined(&SCC_PMSR_BRO);
    eval 'sub SCC_PMSR_SBT () {(0x80);}' unless defined(&SCC_PMSR_SBT);
    eval 'sub SCC_PMSR_LPB () {(0x40);}' unless defined(&SCC_PMSR_LPB);
    eval 'sub SCC_PMSR_SIP () {(0x20);}' unless defined(&SCC_PMSR_SIP);
    eval 'sub SCC_PMSR_LCW () {(0x10);}' unless defined(&SCC_PMSR_LCW);
    eval 'sub SCC_PMSR_NIB22 () {(0xa);}' unless defined(&SCC_PMSR_NIB22);
    eval 'sub SCC_PMSR_FDE () {(0x1);}' unless defined(&SCC_PMSR_FDE);
    eval 'sub BD_ENET_RX_EMPTY () {(0x8000);}' unless defined(&BD_ENET_RX_EMPTY);
    eval 'sub BD_ENET_RX_WRAP () {(0x2000);}' unless defined(&BD_ENET_RX_WRAP);
    eval 'sub BD_ENET_RX_INTR () {(0x1000);}' unless defined(&BD_ENET_RX_INTR);
    eval 'sub BD_ENET_RX_LAST () {(0x800);}' unless defined(&BD_ENET_RX_LAST);
    eval 'sub BD_ENET_RX_FIRST () {(0x400);}' unless defined(&BD_ENET_RX_FIRST);
    eval 'sub BD_ENET_RX_MISS () {(0x100);}' unless defined(&BD_ENET_RX_MISS);
    eval 'sub BD_ENET_RX_LG () {(0x20);}' unless defined(&BD_ENET_RX_LG);
    eval 'sub BD_ENET_RX_NO () {(0x10);}' unless defined(&BD_ENET_RX_NO);
    eval 'sub BD_ENET_RX_SH () {(0x8);}' unless defined(&BD_ENET_RX_SH);
    eval 'sub BD_ENET_RX_CR () {(0x4);}' unless defined(&BD_ENET_RX_CR);
    eval 'sub BD_ENET_RX_OV () {(0x2);}' unless defined(&BD_ENET_RX_OV);
    eval 'sub BD_ENET_RX_CL () {(0x1);}' unless defined(&BD_ENET_RX_CL);
    eval 'sub BD_ENET_RX_STATS () {(0x13f);}' unless defined(&BD_ENET_RX_STATS);
    eval 'sub BD_ENET_TX_READY () {(0x8000);}' unless defined(&BD_ENET_TX_READY);
    eval 'sub BD_ENET_TX_PAD () {(0x4000);}' unless defined(&BD_ENET_TX_PAD);
    eval 'sub BD_ENET_TX_WRAP () {(0x2000);}' unless defined(&BD_ENET_TX_WRAP);
    eval 'sub BD_ENET_TX_INTR () {(0x1000);}' unless defined(&BD_ENET_TX_INTR);
    eval 'sub BD_ENET_TX_LAST () {(0x800);}' unless defined(&BD_ENET_TX_LAST);
    eval 'sub BD_ENET_TX_TC () {(0x400);}' unless defined(&BD_ENET_TX_TC);
    eval 'sub BD_ENET_TX_DEF () {(0x200);}' unless defined(&BD_ENET_TX_DEF);
    eval 'sub BD_ENET_TX_HB () {(0x100);}' unless defined(&BD_ENET_TX_HB);
    eval 'sub BD_ENET_TX_LC () {(0x80);}' unless defined(&BD_ENET_TX_LC);
    eval 'sub BD_ENET_TX_RL () {(0x40);}' unless defined(&BD_ENET_TX_RL);
    eval 'sub BD_ENET_TX_RCMASK () {(0x3c);}' unless defined(&BD_ENET_TX_RCMASK);
    eval 'sub BD_ENET_TX_UN () {(0x2);}' unless defined(&BD_ENET_TX_UN);
    eval 'sub BD_ENET_TX_CSL () {(0x1);}' unless defined(&BD_ENET_TX_CSL);
    eval 'sub BD_ENET_TX_STATS () {(0x3ff);}' unless defined(&BD_ENET_TX_STATS);
    eval 'sub UART_SCCM_GLR () {(0x1000);}' unless defined(&UART_SCCM_GLR);
    eval 'sub UART_SCCM_GLT () {(0x800);}' unless defined(&UART_SCCM_GLT);
    eval 'sub UART_SCCM_AB () {(0x200);}' unless defined(&UART_SCCM_AB);
    eval 'sub UART_SCCM_IDL () {(0x100);}' unless defined(&UART_SCCM_IDL);
    eval 'sub UART_SCCM_GRA () {(0x80);}' unless defined(&UART_SCCM_GRA);
    eval 'sub UART_SCCM_BRKE () {(0x40);}' unless defined(&UART_SCCM_BRKE);
    eval 'sub UART_SCCM_BRKS () {(0x20);}' unless defined(&UART_SCCM_BRKS);
    eval 'sub UART_SCCM_CCR () {(0x8);}' unless defined(&UART_SCCM_CCR);
    eval 'sub UART_SCCM_BSY () {(0x4);}' unless defined(&UART_SCCM_BSY);
    eval 'sub UART_SCCM_TX () {(0x2);}' unless defined(&UART_SCCM_TX);
    eval 'sub UART_SCCM_RX () {(0x1);}' unless defined(&UART_SCCM_RX);
    eval 'sub SCU_PMSR_FLC () {(0x8000);}' unless defined(&SCU_PMSR_FLC);
    eval 'sub SCU_PMSR_SL () {(0x4000);}' unless defined(&SCU_PMSR_SL);
    eval 'sub SCU_PMSR_CL () {(0x3000);}' unless defined(&SCU_PMSR_CL);
    eval 'sub SCU_PMSR_UM () {(0xc00);}' unless defined(&SCU_PMSR_UM);
    eval 'sub SCU_PMSR_FRZ () {(0x200);}' unless defined(&SCU_PMSR_FRZ);
    eval 'sub SCU_PMSR_RZS () {(0x100);}' unless defined(&SCU_PMSR_RZS);
    eval 'sub SCU_PMSR_SYN () {(0x80);}' unless defined(&SCU_PMSR_SYN);
    eval 'sub SCU_PMSR_DRT () {(0x40);}' unless defined(&SCU_PMSR_DRT);
    eval 'sub SCU_PMSR_PEN () {(0x10);}' unless defined(&SCU_PMSR_PEN);
    eval 'sub SCU_PMSR_RPM () {(0xc);}' unless defined(&SCU_PMSR_RPM);
    eval 'sub SCU_PMSR_REVP () {(0x8);}' unless defined(&SCU_PMSR_REVP);
    eval 'sub SCU_PMSR_TPM () {(0x3);}' unless defined(&SCU_PMSR_TPM);
    eval 'sub SCU_PMSR_TEVP () {(0x2);}' unless defined(&SCU_PMSR_TEVP);
    eval 'sub BD_SCC_TX_LAST () {(0x800);}' unless defined(&BD_SCC_TX_LAST);
    eval 'sub BD_IIC_START () {(0x400);}' unless defined(&BD_IIC_START);
    eval 'sub CPMVEC_NR () {32;}' unless defined(&CPMVEC_NR);
    eval 'sub CPMVEC_PIO_PC15 () {(0x1f);}' unless defined(&CPMVEC_PIO_PC15);
    eval 'sub CPMVEC_SCC1 () {(0x1e);}' unless defined(&CPMVEC_SCC1);
    eval 'sub CPMVEC_SCC2 () {(0x1d);}' unless defined(&CPMVEC_SCC2);
    eval 'sub CPMVEC_SCC3 () {(0x1c);}' unless defined(&CPMVEC_SCC3);
    eval 'sub CPMVEC_SCC4 () {(0x1b);}' unless defined(&CPMVEC_SCC4);
    eval 'sub CPMVEC_PIO_PC14 () {(0x1a);}' unless defined(&CPMVEC_PIO_PC14);
    eval 'sub CPMVEC_TIMER1 () {(0x19);}' unless defined(&CPMVEC_TIMER1);
    eval 'sub CPMVEC_PIO_PC13 () {(0x18);}' unless defined(&CPMVEC_PIO_PC13);
    eval 'sub CPMVEC_PIO_PC12 () {(0x17);}' unless defined(&CPMVEC_PIO_PC12);
    eval 'sub CPMVEC_SDMA_CB_ERR () {(0x16);}' unless defined(&CPMVEC_SDMA_CB_ERR);
    eval 'sub CPMVEC_IDMA1 () {(0x15);}' unless defined(&CPMVEC_IDMA1);
    eval 'sub CPMVEC_IDMA2 () {(0x14);}' unless defined(&CPMVEC_IDMA2);
    eval 'sub CPMVEC_TIMER2 () {(0x12);}' unless defined(&CPMVEC_TIMER2);
    eval 'sub CPMVEC_RISCTIMER () {(0x11);}' unless defined(&CPMVEC_RISCTIMER);
    eval 'sub CPMVEC_I2C () {(0x10);}' unless defined(&CPMVEC_I2C);
    eval 'sub CPMVEC_PIO_PC11 () {(0xf);}' unless defined(&CPMVEC_PIO_PC11);
    eval 'sub CPMVEC_PIO_PC10 () {(0xe);}' unless defined(&CPMVEC_PIO_PC10);
    eval 'sub CPMVEC_TIMER3 () {(0xc);}' unless defined(&CPMVEC_TIMER3);
    eval 'sub CPMVEC_PIO_PC9 () {(0xb);}' unless defined(&CPMVEC_PIO_PC9);
    eval 'sub CPMVEC_PIO_PC8 () {(0xa);}' unless defined(&CPMVEC_PIO_PC8);
    eval 'sub CPMVEC_PIO_PC7 () {(0x9);}' unless defined(&CPMVEC_PIO_PC7);
    eval 'sub CPMVEC_TIMER4 () {(0x7);}' unless defined(&CPMVEC_TIMER4);
    eval 'sub CPMVEC_PIO_PC6 () {(0x6);}' unless defined(&CPMVEC_PIO_PC6);
    eval 'sub CPMVEC_SPI () {(0x5);}' unless defined(&CPMVEC_SPI);
    eval 'sub CPMVEC_SMC1 () {(0x4);}' unless defined(&CPMVEC_SMC1);
    eval 'sub CPMVEC_SMC2 () {(0x3);}' unless defined(&CPMVEC_SMC2);
    eval 'sub CPMVEC_PIO_PC5 () {(0x2);}' unless defined(&CPMVEC_PIO_PC5);
    eval 'sub CPMVEC_PIO_PC4 () {(0x1);}' unless defined(&CPMVEC_PIO_PC4);
    eval 'sub CPMVEC_ERROR () {(0x);}' unless defined(&CPMVEC_ERROR);
    eval 'sub CICR_SCD_SCC4 () {(0xc00000);}' unless defined(&CICR_SCD_SCC4);
    eval 'sub CICR_SCC_SCC3 () {(0x200000);}' unless defined(&CICR_SCC_SCC3);
    eval 'sub CICR_SCB_SCC2 () {(0x40000);}' unless defined(&CICR_SCB_SCC2);
    eval 'sub CICR_SCA_SCC1 () {(0x);}' unless defined(&CICR_SCA_SCC1);
    eval 'sub CICR_IRL_MASK () {(0xe000);}' unless defined(&CICR_IRL_MASK);
    eval 'sub CICR_HP_MASK () {(0x1f00);}' unless defined(&CICR_HP_MASK);
    eval 'sub CICR_IEN () {(0x80);}' unless defined(&CICR_IEN);
    eval 'sub CICR_SPS () {(0x1);}' unless defined(&CICR_SPS);
}
1;
