require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASM_PPC_CPUTABLE_H)) {
    eval 'sub __ASM_PPC_CPUTABLE_H () {1;}' unless defined(&__ASM_PPC_CPUTABLE_H);
    eval 'sub PPC_FEATURE_32 () {0x80000000;}' unless defined(&PPC_FEATURE_32);
    eval 'sub PPC_FEATURE_64 () {0x40000000;}' unless defined(&PPC_FEATURE_64);
    eval 'sub PPC_FEATURE_601_INSTR () {0x20000000;}' unless defined(&PPC_FEATURE_601_INSTR);
    eval 'sub PPC_FEATURE_HAS_ALTIVEC () {0x10000000;}' unless defined(&PPC_FEATURE_HAS_ALTIVEC);
    eval 'sub PPC_FEATURE_HAS_FPU () {0x8000000;}' unless defined(&PPC_FEATURE_HAS_FPU);
    eval 'sub PPC_FEATURE_HAS_MMU () {0x4000000;}' unless defined(&PPC_FEATURE_HAS_MMU);
    eval 'sub PPC_FEATURE_HAS_4xxMAC () {0x2000000;}' unless defined(&PPC_FEATURE_HAS_4xxMAC);
    eval 'sub PPC_FEATURE_UNIFIED_CACHE () {0x1000000;}' unless defined(&PPC_FEATURE_UNIFIED_CACHE);
    if(defined(&__KERNEL__)) {
	unless(defined(&__ASSEMBLY__)) {
	}
	eval 'sub CPU_FTR_SPLIT_ID_CACHE () {0x1;}' unless defined(&CPU_FTR_SPLIT_ID_CACHE);
	eval 'sub CPU_FTR_L2CR () {0x2;}' unless defined(&CPU_FTR_L2CR);
	eval 'sub CPU_FTR_SPEC7450 () {0x4;}' unless defined(&CPU_FTR_SPEC7450);
	eval 'sub CPU_FTR_ALTIVEC () {0x8;}' unless defined(&CPU_FTR_ALTIVEC);
	eval 'sub CPU_FTR_TAU () {0x10;}' unless defined(&CPU_FTR_TAU);
	eval 'sub CPU_FTR_CAN_DOZE () {0x20;}' unless defined(&CPU_FTR_CAN_DOZE);
	eval 'sub CPU_FTR_USE_TB () {0x40;}' unless defined(&CPU_FTR_USE_TB);
	eval 'sub CPU_FTR_604_PERF_MON () {0x80;}' unless defined(&CPU_FTR_604_PERF_MON);
	eval 'sub CPU_FTR_601 () {0x100;}' unless defined(&CPU_FTR_601);
	eval 'sub CPU_FTR_HPTE_TABLE () {0x200;}' unless defined(&CPU_FTR_HPTE_TABLE);
	eval 'sub CPU_FTR_CAN_NAP () {0x400;}' unless defined(&CPU_FTR_CAN_NAP);
	eval 'sub CPU_FTR_L3CR () {0x800;}' unless defined(&CPU_FTR_L3CR);
	eval 'sub CPU_FTR_L3_DISABLE_NAP () {0x1000;}' unless defined(&CPU_FTR_L3_DISABLE_NAP);
	eval 'sub CPU_FTR_NAP_DISABLE_L2_PR () {0x2000;}' unless defined(&CPU_FTR_NAP_DISABLE_L2_PR);
	eval 'sub CPU_FTR_750FX () {0x4000;}' unless defined(&CPU_FTR_750FX);
	eval 'sub CPU_FTR_NO_DPM () {0x8000;}' unless defined(&CPU_FTR_NO_DPM);
	eval 'sub CPU_FTR_HAS_HIGH_BATS () {0x10000;}' unless defined(&CPU_FTR_HAS_HIGH_BATS);
	if(defined(&__ASSEMBLY__)) {
	    eval 'sub BEGIN_FTR_SECTION () {98:;}' unless defined(&BEGIN_FTR_SECTION);
	    eval 'sub END_FTR_SECTION {
	        my($msk, $val) = @_;
    		eval q(99: . &section  &__ftr_fixup,\\"a\\"; . &align 2; .\'long msk\'; .\'long val\'; .\'long 98b\'; .\'long 99b\'; . &previous);
	    }' unless defined(&END_FTR_SECTION);
	    eval 'sub END_FTR_SECTION_IFSET {
	        my($msk) = @_;
    		eval q( &END_FTR_SECTION(($msk), ($msk)));
	    }' unless defined(&END_FTR_SECTION_IFSET);
	    eval 'sub END_FTR_SECTION_IFCLR {
	        my($msk) = @_;
    		eval q( &END_FTR_SECTION(($msk), 0));
	    }' unless defined(&END_FTR_SECTION_IFCLR);
	}
    }
}
1;
