require '_h2ph_pre.ph';

no warnings 'redefine';

if(defined(&__KERNEL__)) {
    unless(defined(&__ASM_IBM44x_H__)) {
	eval 'sub __ASM_IBM44x_H__ () {1;}' unless defined(&__ASM_IBM44x_H__);
	require 'linux/config.ph';
	unless(defined(&__ASSEMBLY__)) {
	}
	unless(defined(&NR_BOARD_IRQS)) {
	    eval 'sub NR_BOARD_IRQS () {0;}' unless defined(&NR_BOARD_IRQS);
	}
	eval 'sub _IO_BASE () { &isa_io_base;}' unless defined(&_IO_BASE);
	eval 'sub _ISA_MEM_BASE () { &isa_mem_base;}' unless defined(&_ISA_MEM_BASE);
	eval 'sub PCI_DRAM_OFFSET () { &pci_dram_offset;}' unless defined(&PCI_DRAM_OFFSET);
	eval 'sub PPC44x_PIN_SHIFT () {28;}' unless defined(&PPC44x_PIN_SHIFT);
	eval 'sub PPC44x_PIN_SIZE () {(1<<  &PPC44x_PIN_SHIFT);}' unless defined(&PPC44x_PIN_SIZE);
	eval 'sub PPC44x_LOW_SLOT () {62;}' unless defined(&PPC44x_LOW_SLOT);
	eval 'sub PPC44x_IO_PAGE () {4294967296;}' unless defined(&PPC44x_IO_PAGE);
	eval 'sub PPC44x_PCICFG_PAGE () {8589934592;}' unless defined(&PPC44x_PCICFG_PAGE);
	eval 'sub PPC44x_PCIIO_PAGE () { &PPC44x_PCICFG_PAGE;}' unless defined(&PPC44x_PCIIO_PAGE);
	eval 'sub PPC44x_PCIMEM_PAGE () {12884901888;}' unless defined(&PPC44x_PCIMEM_PAGE);
	eval 'sub PPC44x_IO_LO () {0x40000000;}' unless defined(&PPC44x_IO_LO);
	eval 'sub PPC44x_IO_HI () {0x40001000;}' unless defined(&PPC44x_IO_HI);
	eval 'sub PPC44x_PCICFG_LO () {0xec00000;}' unless defined(&PPC44x_PCICFG_LO);
	eval 'sub PPC44x_PCICFG_HI () {0xec7ffff;}' unless defined(&PPC44x_PCICFG_HI);
	eval 'sub PPC44x_PCIMEM_LO () {0x80002000;}' unless defined(&PPC44x_PCIMEM_LO);
	eval 'sub PPC44x_PCIMEM_HI () {0xffffffff;}' unless defined(&PPC44x_PCIMEM_HI);
	unless(defined(&__ASSEMBLY__)) {
	    eval 'sub SPRN_CPC0_GPIO () {0xe5;}' unless defined(&SPRN_CPC0_GPIO);
	    if(defined(&CONFIG_440GX)) {
		eval 'sub DCRN_CPR_CONFIG_ADDR () {0xc;}' unless defined(&DCRN_CPR_CONFIG_ADDR);
		eval 'sub DCRN_CPR_CONFIG_DATA () {0xd;}' unless defined(&DCRN_CPR_CONFIG_DATA);
		eval 'sub DCRN_CPR_CLKUPD () {0x20;}' unless defined(&DCRN_CPR_CLKUPD);
		eval 'sub DCRN_CPR_PLLC () {0x40;}' unless defined(&DCRN_CPR_PLLC);
		eval 'sub DCRN_CPR_PLLD () {0x60;}' unless defined(&DCRN_CPR_PLLD);
		eval 'sub DCRN_CPR_PRIMAD () {0x80;}' unless defined(&DCRN_CPR_PRIMAD);
		eval 'sub DCRN_CPR_PRIMBD () {0xa0;}' unless defined(&DCRN_CPR_PRIMBD);
		eval 'sub DCRN_CPR_OPBD () {0xc0;}' unless defined(&DCRN_CPR_OPBD);
		eval 'sub DCRN_CPR_PERD () {0xe0;}' unless defined(&DCRN_CPR_PERD);
		eval 'sub DCRN_CPR_MALD () {0x100;}' unless defined(&DCRN_CPR_MALD);
		eval 'sub CPR_READ {
		    my($offset) = @_;
    		    eval q(({  &mtdcr( &DCRN_CPR_CONFIG_ADDR, $offset);  &mfdcr( &DCRN_CPR_CONFIG_DATA);}));
		}' unless defined(&CPR_READ);
		eval 'sub CPR_WRITE {
		    my($offset, $data) = @_;
    		    eval q(({  &mtdcr( &DCRN_CPR_CONFIG_ADDR, $offset);  &mtdcr( &DCRN_CPR_CONFIG_DATA, $data);}));
		}' unless defined(&CPR_WRITE);
		eval 'sub DCRN_SDR_CONFIG_ADDR () {0xe;}' unless defined(&DCRN_SDR_CONFIG_ADDR);
		eval 'sub DCRN_SDR_CONFIG_DATA () {0xf;}' unless defined(&DCRN_SDR_CONFIG_DATA);
		eval 'sub DCRN_SDR_PFC0 () {0x4100;}' unless defined(&DCRN_SDR_PFC0);
		eval 'sub DCRN_SDR_PFC1 () {0x4101;}' unless defined(&DCRN_SDR_PFC1);
		eval 'sub DCRN_SDR_MFR () {0x4300;}' unless defined(&DCRN_SDR_MFR);
		eval 'sub DCRN_SDR_MFR_TAH0 () {0x80000000;}' unless defined(&DCRN_SDR_MFR_TAH0);
		eval 'sub DCRN_SDR_MFR_TAH1 () {0x40000000;}' unless defined(&DCRN_SDR_MFR_TAH1);
		eval 'sub DCRN_SDR_MFR_PCM () {0x10000000;}' unless defined(&DCRN_SDR_MFR_PCM);
		eval 'sub DCRN_SDR_MFR_ECS () {0x8000000;}' unless defined(&DCRN_SDR_MFR_ECS);
		eval 'sub DCRN_SDR_MFR_T0TXFL () {0x80000;}' unless defined(&DCRN_SDR_MFR_T0TXFL);
		eval 'sub DCRN_SDR_MFR_T0TXFH () {0x40000;}' unless defined(&DCRN_SDR_MFR_T0TXFH);
		eval 'sub DCRN_SDR_MFR_T1TXFL () {0x20000;}' unless defined(&DCRN_SDR_MFR_T1TXFL);
		eval 'sub DCRN_SDR_MFR_T1TXFH () {0x10000;}' unless defined(&DCRN_SDR_MFR_T1TXFH);
		eval 'sub DCRN_SDR_MFR_E0TXFL () {0x8000;}' unless defined(&DCRN_SDR_MFR_E0TXFL);
		eval 'sub DCRN_SDR_MFR_E0TXFH () {0x4000;}' unless defined(&DCRN_SDR_MFR_E0TXFH);
		eval 'sub DCRN_SDR_MFR_E0RXFL () {0x2000;}' unless defined(&DCRN_SDR_MFR_E0RXFL);
		eval 'sub DCRN_SDR_MFR_E0RXFH () {0x1000;}' unless defined(&DCRN_SDR_MFR_E0RXFH);
		eval 'sub DCRN_SDR_MFR_E1TXFL () {0x800;}' unless defined(&DCRN_SDR_MFR_E1TXFL);
		eval 'sub DCRN_SDR_MFR_E1TXFH () {0x400;}' unless defined(&DCRN_SDR_MFR_E1TXFH);
		eval 'sub DCRN_SDR_MFR_E1RXFL () {0x200;}' unless defined(&DCRN_SDR_MFR_E1RXFL);
		eval 'sub DCRN_SDR_MFR_E1RXFH () {0x100;}' unless defined(&DCRN_SDR_MFR_E1RXFH);
		eval 'sub DCRN_SDR_MFR_E2TXFL () {0x80;}' unless defined(&DCRN_SDR_MFR_E2TXFL);
		eval 'sub DCRN_SDR_MFR_E2TXFH () {0x40;}' unless defined(&DCRN_SDR_MFR_E2TXFH);
		eval 'sub DCRN_SDR_MFR_E2RXFL () {0x20;}' unless defined(&DCRN_SDR_MFR_E2RXFL);
		eval 'sub DCRN_SDR_MFR_E2RXFH () {0x10;}' unless defined(&DCRN_SDR_MFR_E2RXFH);
		eval 'sub DCRN_SDR_MFR_E3TXFL () {0x8;}' unless defined(&DCRN_SDR_MFR_E3TXFL);
		eval 'sub DCRN_SDR_MFR_E3TXFH () {0x4;}' unless defined(&DCRN_SDR_MFR_E3TXFH);
		eval 'sub DCRN_SDR_MFR_E3RXFL () {0x2;}' unless defined(&DCRN_SDR_MFR_E3RXFL);
		eval 'sub DCRN_SDR_MFR_E3RXFH () {0x1;}' unless defined(&DCRN_SDR_MFR_E3RXFH);
		eval 'sub DCRN_SDR_UART0 () {0x120;}' unless defined(&DCRN_SDR_UART0);
		eval 'sub DCRN_SDR_UART1 () {0x121;}' unless defined(&DCRN_SDR_UART1);
		eval 'sub SDR_READ {
		    my($offset) = @_;
    		    eval q(({  &mtdcr( &DCRN_SDR_CONFIG_ADDR, $offset);  &mfdcr( &DCRN_SDR_CONFIG_DATA);}));
		}' unless defined(&SDR_READ);
		eval 'sub SDR_WRITE {
		    my($offset, $data) = @_;
    		    eval q(({  &mtdcr( &DCRN_SDR_CONFIG_ADDR, $offset);  &mtdcr( &DCRN_SDR_CONFIG_DATA,$data);}));
		}' unless defined(&SDR_WRITE);
	    }
	    eval 'sub DCRN_DMA0_BASE () {0x100;}' unless defined(&DCRN_DMA0_BASE);
	    eval 'sub DCRN_DMA1_BASE () {0x108;}' unless defined(&DCRN_DMA1_BASE);
	    eval 'sub DCRN_DMA2_BASE () {0x110;}' unless defined(&DCRN_DMA2_BASE);
	    eval 'sub DCRN_DMA3_BASE () {0x118;}' unless defined(&DCRN_DMA3_BASE);
	    eval 'sub DCRN_DMASR_BASE () {0x120;}' unless defined(&DCRN_DMASR_BASE);
	    eval 'sub DCRNCAP_DMA_SG () {1;}' unless defined(&DCRNCAP_DMA_SG);
	    eval 'sub DCRN_MAL_BASE () {0x180;}' unless defined(&DCRN_MAL_BASE);
	    eval 'sub DCRN_UIC0_BASE () {0xc0;}' unless defined(&DCRN_UIC0_BASE);
	    eval 'sub DCRN_UIC1_BASE () {0xd0;}' unless defined(&DCRN_UIC1_BASE);
	    eval 'sub UIC0 () { &DCRN_UIC0_BASE;}' unless defined(&UIC0);
	    eval 'sub UIC1 () { &DCRN_UIC1_BASE;}' unless defined(&UIC1);
	    eval 'sub DCRN_UIC_SR {
	        my($base) = @_;
    		eval q(($base + 0x));
	    }' unless defined(&DCRN_UIC_SR);
	    eval 'sub DCRN_UIC_ER {
	        my($base) = @_;
    		eval q(($base + 0x2));
	    }' unless defined(&DCRN_UIC_ER);
	    eval 'sub DCRN_UIC_CR {
	        my($base) = @_;
    		eval q(($base + 0x3));
	    }' unless defined(&DCRN_UIC_CR);
	    eval 'sub DCRN_UIC_PR {
	        my($base) = @_;
    		eval q(($base + 0x4));
	    }' unless defined(&DCRN_UIC_PR);
	    eval 'sub DCRN_UIC_TR {
	        my($base) = @_;
    		eval q(($base + 0x5));
	    }' unless defined(&DCRN_UIC_TR);
	    eval 'sub DCRN_UIC_MSR {
	        my($base) = @_;
    		eval q(($base + 0x6));
	    }' unless defined(&DCRN_UIC_MSR);
	    eval 'sub DCRN_UIC_VR {
	        my($base) = @_;
    		eval q(($base + 0x7));
	    }' unless defined(&DCRN_UIC_VR);
	    eval 'sub DCRN_UIC_VCR {
	        my($base) = @_;
    		eval q(($base + 0x8));
	    }' unless defined(&DCRN_UIC_VCR);
	    eval 'sub UIC0_UIC1NC () {30;}' unless defined(&UIC0_UIC1NC);
	    eval 'sub UIC0_UIC1CR () {31;}' unless defined(&UIC0_UIC1CR);
	    eval 'sub DCRN_MALCR {
	        my($base) = @_;
    		eval q(($base + 0x));
	    }' unless defined(&DCRN_MALCR);
	    eval 'sub DCRN_MALESR {
	        my($base) = @_;
    		eval q(($base + 0x1));
	    }' unless defined(&DCRN_MALESR);
	    eval 'sub DCRN_MALIER {
	        my($base) = @_;
    		eval q(($base + 0x2));
	    }' unless defined(&DCRN_MALIER);
	    eval 'sub DCRN_MALTXCASR {
	        my($base) = @_;
    		eval q(($base + 0x4));
	    }' unless defined(&DCRN_MALTXCASR);
	    eval 'sub DCRN_MALTXCARR {
	        my($base) = @_;
    		eval q(($base + 0x5));
	    }' unless defined(&DCRN_MALTXCARR);
	    eval 'sub DCRN_MALTXEOBISR {
	        my($base) = @_;
    		eval q(($base + 0x6));
	    }' unless defined(&DCRN_MALTXEOBISR);
	    eval 'sub DCRN_MALTXDEIR {
	        my($base) = @_;
    		eval q(($base + 0x7));
	    }' unless defined(&DCRN_MALTXDEIR);
	    eval 'sub DCRN_MALRXCASR {
	        my($base) = @_;
    		eval q(($base + 0x10));
	    }' unless defined(&DCRN_MALRXCASR);
	    eval 'sub DCRN_MALRXCARR {
	        my($base) = @_;
    		eval q(($base + 0x11));
	    }' unless defined(&DCRN_MALRXCARR);
	    eval 'sub DCRN_MALRXEOBISR {
	        my($base) = @_;
    		eval q(($base + 0x12));
	    }' unless defined(&DCRN_MALRXEOBISR);
	    eval 'sub DCRN_MALRXDEIR {
	        my($base) = @_;
    		eval q(($base + 0x13));
	    }' unless defined(&DCRN_MALRXDEIR);
	    eval 'sub DCRN_MALTXCTP0R {
	        my($base) = @_;
    		eval q(($base + 0x20));
	    }' unless defined(&DCRN_MALTXCTP0R);
	    eval 'sub DCRN_MALTXCTP1R {
	        my($base) = @_;
    		eval q(($base + 0x21));
	    }' unless defined(&DCRN_MALTXCTP1R);
	    eval 'sub DCRN_MALTXCTP2R {
	        my($base) = @_;
    		eval q(($base + 0x22));
	    }' unless defined(&DCRN_MALTXCTP2R);
	    eval 'sub DCRN_MALTXCTP3R {
	        my($base) = @_;
    		eval q(($base + 0x23));
	    }' unless defined(&DCRN_MALTXCTP3R);
	    eval 'sub DCRN_MALRXCTP0R {
	        my($base) = @_;
    		eval q(($base + 0x40));
	    }' unless defined(&DCRN_MALRXCTP0R);
	    eval 'sub DCRN_MALRXCTP1R {
	        my($base) = @_;
    		eval q(($base + 0x41));
	    }' unless defined(&DCRN_MALRXCTP1R);
	    eval 'sub DCRN_MALRCBS0 {
	        my($base) = @_;
    		eval q(($base + 0x60));
	    }' unless defined(&DCRN_MALRCBS0);
	    eval 'sub DCRN_MALRCBS1 {
	        my($base) = @_;
    		eval q(($base + 0x61));
	    }' unless defined(&DCRN_MALRCBS1);
	    eval 'sub DCRN_MALRXCTP2R {
	        my($base) = @_;
    		eval q((($base) + 0x42));
	    }' unless defined(&DCRN_MALRXCTP2R);
	    eval 'sub DCRN_MALRXCTP3R {
	        my($base) = @_;
    		eval q((($base) + 0x43));
	    }' unless defined(&DCRN_MALRXCTP3R);
	    eval 'sub DCRN_MALTXCTP4R {
	        my($base) = @_;
    		eval q((($base) + 0x24));
	    }' unless defined(&DCRN_MALTXCTP4R);
	    eval 'sub DCRN_MALTXCTP5R {
	        my($base) = @_;
    		eval q((($base) + 0x25));
	    }' unless defined(&DCRN_MALTXCTP5R);
	    eval 'sub DCRN_MALTXCTP6R {
	        my($base) = @_;
    		eval q((($base) + 0x26));
	    }' unless defined(&DCRN_MALTXCTP6R);
	    eval 'sub DCRN_MALTXCTP7R {
	        my($base) = @_;
    		eval q((($base) + 0x27));
	    }' unless defined(&DCRN_MALTXCTP7R);
	    eval 'sub DCRN_MALRCBS2 {
	        my($base) = @_;
    		eval q((($base) + 0x62));
	    }' unless defined(&DCRN_MALRCBS2);
	    eval 'sub DCRN_MALRCBS3 {
	        my($base) = @_;
    		eval q((($base) + 0x63));
	    }' unless defined(&DCRN_MALRCBS3);
	    eval 'sub MALCR_MMSR () {0x80000000;}' unless defined(&MALCR_MMSR);
	    eval 'sub MALCR_PLBP_1 () {0x400000;}' unless defined(&MALCR_PLBP_1);
	    eval 'sub MALCR_PLBP_2 () {0x800000;}' unless defined(&MALCR_PLBP_2);
	    eval 'sub MALCR_PLBP_3 () {0xc00000;}' unless defined(&MALCR_PLBP_3);
	    eval 'sub MALCR_GA () {0x200000;}' unless defined(&MALCR_GA);
	    eval 'sub MALCR_OA () {0x100000;}' unless defined(&MALCR_OA);
	    eval 'sub MALCR_PLBLE () {0x80000;}' unless defined(&MALCR_PLBLE);
	    eval 'sub MALCR_PLBLT_1 () {0x40000;}' unless defined(&MALCR_PLBLT_1);
	    eval 'sub MALCR_PLBLT_2 () {0x20000;}' unless defined(&MALCR_PLBLT_2);
	    eval 'sub MALCR_PLBLT_3 () {0x10000;}' unless defined(&MALCR_PLBLT_3);
	    eval 'sub MALCR_PLBLT_4 () {0x8000;}' unless defined(&MALCR_PLBLT_4);
	    if(defined(&CONFIG_440GP)) {
		eval 'sub MALCR_PLBLT_DEFAULT () {0x330000;}' unless defined(&MALCR_PLBLT_DEFAULT);
	    } else {
		eval 'sub MALCR_PLBLT_DEFAULT () {0xff0000;}' unless defined(&MALCR_PLBLT_DEFAULT);
	    }
	    eval 'sub MALCR_PLBB () {0x4000;}' unless defined(&MALCR_PLBB);
	    eval 'sub MALCR_OPBBL () {0x80;}' unless defined(&MALCR_OPBBL);
	    eval 'sub MALCR_EOPIE () {0x4;}' unless defined(&MALCR_EOPIE);
	    eval 'sub MALCR_LEA () {0x2;}' unless defined(&MALCR_LEA);
	    eval 'sub MALCR_MSD () {0x1;}' unless defined(&MALCR_MSD);
	    eval 'sub MALESR_EVB () {0x80000000;}' unless defined(&MALESR_EVB);
	    eval 'sub MALESR_CIDRX () {0x40000000;}' unless defined(&MALESR_CIDRX);
	    eval 'sub MALESR_DE () {0x100000;}' unless defined(&MALESR_DE);
	    eval 'sub MALESR_OEN () {0x80000;}' unless defined(&MALESR_OEN);
	    eval 'sub MALESR_OTE () {0x40000;}' unless defined(&MALESR_OTE);
	    eval 'sub MALESR_OSE () {0x20000;}' unless defined(&MALESR_OSE);
	    eval 'sub MALESR_PEIN () {0x10000;}' unless defined(&MALESR_PEIN);
	    eval 'sub MALESR_DEI () {0x10;}' unless defined(&MALESR_DEI);
	    eval 'sub MALESR_ONEI () {0x8;}' unless defined(&MALESR_ONEI);
	    eval 'sub MALESR_OTEI () {0x4;}' unless defined(&MALESR_OTEI);
	    eval 'sub MALESR_OSEI () {0x2;}' unless defined(&MALESR_OSEI);
	    eval 'sub MALESR_PBEI () {0x1;}' unless defined(&MALESR_PBEI);
	    eval 'sub MALIER_DE () {0x10;}' unless defined(&MALIER_DE);
	    eval 'sub MALIER_NE () {0x8;}' unless defined(&MALIER_NE);
	    eval 'sub MALIER_TE () {0x4;}' unless defined(&MALIER_TE);
	    eval 'sub MALIER_OPBE () {0x2;}' unless defined(&MALIER_OPBE);
	    eval 'sub MALIER_PLBE () {0x1;}' unless defined(&MALIER_PLBE);
	    eval 'sub MALOBISR_CH0 () {0x80000000;}' unless defined(&MALOBISR_CH0);
	    eval 'sub MALOBISR_CH2 () {0x40000000;}' unless defined(&MALOBISR_CH2);
	    eval 'sub DCRN_PLB0_REVID () {0x82;}' unless defined(&DCRN_PLB0_REVID);
	    eval 'sub DCRN_PLB0_ACR () {0x83;}' unless defined(&DCRN_PLB0_ACR);
	    eval 'sub DCRN_PLB0_BESR () {0x84;}' unless defined(&DCRN_PLB0_BESR);
	    eval 'sub DCRN_PLB0_BEARL () {0x86;}' unless defined(&DCRN_PLB0_BEARL);
	    eval 'sub DCRN_PLB0_BEAR () { &DCRN_PLB0_BEARL;}' unless defined(&DCRN_PLB0_BEAR);
	    eval 'sub DCRN_PLB0_BEARH () {0x87;}' unless defined(&DCRN_PLB0_BEARH);
	    eval 'sub DCRN_CPC0_SR () {0xb0;}' unless defined(&DCRN_CPC0_SR);
	    eval 'sub DCRN_CPC0_ER () {0xb1;}' unless defined(&DCRN_CPC0_ER);
	    eval 'sub DCRN_CPC0_FR () {0xb2;}' unless defined(&DCRN_CPC0_FR);
	    eval 'sub DCRN_CPC0_SYS0 () {0xe0;}' unless defined(&DCRN_CPC0_SYS0);
	    eval 'sub DCRN_CPC0_SYS1 () {0xe1;}' unless defined(&DCRN_CPC0_SYS1);
	    eval 'sub DCRN_CPC0_CUST0 () {0xe2;}' unless defined(&DCRN_CPC0_CUST0);
	    eval 'sub DCRN_CPC0_CUST1 () {0xe3;}' unless defined(&DCRN_CPC0_CUST1);
	    eval 'sub DCRN_CPC0_STRP0 () {0xe4;}' unless defined(&DCRN_CPC0_STRP0);
	    eval 'sub DCRN_CPC0_STRP1 () {0xe5;}' unless defined(&DCRN_CPC0_STRP1);
	    eval 'sub DCRN_CPC0_STRP2 () {0xe6;}' unless defined(&DCRN_CPC0_STRP2);
	    eval 'sub DCRN_CPC0_STRP3 () {0xe7;}' unless defined(&DCRN_CPC0_STRP3);
	    eval 'sub DCRN_CPC0_GPIO () {0xe8;}' unless defined(&DCRN_CPC0_GPIO);
	    eval 'sub DCRN_CPC0_PLB () {0xe9;}' unless defined(&DCRN_CPC0_PLB);
	    eval 'sub DCRN_CPC0_CR1 () {0xea;}' unless defined(&DCRN_CPC0_CR1);
	    eval 'sub DCRN_CPC0_CR0 () {0xeb;}' unless defined(&DCRN_CPC0_CR0);
	    eval 'sub DCRN_CPC0_MIRQ0 () {0xec;}' unless defined(&DCRN_CPC0_MIRQ0);
	    eval 'sub DCRN_CPC0_MIRQ1 () {0xed;}' unless defined(&DCRN_CPC0_MIRQ1);
	    eval 'sub DCRN_CPC0_JTAGID () {0xef;}' unless defined(&DCRN_CPC0_JTAGID);
	    eval 'sub DCRN_DMACR0 () {( &DCRN_DMA0_BASE + 0x);}' unless defined(&DCRN_DMACR0);
	    eval 'sub DCRN_DMACT0 () {( &DCRN_DMA0_BASE + 0x1);}' unless defined(&DCRN_DMACT0);
	    eval 'sub DCRN_DMASAH0 () {( &DCRN_DMA0_BASE + 0x2);}' unless defined(&DCRN_DMASAH0);
	    eval 'sub DCRN_DMASA0 () {( &DCRN_DMA0_BASE + 0x3);}' unless defined(&DCRN_DMASA0);
	    eval 'sub DCRN_DMADAH0 () {( &DCRN_DMA0_BASE + 0x4);}' unless defined(&DCRN_DMADAH0);
	    eval 'sub DCRN_DMADA0 () {( &DCRN_DMA0_BASE + 0x5);}' unless defined(&DCRN_DMADA0);
	    eval 'sub DCRN_ASGH0 () {( &DCRN_DMA0_BASE + 0x6);}' unless defined(&DCRN_ASGH0);
	    eval 'sub DCRN_ASG0 () {( &DCRN_DMA0_BASE + 0x7);}' unless defined(&DCRN_ASG0);
	    eval 'sub DCRN_DMACR1 () {( &DCRN_DMA1_BASE + 0x);}' unless defined(&DCRN_DMACR1);
	    eval 'sub DCRN_DMACT1 () {( &DCRN_DMA1_BASE + 0x1);}' unless defined(&DCRN_DMACT1);
	    eval 'sub DCRN_DMASAH1 () {( &DCRN_DMA1_BASE + 0x2);}' unless defined(&DCRN_DMASAH1);
	    eval 'sub DCRN_DMASA1 () {( &DCRN_DMA1_BASE + 0x3);}' unless defined(&DCRN_DMASA1);
	    eval 'sub DCRN_DMADAH1 () {( &DCRN_DMA1_BASE + 0x4);}' unless defined(&DCRN_DMADAH1);
	    eval 'sub DCRN_DMADA1 () {( &DCRN_DMA1_BASE + 0x5);}' unless defined(&DCRN_DMADA1);
	    eval 'sub DCRN_ASGH1 () {( &DCRN_DMA1_BASE + 0x6);}' unless defined(&DCRN_ASGH1);
	    eval 'sub DCRN_ASG1 () {( &DCRN_DMA1_BASE + 0x7);}' unless defined(&DCRN_ASG1);
	    eval 'sub DCRN_DMACR2 () {( &DCRN_DMA2_BASE + 0x);}' unless defined(&DCRN_DMACR2);
	    eval 'sub DCRN_DMACT2 () {( &DCRN_DMA2_BASE + 0x1);}' unless defined(&DCRN_DMACT2);
	    eval 'sub DCRN_DMASAH2 () {( &DCRN_DMA2_BASE + 0x2);}' unless defined(&DCRN_DMASAH2);
	    eval 'sub DCRN_DMASA2 () {( &DCRN_DMA2_BASE + 0x3);}' unless defined(&DCRN_DMASA2);
	    eval 'sub DCRN_DMADAH2 () {( &DCRN_DMA2_BASE + 0x4);}' unless defined(&DCRN_DMADAH2);
	    eval 'sub DCRN_DMADA2 () {( &DCRN_DMA2_BASE + 0x5);}' unless defined(&DCRN_DMADA2);
	    eval 'sub DCRN_ASGH2 () {( &DCRN_DMA2_BASE + 0x6);}' unless defined(&DCRN_ASGH2);
	    eval 'sub DCRN_ASG2 () {( &DCRN_DMA2_BASE + 0x7);}' unless defined(&DCRN_ASG2);
	    eval 'sub DCRN_DMACR3 () {( &DCRN_DMA3_BASE + 0x);}' unless defined(&DCRN_DMACR3);
	    eval 'sub DCRN_DMACT3 () {( &DCRN_DMA3_BASE + 0x1);}' unless defined(&DCRN_DMACT3);
	    eval 'sub DCRN_DMASAH3 () {( &DCRN_DMA3_BASE + 0x2);}' unless defined(&DCRN_DMASAH3);
	    eval 'sub DCRN_DMASA3 () {( &DCRN_DMA3_BASE + 0x3);}' unless defined(&DCRN_DMASA3);
	    eval 'sub DCRN_DMADAH3 () {( &DCRN_DMA3_BASE + 0x4);}' unless defined(&DCRN_DMADAH3);
	    eval 'sub DCRN_DMADA3 () {( &DCRN_DMA3_BASE + 0x5);}' unless defined(&DCRN_DMADA3);
	    eval 'sub DCRN_ASGH3 () {( &DCRN_DMA3_BASE + 0x6);}' unless defined(&DCRN_ASGH3);
	    eval 'sub DCRN_ASG3 () {( &DCRN_DMA3_BASE + 0x7);}' unless defined(&DCRN_ASG3);
	    eval 'sub DCRN_DMASR () {( &DCRN_DMASR_BASE + 0x);}' unless defined(&DCRN_DMASR);
	    eval 'sub DCRN_ASGC () {( &DCRN_DMASR_BASE + 0x3);}' unless defined(&DCRN_ASGC);
	    eval 'sub DCRN_SLP () {( &DCRN_DMASR_BASE + 0x5);}' unless defined(&DCRN_SLP);
	    eval 'sub DCRN_POL () {( &DCRN_DMASR_BASE + 0x6);}' unless defined(&DCRN_POL);
	    eval 'sub DCRN_SDRAM0_CFGADDR () {0x10;}' unless defined(&DCRN_SDRAM0_CFGADDR);
	    eval 'sub DCRN_SDRAM0_CFGDATA () {0x11;}' unless defined(&DCRN_SDRAM0_CFGDATA);
	    eval 'sub SDRAM0_B0CR () {0x40;}' unless defined(&SDRAM0_B0CR);
	    eval 'sub SDRAM0_B1CR () {0x44;}' unless defined(&SDRAM0_B1CR);
	    eval 'sub SDRAM0_B2CR () {0x48;}' unless defined(&SDRAM0_B2CR);
	    eval 'sub SDRAM0_B3CR () {0x4c;}' unless defined(&SDRAM0_B3CR);
	    eval 'sub SDRAM_CONFIG_BANK_ENABLE () {0x1;}' unless defined(&SDRAM_CONFIG_BANK_ENABLE);
	    eval 'sub SDRAM_CONFIG_SIZE_MASK () {0xe0000;}' unless defined(&SDRAM_CONFIG_SIZE_MASK);
	    eval 'sub SDRAM_CONFIG_BANK_SIZE {
	        my($reg) = @_;
    		eval q((($reg &  &SDRAM_CONFIG_SIZE_MASK) >> 17));
	    }' unless defined(&SDRAM_CONFIG_BANK_SIZE);
	    eval 'sub SDRAM_CONFIG_SIZE_8M () {0x1;}' unless defined(&SDRAM_CONFIG_SIZE_8M);
	    eval 'sub SDRAM_CONFIG_SIZE_16M () {0x2;}' unless defined(&SDRAM_CONFIG_SIZE_16M);
	    eval 'sub SDRAM_CONFIG_SIZE_32M () {0x3;}' unless defined(&SDRAM_CONFIG_SIZE_32M);
	    eval 'sub SDRAM_CONFIG_SIZE_64M () {0x4;}' unless defined(&SDRAM_CONFIG_SIZE_64M);
	    eval 'sub SDRAM_CONFIG_SIZE_128M () {0x5;}' unless defined(&SDRAM_CONFIG_SIZE_128M);
	    eval 'sub SDRAM_CONFIG_SIZE_256M () {0x6;}' unless defined(&SDRAM_CONFIG_SIZE_256M);
	    eval 'sub SDRAM_CONFIG_SIZE_512M () {0x7;}' unless defined(&SDRAM_CONFIG_SIZE_512M);
	    eval 'sub PPC44x_MEM_SIZE_8M () {0x800000;}' unless defined(&PPC44x_MEM_SIZE_8M);
	    eval 'sub PPC44x_MEM_SIZE_16M () {0x1000000;}' unless defined(&PPC44x_MEM_SIZE_16M);
	    eval 'sub PPC44x_MEM_SIZE_32M () {0x2000000;}' unless defined(&PPC44x_MEM_SIZE_32M);
	    eval 'sub PPC44x_MEM_SIZE_64M () {0x4000000;}' unless defined(&PPC44x_MEM_SIZE_64M);
	    eval 'sub PPC44x_MEM_SIZE_128M () {0x8000000;}' unless defined(&PPC44x_MEM_SIZE_128M);
	    eval 'sub PPC44x_MEM_SIZE_256M () {0x10000000;}' unless defined(&PPC44x_MEM_SIZE_256M);
	    eval 'sub PPC44x_MEM_SIZE_512M () {0x20000000;}' unless defined(&PPC44x_MEM_SIZE_512M);
	    if(defined(&CONFIG_440GX)) {
		eval 'sub DCRN_SRAM0_SB0CR () {0x20;}' unless defined(&DCRN_SRAM0_SB0CR);
		eval 'sub DCRN_SRAM0_SB1CR () {0x21;}' unless defined(&DCRN_SRAM0_SB1CR);
		eval 'sub DCRN_SRAM0_SB2CR () {0x22;}' unless defined(&DCRN_SRAM0_SB2CR);
		eval 'sub DCRN_SRAM0_SB3CR () {0x23;}' unless defined(&DCRN_SRAM0_SB3CR);
		eval 'sub SRAM_SBCR_BAS0 () {0x80000000;}' unless defined(&SRAM_SBCR_BAS0);
		eval 'sub SRAM_SBCR_BAS1 () {0x80010000;}' unless defined(&SRAM_SBCR_BAS1);
		eval 'sub SRAM_SBCR_BAS2 () {0x80020000;}' unless defined(&SRAM_SBCR_BAS2);
		eval 'sub SRAM_SBCR_BAS3 () {0x80030000;}' unless defined(&SRAM_SBCR_BAS3);
		eval 'sub SRAM_SBCR_BU_MASK () {0x180;}' unless defined(&SRAM_SBCR_BU_MASK);
		eval 'sub SRAM_SBCR_BS_64KB () {0x800;}' unless defined(&SRAM_SBCR_BS_64KB);
		eval 'sub SRAM_SBCR_BU_RO () {0x80;}' unless defined(&SRAM_SBCR_BU_RO);
		eval 'sub SRAM_SBCR_BU_RW () {0x180;}' unless defined(&SRAM_SBCR_BU_RW);
		eval 'sub DCRN_SRAM0_BEAR () {0x24;}' unless defined(&DCRN_SRAM0_BEAR);
		eval 'sub DCRN_SRAM0_BESR0 () {0x25;}' unless defined(&DCRN_SRAM0_BESR0);
		eval 'sub DCRN_SRAM0_BESR1 () {0x26;}' unless defined(&DCRN_SRAM0_BESR1);
		eval 'sub DCRN_SRAM0_PMEG () {0x27;}' unless defined(&DCRN_SRAM0_PMEG);
		eval 'sub DCRN_SRAM0_CID () {0x28;}' unless defined(&DCRN_SRAM0_CID);
		eval 'sub DCRN_SRAM0_REVID () {0x29;}' unless defined(&DCRN_SRAM0_REVID);
		eval 'sub DCRN_SRAM0_DPC () {0x2a;}' unless defined(&DCRN_SRAM0_DPC);
		eval 'sub SRAM_DPC_ENABLE () {0x80000000;}' unless defined(&SRAM_DPC_ENABLE);
		eval 'sub DCRN_L2C0_CFG () {0x30;}' unless defined(&DCRN_L2C0_CFG);
		eval 'sub L2C_CFG_L2M () {0x80000000;}' unless defined(&L2C_CFG_L2M);
		eval 'sub L2C_CFG_ICU () {0x40000000;}' unless defined(&L2C_CFG_ICU);
		eval 'sub L2C_CFG_DCU () {0x20000000;}' unless defined(&L2C_CFG_DCU);
		eval 'sub L2C_CFG_DCW_MASK () {0x1e000000;}' unless defined(&L2C_CFG_DCW_MASK);
		eval 'sub L2C_CFG_TPC () {0x1000000;}' unless defined(&L2C_CFG_TPC);
		eval 'sub L2C_CFG_CPC () {0x800000;}' unless defined(&L2C_CFG_CPC);
		eval 'sub L2C_CFG_FRAN () {0x200000;}' unless defined(&L2C_CFG_FRAN);
		eval 'sub L2C_CFG_SS_MASK () {0x180000;}' unless defined(&L2C_CFG_SS_MASK);
		eval 'sub L2C_CFG_SS_256 () {0x;}' unless defined(&L2C_CFG_SS_256);
		eval 'sub L2C_CFG_CPIM () {0x40000;}' unless defined(&L2C_CFG_CPIM);
		eval 'sub L2C_CFG_TPIM () {0x20000;}' unless defined(&L2C_CFG_TPIM);
		eval 'sub L2C_CFG_LIM () {0x10000;}' unless defined(&L2C_CFG_LIM);
		eval 'sub L2C_CFG_PMUX_MASK () {0x7000;}' unless defined(&L2C_CFG_PMUX_MASK);
		eval 'sub L2C_CFG_PMUX_SNP () {0x;}' unless defined(&L2C_CFG_PMUX_SNP);
		eval 'sub L2C_CFG_PMUX_IF () {0x1000;}' unless defined(&L2C_CFG_PMUX_IF);
		eval 'sub L2C_CFG_PMUX_DF () {0x2000;}' unless defined(&L2C_CFG_PMUX_DF);
		eval 'sub L2C_CFG_PMUX_DS () {0x3000;}' unless defined(&L2C_CFG_PMUX_DS);
		eval 'sub L2C_CFG_PMIM () {0x800;}' unless defined(&L2C_CFG_PMIM);
		eval 'sub L2C_CFG_TPEI () {0x400;}' unless defined(&L2C_CFG_TPEI);
		eval 'sub L2C_CFG_CPEI () {0x200;}' unless defined(&L2C_CFG_CPEI);
		eval 'sub L2C_CFG_NAM () {0x100;}' unless defined(&L2C_CFG_NAM);
		eval 'sub L2C_CFG_SMCM () {0x80;}' unless defined(&L2C_CFG_SMCM);
		eval 'sub L2C_CFG_NBRM () {0x40;}' unless defined(&L2C_CFG_NBRM);
		eval 'sub DCRN_L2C0_CMD () {0x31;}' unless defined(&DCRN_L2C0_CMD);
		eval 'sub L2C_CMD_CLR () {0x80000000;}' unless defined(&L2C_CMD_CLR);
		eval 'sub L2C_CMD_DIAG () {0x40000000;}' unless defined(&L2C_CMD_DIAG);
		eval 'sub L2C_CMD_INV () {0x20000000;}' unless defined(&L2C_CMD_INV);
		eval 'sub L2C_CMD_CCP () {0x10000000;}' unless defined(&L2C_CMD_CCP);
		eval 'sub L2C_CMD_CTE () {0x8000000;}' unless defined(&L2C_CMD_CTE);
		eval 'sub L2C_CMD_STRC () {0x4000000;}' unless defined(&L2C_CMD_STRC);
		eval 'sub L2C_CMD_STPC () {0x2000000;}' unless defined(&L2C_CMD_STPC);
		eval 'sub L2C_CMD_RPMC () {0x1000000;}' unless defined(&L2C_CMD_RPMC);
		eval 'sub L2C_CMD_HCC () {0x800000;}' unless defined(&L2C_CMD_HCC);
		eval 'sub DCRN_L2C0_ADDR () {0x32;}' unless defined(&DCRN_L2C0_ADDR);
		eval 'sub DCRN_L2C0_DATA () {0x33;}' unless defined(&DCRN_L2C0_DATA);
		eval 'sub DCRN_L2C0_SR () {0x34;}' unless defined(&DCRN_L2C0_SR);
		eval 'sub L2C_SR_CC () {0x80000000;}' unless defined(&L2C_SR_CC);
		eval 'sub L2C_SR_CPE () {0x40000000;}' unless defined(&L2C_SR_CPE);
		eval 'sub L2C_SR_TPE () {0x20000000;}' unless defined(&L2C_SR_TPE);
		eval 'sub L2C_SR_LRU () {0x10000000;}' unless defined(&L2C_SR_LRU);
		eval 'sub L2C_SR_PCS () {0x8000000;}' unless defined(&L2C_SR_PCS);
		eval 'sub DCRN_L2C0_REVID () {0x35;}' unless defined(&DCRN_L2C0_REVID);
		eval 'sub DCRN_L2C0_SNP0 () {0x36;}' unless defined(&DCRN_L2C0_SNP0);
		eval 'sub DCRN_L2C0_SNP1 () {0x37;}' unless defined(&DCRN_L2C0_SNP1);
		eval 'sub L2C_SNP_BA_MASK () {0xffff0000;}' unless defined(&L2C_SNP_BA_MASK);
		eval 'sub L2C_SNP_SSR_MASK () {0xf000;}' unless defined(&L2C_SNP_SSR_MASK);
		eval 'sub L2C_SNP_SSR_32G () {0xf000;}' unless defined(&L2C_SNP_SSR_32G);
		eval 'sub L2C_SNP_ESR () {0x800;}' unless defined(&L2C_SNP_ESR);
	    }
	    eval 'sub PCIX0_REG_BASE () {8837922816;}' unless defined(&PCIX0_REG_BASE);
	    eval 'sub PCIX0_REG_SIZE () {0x200;}' unless defined(&PCIX0_REG_SIZE);
	    eval 'sub PCIX0_VENDID () {0x;}' unless defined(&PCIX0_VENDID);
	    eval 'sub PCIX0_DEVID () {0x2;}' unless defined(&PCIX0_DEVID);
	    eval 'sub PCIX0_COMMAND () {0x4;}' unless defined(&PCIX0_COMMAND);
	    eval 'sub PCIX0_STATUS () {0x6;}' unless defined(&PCIX0_STATUS);
	    eval 'sub PCIX0_REVID () {0x8;}' unless defined(&PCIX0_REVID);
	    eval 'sub PCIX0_CLS () {0x9;}' unless defined(&PCIX0_CLS);
	    eval 'sub PCIX0_CACHELS () {0xc;}' unless defined(&PCIX0_CACHELS);
	    eval 'sub PCIX0_LATTIM () {0xd;}' unless defined(&PCIX0_LATTIM);
	    eval 'sub PCIX0_HDTYPE () {0xe;}' unless defined(&PCIX0_HDTYPE);
	    eval 'sub PCIX0_BIST () {0xf;}' unless defined(&PCIX0_BIST);
	    eval 'sub PCIX0_BAR0L () {0x10;}' unless defined(&PCIX0_BAR0L);
	    eval 'sub PCIX0_BAR0H () {0x14;}' unless defined(&PCIX0_BAR0H);
	    eval 'sub PCIX0_BAR1 () {0x18;}' unless defined(&PCIX0_BAR1);
	    eval 'sub PCIX0_BAR2L () {0x1c;}' unless defined(&PCIX0_BAR2L);
	    eval 'sub PCIX0_BAR2H () {0x20;}' unless defined(&PCIX0_BAR2H);
	    eval 'sub PCIX0_BAR3 () {0x24;}' unless defined(&PCIX0_BAR3);
	    eval 'sub PCIX0_CISPTR () {0x28;}' unless defined(&PCIX0_CISPTR);
	    eval 'sub PCIX0_SBSYSVID () {0x2c;}' unless defined(&PCIX0_SBSYSVID);
	    eval 'sub PCIX0_SBSYSID () {0x2e;}' unless defined(&PCIX0_SBSYSID);
	    eval 'sub PCIX0_EROMBA () {0x30;}' unless defined(&PCIX0_EROMBA);
	    eval 'sub PCIX0_CAP () {0x34;}' unless defined(&PCIX0_CAP);
	    eval 'sub PCIX0_RES0 () {0x35;}' unless defined(&PCIX0_RES0);
	    eval 'sub PCIX0_RES1 () {0x36;}' unless defined(&PCIX0_RES1);
	    eval 'sub PCIX0_RES2 () {0x38;}' unless defined(&PCIX0_RES2);
	    eval 'sub PCIX0_INTLN () {0x3c;}' unless defined(&PCIX0_INTLN);
	    eval 'sub PCIX0_INTPN () {0x3d;}' unless defined(&PCIX0_INTPN);
	    eval 'sub PCIX0_MINGNT () {0x3e;}' unless defined(&PCIX0_MINGNT);
	    eval 'sub PCIX0_MAXLTNCY () {0x3f;}' unless defined(&PCIX0_MAXLTNCY);
	    eval 'sub PCIX0_BRDGOPT1 () {0x40;}' unless defined(&PCIX0_BRDGOPT1);
	    eval 'sub PCIX0_BRDGOPT2 () {0x44;}' unless defined(&PCIX0_BRDGOPT2);
	    eval 'sub PCIX0_ERREN () {0x50;}' unless defined(&PCIX0_ERREN);
	    eval 'sub PCIX0_ERRSTS () {0x54;}' unless defined(&PCIX0_ERRSTS);
	    eval 'sub PCIX0_PLBBESR () {0x58;}' unless defined(&PCIX0_PLBBESR);
	    eval 'sub PCIX0_PLBBEARL () {0x5c;}' unless defined(&PCIX0_PLBBEARL);
	    eval 'sub PCIX0_PLBBEARH () {0x60;}' unless defined(&PCIX0_PLBBEARH);
	    eval 'sub PCIX0_POM0LAL () {0x68;}' unless defined(&PCIX0_POM0LAL);
	    eval 'sub PCIX0_POM0LAH () {0x6c;}' unless defined(&PCIX0_POM0LAH);
	    eval 'sub PCIX0_POM0SA () {0x70;}' unless defined(&PCIX0_POM0SA);
	    eval 'sub PCIX0_POM0PCIAL () {0x74;}' unless defined(&PCIX0_POM0PCIAL);
	    eval 'sub PCIX0_POM0PCIAH () {0x78;}' unless defined(&PCIX0_POM0PCIAH);
	    eval 'sub PCIX0_POM1LAL () {0x7c;}' unless defined(&PCIX0_POM1LAL);
	    eval 'sub PCIX0_POM1LAH () {0x80;}' unless defined(&PCIX0_POM1LAH);
	    eval 'sub PCIX0_POM1SA () {0x84;}' unless defined(&PCIX0_POM1SA);
	    eval 'sub PCIX0_POM1PCIAL () {0x88;}' unless defined(&PCIX0_POM1PCIAL);
	    eval 'sub PCIX0_POM1PCIAH () {0x8c;}' unless defined(&PCIX0_POM1PCIAH);
	    eval 'sub PCIX0_POM2SA () {0x90;}' unless defined(&PCIX0_POM2SA);
	    eval 'sub PCIX0_PIM0SAL () {0x98;}' unless defined(&PCIX0_PIM0SAL);
	    eval 'sub PCIX0_PIM0SA () { &PCIX0_PIM0SAL;}' unless defined(&PCIX0_PIM0SA);
	    eval 'sub PCIX0_PIM0LAL () {0x9c;}' unless defined(&PCIX0_PIM0LAL);
	    eval 'sub PCIX0_PIM0LAH () {0xa0;}' unless defined(&PCIX0_PIM0LAH);
	    eval 'sub PCIX0_PIM1SA () {0xa4;}' unless defined(&PCIX0_PIM1SA);
	    eval 'sub PCIX0_PIM1LAL () {0xa8;}' unless defined(&PCIX0_PIM1LAL);
	    eval 'sub PCIX0_PIM1LAH () {0xac;}' unless defined(&PCIX0_PIM1LAH);
	    eval 'sub PCIX0_PIM2SAL () {0xb0;}' unless defined(&PCIX0_PIM2SAL);
	    eval 'sub PCIX0_PIM2SA () { &PCIX0_PIM2SAL;}' unless defined(&PCIX0_PIM2SA);
	    eval 'sub PCIX0_PIM2LAL () {0xb4;}' unless defined(&PCIX0_PIM2LAL);
	    eval 'sub PCIX0_PIM2LAH () {0xb8;}' unless defined(&PCIX0_PIM2LAH);
	    eval 'sub PCIX0_OMCAPID () {0xc0;}' unless defined(&PCIX0_OMCAPID);
	    eval 'sub PCIX0_OMNIPTR () {0xc1;}' unless defined(&PCIX0_OMNIPTR);
	    eval 'sub PCIX0_OMMC () {0xc2;}' unless defined(&PCIX0_OMMC);
	    eval 'sub PCIX0_OMMA () {0xc4;}' unless defined(&PCIX0_OMMA);
	    eval 'sub PCIX0_OMMUA () {0xc8;}' unless defined(&PCIX0_OMMUA);
	    eval 'sub PCIX0_OMMDATA () {0xcc;}' unless defined(&PCIX0_OMMDATA);
	    eval 'sub PCIX0_OMMEOI () {0xce;}' unless defined(&PCIX0_OMMEOI);
	    eval 'sub PCIX0_PMCAPID () {0xd0;}' unless defined(&PCIX0_PMCAPID);
	    eval 'sub PCIX0_PMNIPTR () {0xd1;}' unless defined(&PCIX0_PMNIPTR);
	    eval 'sub PCIX0_PMC () {0xd2;}' unless defined(&PCIX0_PMC);
	    eval 'sub PCIX0_PMCSR () {0xd4;}' unless defined(&PCIX0_PMCSR);
	    eval 'sub PCIX0_PMCSRBSE () {0xd6;}' unless defined(&PCIX0_PMCSRBSE);
	    eval 'sub PCIX0_PMDATA () {0xd7;}' unless defined(&PCIX0_PMDATA);
	    eval 'sub PCIX0_PMSCRR () {0xd8;}' unless defined(&PCIX0_PMSCRR);
	    eval 'sub PCIX0_CAPID () {0xdc;}' unless defined(&PCIX0_CAPID);
	    eval 'sub PCIX0_NIPTR () {0xdd;}' unless defined(&PCIX0_NIPTR);
	    eval 'sub PCIX0_CMD () {0xde;}' unless defined(&PCIX0_CMD);
	    eval 'sub PCIX0_STS () {0xe0;}' unless defined(&PCIX0_STS);
	    eval 'sub PCIX0_IDR () {0xe4;}' unless defined(&PCIX0_IDR);
	    eval 'sub PCIX0_CID () {0xe8;}' unless defined(&PCIX0_CID);
	    eval 'sub PCIX0_RID () {0xec;}' unless defined(&PCIX0_RID);
	    eval 'sub PCIX0_PIM0SAH () {0xf8;}' unless defined(&PCIX0_PIM0SAH);
	    eval 'sub PCIX0_PIM2SAH () {0xfc;}' unless defined(&PCIX0_PIM2SAH);
	    eval 'sub PCIX0_MSGIL () {0x100;}' unless defined(&PCIX0_MSGIL);
	    eval 'sub PCIX0_MSGIH () {0x104;}' unless defined(&PCIX0_MSGIH);
	    eval 'sub PCIX0_MSGOL () {0x108;}' unless defined(&PCIX0_MSGOL);
	    eval 'sub PCIX0_MSGOH () {0x10c;}' unless defined(&PCIX0_MSGOH);
	    eval 'sub PCIX0_IM () {0x1f8;}' unless defined(&PCIX0_IM);
	    eval 'sub IIC_OWN () {0x55;}' unless defined(&IIC_OWN);
	    eval 'sub IIC_CLOCK () {50;}' unless defined(&IIC_CLOCK);
	    undef(&NR_UICS) if defined(&NR_UICS);
	    eval 'sub NR_UICS () {2;}' unless defined(&NR_UICS);
	    eval 'sub UIC_CASCADE_MASK () {0x3;}' unless defined(&UIC_CASCADE_MASK);
	    eval 'sub BD_EMAC_ADDR {
	        my($e,$i) = @_;
    		eval q( $bi_enetaddr[$e][$i]);
	    }' unless defined(&BD_EMAC_ADDR);
	    require 'asm/ibm4xx.ph';
	}
    }
}
1;
