require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASMPPC_KEYBOARD_H)) {
    eval 'sub __ASMPPC_KEYBOARD_H () {1;}' unless defined(&__ASMPPC_KEYBOARD_H);
    if(defined(&__KERNEL__)) {
	require 'linux/adb.ph';
	require 'asm/machdep.ph';
	require 'linux/kernel.ph';
	require 'linux/ioport.ph';
	require 'linux/kd.ph';
	require 'asm/io.ph';
	if(defined(&CONFIG_SPRUCE)) {
	    require 'platforms/spruce.ph';
	}
	unless(defined(&KEYBOARD_IRQ)) {
	    eval 'sub KEYBOARD_IRQ () {1;}' unless defined(&KEYBOARD_IRQ);
	}
	eval 'sub DISABLE_KBD_DURING_INTERRUPTS () {0;}' unless defined(&DISABLE_KBD_DURING_INTERRUPTS);
	eval 'sub INIT_KBD () {1;}' unless defined(&INIT_KBD);
	eval 'sub kbd_setkeycode {
	    my($scancode,$keycode) = @_;
    	    eval q({  &if (  ($ppc_md->{kbd_setkeycode}) )  ($ppc_md->{kbd_setkeycode})($scancode, $keycode);  &else 0; });
	}' unless defined(&kbd_setkeycode);
	eval 'sub kbd_getkeycode {
	    my($scancode) = @_;
    	    eval q({  &if (  ($ppc_md->{kbd_getkeycode}) )  ($ppc_md->{kbd_getkeycode})($scancode);  &else 0; });
	}' unless defined(&kbd_getkeycode);
	eval 'sub kbd_translate {
	    my($keycode,$keycodep,$raw_mode) = @_;
    	    eval q({  &if (  ($ppc_md->{kbd_translate}) )  ($ppc_md->{kbd_translate})($keycode, $keycodep, $raw_mode);  &else 0; });
	}' unless defined(&kbd_translate);
	eval 'sub kbd_unexpected_up {
	    my($keycode) = @_;
    	    eval q({  &if (  ($ppc_md->{kbd_unexpected_up}) )  ($ppc_md->{kbd_unexpected_up})($keycode);  &else 0; });
	}' unless defined(&kbd_unexpected_up);
	eval 'sub kbd_leds {
	    my($leds) = @_;
    	    eval q({  &if (  ($ppc_md->{kbd_leds}) )  ($ppc_md->{kbd_leds})($leds); });
	}' unless defined(&kbd_leds);
	eval 'sub kbd_init_hw {
	    my($void) = @_;
    	    eval q({  &if (  ($ppc_md->{kbd_init_hw}) )  ($ppc_md->{kbd_init_hw})(); });
	}' unless defined(&kbd_init_hw);
	eval 'sub kbd_sysrq_xlate () {( ($ppc_md->{ppc_kbd_sysrq_xlate}));}' unless defined(&kbd_sysrq_xlate);
	eval 'sub kbd_request_region () {
	    eval q();
	}' unless defined(&kbd_request_region);
	eval 'sub kbd_request_irq {
	    my($handler) = @_;
    	    eval q( &request_irq( &KEYBOARD_IRQ, $handler, 0, \\"keyboard\\",  &NULL));
	}' unless defined(&kbd_request_irq);
	unless(defined(&kbd_read_input)) {
	    eval 'sub kbd_read_input () {
	        eval q( &inb( &KBD_DATA_REG));
	    }' unless defined(&kbd_read_input);
	    eval 'sub kbd_read_status () {
	        eval q( &inb( &KBD_STATUS_REG));
	    }' unless defined(&kbd_read_status);
	    eval 'sub kbd_write_output {
	        my($val) = @_;
    		eval q( &outb($val,  &KBD_DATA_REG));
	    }' unless defined(&kbd_write_output);
	    eval 'sub kbd_write_command {
	        my($val) = @_;
    		eval q( &outb($val,  &KBD_CNTL_REG));
	    }' unless defined(&kbd_write_command);
	}
	eval 'sub kbd_pause () {
	    eval q( &do { }  &while(0));
	}' unless defined(&kbd_pause);
	unless(defined(&AUX_IRQ)) {
	    eval 'sub AUX_IRQ () {12;}' unless defined(&AUX_IRQ);
	}
	eval 'sub aux_request_irq {
	    my($hand, $dev_id) = @_;
    	    eval q( &request_irq( &AUX_IRQ, $hand,  &SA_SHIRQ, \\"PS/2 Mouse\\", $dev_id));
	}' unless defined(&aux_request_irq);
	eval 'sub aux_free_irq {
	    my($dev_id) = @_;
    	    eval q( &free_irq( &AUX_IRQ, $dev_id));
	}' unless defined(&aux_free_irq);
    }
}
1;
