require '_h2ph_pre.ph';

no warnings 'redefine';

if(defined(&__KERNEL__)) {
    unless(defined(&__ASM_SERIAL_H__)) {
	eval 'sub __ASM_SERIAL_H__ () {1;}' unless defined(&__ASM_SERIAL_H__);
	require 'linux/config.ph';
	if(defined( &CONFIG_GEMINI)) {
	    require 'platforms/gemini_serial.ph';
	}
 elsif(defined( &CONFIG_LOPEC)) {
	    require 'platforms/lopec_serial.ph';
	}
 elsif(defined( &CONFIG_SANDPOINT)) {
	    require 'platforms/sandpoint_serial.ph';
	}
 elsif(defined( &CONFIG_SPRUCE)) {
	    require 'platforms/spruce.ph';
	}
 elsif(defined( &CONFIG_PRPMC750)) {
	    require 'platforms/prpmc750_serial.ph';
	}
 elsif(defined( &CONFIG_4xx)) {
	    require 'asm/ibm4xx.ph';
	} else {
	    require 'asm/pc_serial.ph';
	    require 'asm/processor.ph';
	    if(defined( &CONFIG_MAC_SERIAL)) {
		eval 'sub SERIAL_DEV_OFFSET () {(( &_machine ==  &_MACH_prep ||  &_machine ==  &_MACH_chrp) ? 0: 2);}' unless defined(&SERIAL_DEV_OFFSET);
	    }
	}
    }
}
1;
