require '_h2ph_pre.ph';

no warnings 'redefine';

if(defined(&__KERNEL__)) {
    unless(defined(&__ASM_TIME_H__)) {
	eval 'sub __ASM_TIME_H__ () {1;}' unless defined(&__ASM_TIME_H__);
	require 'linux/config.ph';
	require 'linux/mc146818rtc.ph';
	require 'linux/threads.ph';
	require 'asm/processor.ph';
	if(defined( &CONFIG_40x)) {
	} else {
	}
# some #ifdef were dropped here -- fill in the blanks
	eval 'sub set_dec {
	    my($val) = @_;
    	    eval q({ });
	}' unless defined(&set_dec);
	if(defined(&CONFIG_6xx)) {
	    eval 'sub __USE_RTC {
	        my($void) = @_;
    		eval q({ ( &mfspr( &SPRN_PVR)>>16) == 1; });
	    }' unless defined(&__USE_RTC);
	} else {
	    eval 'sub __USE_RTC () {
	        eval q(0);
	    }' unless defined(&__USE_RTC);
	}
	eval 'sub get_tbl {
	    my($void) = @_;
    	    eval q({ my $tbl;  &asm  &volatile(\\"mftb %0\\" : \\"=r\\" ( $tbl));  $tbl; });
	}' unless defined(&get_tbl);
	eval 'sub get_tbu {
	    my($void) = @_;
    	    eval q({ my $tbl;  &asm  &volatile(\\"mftbu %0\\" : \\"=r\\" ( $tbl));  $tbl; });
	}' unless defined(&get_tbu);
	eval 'sub set_tb {
	    my($upper,$lower) = @_;
    	    eval q({  &mtspr( &SPRN_TBWL, 0);  &mtspr( &SPRN_TBWU, $upper);  &mtspr( &SPRN_TBWL, $lower); });
	}' unless defined(&set_tb);
	eval 'sub get_rtcl {
	    my($void) = @_;
    	    eval q({ my $rtcl;  &asm  &volatile(\\"mfrtcl %0\\" : \\"=r\\" ( $rtcl));  $rtcl; });
	}' unless defined(&get_rtcl);
	eval 'sub get_native_tbl {
	    my($void) = @_;
    	    eval q({  &if ( &__USE_RTC())  &get_rtcl();  &else  &get_tbl(); });
	}' unless defined(&get_native_tbl);
	if(0) {
	    eval 'sub get_bin_rtcl {
	        my($void) = @_;
    		eval q({ my $rtcl,  &rtcu1,  &rtcu2;  &asm  &volatile(\\"1:    mfrtcu  %0\\\\n      mfrtcl  %1\\\\n      mfrtcu  %2\\\\n      cmpw    %0,%2\\\\n      bne-    1b\\\\n\\" : \\"=r\\" ( &rtcu1), \\"=r\\" ( $rtcl), \\"=r\\" ( &rtcu2) : : \\"cr0\\");  &rtcu2*1000000000+ $rtcl; });
	    }' unless defined(&get_bin_rtcl);
	    eval 'sub binary_tbl {
	        my($void) = @_;
    		eval q({  &if ( &__USE_RTC())  &get_bin_rtcl();  &else  &get_tbl(); });
	    }' unless defined(&binary_tbl);
	}
	eval 'sub mulhwu {
	    my($x,$y) = @_;
    	    eval q(({\'unsigned z\';  &asm (\\"mulhwu %0,%1,%2\\" : \\"=r\\" ( &z) : \\"r\\" ($x), \\"r\\" ($y));  &z;}));
	}' unless defined(&mulhwu);
    }
}
1;
