require '_h2ph_pre.ph';

no warnings 'redefine';

require 'signal.ph';
unless(defined(&SIGCONTEXT)) {
    sub SIGCONTEXT () {	'struct sigcontext' *;}
}
unless(defined(&SIGCONTEXT_EXTRA_ARGS)) {
    sub SIGCONTEXT_EXTRA_ARGS () {	1;}
}
unless(defined(&GET_PC)) {
    sub GET_PC {
	my($ctx) = @_;
	eval q((( &void *)(($ctx)-> ($regs->{nip}))));
    }
}
unless(defined(&GET_FRAME)) {
    sub GET_FRAME {
	my($ctx) = @_;
	eval q((*( &void **)(($ctx)-> ($regs->{gpr[1]}))));
    }
}
unless(defined(&GET_STACK)) {
    sub GET_STACK {
	my($ctx) = @_;
	eval q((( &void *)(($ctx)-> ($regs->{gpr[1]}))));
    }
}
unless(defined(&CALL_SIGHANDLER)) {
    sub CALL_SIGHANDLER {
	my($handler, $signo, $ctx) = @_;
	eval q(($handler)(($signo),  &SIGCONTEXT_EXTRA_ARGS ($ctx)));
    }
}
1;
