require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
undef(&CONFIG_UID16) if defined(&CONFIG_UID16);
undef(&CONFIG_RWSEM_GENERIC_SPINLOCK) if defined(&CONFIG_RWSEM_GENERIC_SPINLOCK);
unless(defined(&CONFIG_RWSEM_XCHGADD_ALGORITHM)) {
    sub CONFIG_RWSEM_XCHGADD_ALGORITHM () {	1;}
}
unless(defined(&CONFIG_HAVE_DEC_LOCK)) {
    sub CONFIG_HAVE_DEC_LOCK () {	1;}
}
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
undef(&CONFIG_ADVANCED_OPTIONS) if defined(&CONFIG_ADVANCED_OPTIONS);
unless(defined(&CONFIG_MODULES)) {
    sub CONFIG_MODULES () {	1;}
}
unless(defined(&CONFIG_MODVERSIONS)) {
    sub CONFIG_MODVERSIONS () {	1;}
}
unless(defined(&CONFIG_KMOD)) {
    sub CONFIG_KMOD () {	1;}
}
unless(defined(&CONFIG_PPC)) {
    sub CONFIG_PPC () {	1;}
}
unless(defined(&CONFIG_PPC32)) {
    sub CONFIG_PPC32 () {	1;}
}
unless(defined(&CONFIG_6xx)) {
    sub CONFIG_6xx () {	1;}
}
undef(&CONFIG_40x) if defined(&CONFIG_40x);
undef(&CONFIG_44x) if defined(&CONFIG_44x);
undef(&CONFIG_POWER3) if defined(&CONFIG_POWER3);
undef(&CONFIG_POWER4) if defined(&CONFIG_POWER4);
undef(&CONFIG_8xx) if defined(&CONFIG_8xx);
undef(&CONFIG_8260) if defined(&CONFIG_8260);
unless(defined(&CONFIG_PPC_STD_MMU)) {
    sub CONFIG_PPC_STD_MMU () {	1;}
}
unless(defined(&CONFIG_ALL_PPC)) {
    sub CONFIG_ALL_PPC () {	1;}
}
undef(&CONFIG_APUS) if defined(&CONFIG_APUS);
undef(&CONFIG_SPRUCE) if defined(&CONFIG_SPRUCE);
undef(&CONFIG_LOPEC) if defined(&CONFIG_LOPEC);
undef(&CONFIG_SANDPOINT) if defined(&CONFIG_SANDPOINT);
undef(&CONFIG_PPLUS) if defined(&CONFIG_PPLUS);
undef(&CONFIG_PRPMC750) if defined(&CONFIG_PRPMC750);
undef(&CONFIG_PAL4) if defined(&CONFIG_PAL4);
undef(&CONFIG_GEMINI) if defined(&CONFIG_GEMINI);
undef(&CONFIG_SMP) if defined(&CONFIG_SMP);
unless(defined(&CONFIG_ALTIVEC)) {
    sub CONFIG_ALTIVEC () {	1;}
}
unless(defined(&CONFIG_TAU)) {
    sub CONFIG_TAU () {	1;}
}
undef(&CONFIG_TAU_INT) if defined(&CONFIG_TAU_INT);
undef(&CONFIG_TAU_AVERAGE) if defined(&CONFIG_TAU_AVERAGE);
unless(defined(&CONFIG_PPC_ISATIMER)) {
    sub CONFIG_PPC_ISATIMER () {	1;}
}
undef(&CONFIG_HIGHMEM) if defined(&CONFIG_HIGHMEM);
unless(defined(&CONFIG_HIGHMEM_START)) {
    sub CONFIG_HIGHMEM_START () {	0xfe000000;}
}
unless(defined(&CONFIG_LOWMEM_SIZE)) {
    sub CONFIG_LOWMEM_SIZE () {	0x30000000;}
}
unless(defined(&CONFIG_KERNEL_START)) {
    sub CONFIG_KERNEL_START () {	0xc0000000;}
}
unless(defined(&CONFIG_TASK_SIZE)) {
    sub CONFIG_TASK_SIZE () {	0x80000000;}
}
undef(&CONFIG_ISA) if defined(&CONFIG_ISA);
undef(&CONFIG_EISA) if defined(&CONFIG_EISA);
undef(&CONFIG_SBUS) if defined(&CONFIG_SBUS);
undef(&CONFIG_MCA) if defined(&CONFIG_MCA);
unless(defined(&CONFIG_PCI)) {
    sub CONFIG_PCI () {	1;}
}
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
undef(&CONFIG_BSD_PROCESS_ACCT) if defined(&CONFIG_BSD_PROCESS_ACCT);
unless(defined(&CONFIG_KCORE_ELF)) {
    sub CONFIG_KCORE_ELF () {	1;}
}
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
unless(defined(&CONFIG_KERNEL_ELF)) {
    sub CONFIG_KERNEL_ELF () {	1;}
}
undef(&CONFIG_BINFMT_MISC) if defined(&CONFIG_BINFMT_MISC);
unless(defined(&CONFIG_BINFMT_MISC_MODULE)) {
    sub CONFIG_BINFMT_MISC_MODULE () {	1;}
}
undef(&CONFIG_OOM_KILLER) if defined(&CONFIG_OOM_KILLER);
unless(defined(&CONFIG_PCI_NAMES)) {
    sub CONFIG_PCI_NAMES () {	1;}
}
unless(defined(&CONFIG_HOTPLUG)) {
    sub CONFIG_HOTPLUG () {	1;}
}
undef(&CONFIG_PCMCIA) if defined(&CONFIG_PCMCIA);
undef(&CONFIG_PARPORT) if defined(&CONFIG_PARPORT);
unless(defined(&CONFIG_GEN_RTC)) {
    sub CONFIG_GEN_RTC () {	1;}
}
unless(defined(&CONFIG_PPC601_SYNC_FIX)) {
    sub CONFIG_PPC601_SYNC_FIX () {	1;}
}
unless(defined(&CONFIG_PROC_DEVICETREE)) {
    sub CONFIG_PROC_DEVICETREE () {	1;}
}
unless(defined(&CONFIG_PPC_RTAS)) {
    sub CONFIG_PPC_RTAS () {	1;}
}
unless(defined(&CONFIG_PREP_RESIDUAL)) {
    sub CONFIG_PREP_RESIDUAL () {	1;}
}
unless(defined(&CONFIG_PROC_PREPRESIDUAL)) {
    sub CONFIG_PROC_PREPRESIDUAL () {	1;}
}
unless(defined(&CONFIG_PPCBUG_NVRAM)) {
    sub CONFIG_PPCBUG_NVRAM () {	1;}
}
unless(defined(&CONFIG_CMDLINE_BOOL)) {
    sub CONFIG_CMDLINE_BOOL () {	1;}
}
unless(defined(&CONFIG_CMDLINE)) {
    sub CONFIG_CMDLINE () {	"console=ttyS0,9600 console=tty0 root=/dev/sda2";}
}
undef(&CONFIG_MTD) if defined(&CONFIG_MTD);
undef(&CONFIG_PNP) if defined(&CONFIG_PNP);
undef(&CONFIG_ISAPNP) if defined(&CONFIG_ISAPNP);
undef(&CONFIG_BLK_DEV_FD) if defined(&CONFIG_BLK_DEV_FD);
unless(defined(&CONFIG_BLK_DEV_FD_MODULE)) {
    sub CONFIG_BLK_DEV_FD_MODULE () {	1;}
}
undef(&CONFIG_BLK_DEV_XD) if defined(&CONFIG_BLK_DEV_XD);
undef(&CONFIG_PARIDE) if defined(&CONFIG_PARIDE);
undef(&CONFIG_BLK_CPQ_DA) if defined(&CONFIG_BLK_CPQ_DA);
undef(&CONFIG_BLK_CPQ_CISS_DA) if defined(&CONFIG_BLK_CPQ_CISS_DA);
undef(&CONFIG_CISS_SCSI_TAPE) if defined(&CONFIG_CISS_SCSI_TAPE);
undef(&CONFIG_CISS_MONITOR_THREAD) if defined(&CONFIG_CISS_MONITOR_THREAD);
undef(&CONFIG_BLK_DEV_DAC960) if defined(&CONFIG_BLK_DEV_DAC960);
undef(&CONFIG_BLK_DEV_UMEM) if defined(&CONFIG_BLK_DEV_UMEM);
unless(defined(&CONFIG_BLK_DEV_LOOP)) {
    sub CONFIG_BLK_DEV_LOOP () {	1;}
}
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	(4096);}
}
unless(defined(&CONFIG_BLK_DEV_INITRD)) {
    sub CONFIG_BLK_DEV_INITRD () {	1;}
}
undef(&CONFIG_BLK_STATS) if defined(&CONFIG_BLK_STATS);
undef(&CONFIG_MD) if defined(&CONFIG_MD);
undef(&CONFIG_BLK_DEV_MD) if defined(&CONFIG_BLK_DEV_MD);
undef(&CONFIG_MD_LINEAR) if defined(&CONFIG_MD_LINEAR);
undef(&CONFIG_MD_RAID0) if defined(&CONFIG_MD_RAID0);
undef(&CONFIG_MD_RAID1) if defined(&CONFIG_MD_RAID1);
undef(&CONFIG_MD_RAID5) if defined(&CONFIG_MD_RAID5);
undef(&CONFIG_MD_MULTIPATH) if defined(&CONFIG_MD_MULTIPATH);
undef(&CONFIG_BLK_DEV_LVM) if defined(&CONFIG_BLK_DEV_LVM);
unless(defined(&CONFIG_PACKET)) {
    sub CONFIG_PACKET () {	1;}
}
undef(&CONFIG_PACKET_MMAP) if defined(&CONFIG_PACKET_MMAP);
undef(&CONFIG_NETLINK_DEV) if defined(&CONFIG_NETLINK_DEV);
unless(defined(&CONFIG_NETFILTER)) {
    sub CONFIG_NETFILTER () {	1;}
}
undef(&CONFIG_NETFILTER_DEBUG) if defined(&CONFIG_NETFILTER_DEBUG);
undef(&CONFIG_FILTER) if defined(&CONFIG_FILTER);
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
unless(defined(&CONFIG_IP_MULTICAST)) {
    sub CONFIG_IP_MULTICAST () {	1;}
}
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
undef(&CONFIG_IP_PNP) if defined(&CONFIG_IP_PNP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_IP_MROUTE) if defined(&CONFIG_IP_MROUTE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
undef(&CONFIG_INET_ECN) if defined(&CONFIG_INET_ECN);
unless(defined(&CONFIG_SYN_COOKIES)) {
    sub CONFIG_SYN_COOKIES () {	1;}
}
undef(&CONFIG_IP_NF_CONNTRACK) if defined(&CONFIG_IP_NF_CONNTRACK);
unless(defined(&CONFIG_IP_NF_CONNTRACK_MODULE)) {
    sub CONFIG_IP_NF_CONNTRACK_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_FTP) if defined(&CONFIG_IP_NF_FTP);
unless(defined(&CONFIG_IP_NF_FTP_MODULE)) {
    sub CONFIG_IP_NF_FTP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_AMANDA) if defined(&CONFIG_IP_NF_AMANDA);
unless(defined(&CONFIG_IP_NF_AMANDA_MODULE)) {
    sub CONFIG_IP_NF_AMANDA_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_TFTP) if defined(&CONFIG_IP_NF_TFTP);
unless(defined(&CONFIG_IP_NF_TFTP_MODULE)) {
    sub CONFIG_IP_NF_TFTP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_IRC) if defined(&CONFIG_IP_NF_IRC);
unless(defined(&CONFIG_IP_NF_IRC_MODULE)) {
    sub CONFIG_IP_NF_IRC_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_QUEUE) if defined(&CONFIG_IP_NF_QUEUE);
undef(&CONFIG_IP_NF_IPTABLES) if defined(&CONFIG_IP_NF_IPTABLES);
unless(defined(&CONFIG_IP_NF_IPTABLES_MODULE)) {
    sub CONFIG_IP_NF_IPTABLES_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_LIMIT) if defined(&CONFIG_IP_NF_MATCH_LIMIT);
unless(defined(&CONFIG_IP_NF_MATCH_LIMIT_MODULE)) {
    sub CONFIG_IP_NF_MATCH_LIMIT_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_MAC) if defined(&CONFIG_IP_NF_MATCH_MAC);
unless(defined(&CONFIG_IP_NF_MATCH_MAC_MODULE)) {
    sub CONFIG_IP_NF_MATCH_MAC_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_PKTTYPE) if defined(&CONFIG_IP_NF_MATCH_PKTTYPE);
unless(defined(&CONFIG_IP_NF_MATCH_PKTTYPE_MODULE)) {
    sub CONFIG_IP_NF_MATCH_PKTTYPE_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_MARK) if defined(&CONFIG_IP_NF_MATCH_MARK);
unless(defined(&CONFIG_IP_NF_MATCH_MARK_MODULE)) {
    sub CONFIG_IP_NF_MATCH_MARK_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_MULTIPORT) if defined(&CONFIG_IP_NF_MATCH_MULTIPORT);
unless(defined(&CONFIG_IP_NF_MATCH_MULTIPORT_MODULE)) {
    sub CONFIG_IP_NF_MATCH_MULTIPORT_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_TOS) if defined(&CONFIG_IP_NF_MATCH_TOS);
unless(defined(&CONFIG_IP_NF_MATCH_TOS_MODULE)) {
    sub CONFIG_IP_NF_MATCH_TOS_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_RECENT) if defined(&CONFIG_IP_NF_MATCH_RECENT);
undef(&CONFIG_IP_NF_MATCH_ECN) if defined(&CONFIG_IP_NF_MATCH_ECN);
unless(defined(&CONFIG_IP_NF_MATCH_ECN_MODULE)) {
    sub CONFIG_IP_NF_MATCH_ECN_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_DSCP) if defined(&CONFIG_IP_NF_MATCH_DSCP);
unless(defined(&CONFIG_IP_NF_MATCH_DSCP_MODULE)) {
    sub CONFIG_IP_NF_MATCH_DSCP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_AH_ESP) if defined(&CONFIG_IP_NF_MATCH_AH_ESP);
unless(defined(&CONFIG_IP_NF_MATCH_AH_ESP_MODULE)) {
    sub CONFIG_IP_NF_MATCH_AH_ESP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_LENGTH) if defined(&CONFIG_IP_NF_MATCH_LENGTH);
unless(defined(&CONFIG_IP_NF_MATCH_LENGTH_MODULE)) {
    sub CONFIG_IP_NF_MATCH_LENGTH_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_TTL) if defined(&CONFIG_IP_NF_MATCH_TTL);
unless(defined(&CONFIG_IP_NF_MATCH_TTL_MODULE)) {
    sub CONFIG_IP_NF_MATCH_TTL_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_TCPMSS) if defined(&CONFIG_IP_NF_MATCH_TCPMSS);
unless(defined(&CONFIG_IP_NF_MATCH_TCPMSS_MODULE)) {
    sub CONFIG_IP_NF_MATCH_TCPMSS_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_HELPER) if defined(&CONFIG_IP_NF_MATCH_HELPER);
unless(defined(&CONFIG_IP_NF_MATCH_HELPER_MODULE)) {
    sub CONFIG_IP_NF_MATCH_HELPER_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_STATE) if defined(&CONFIG_IP_NF_MATCH_STATE);
unless(defined(&CONFIG_IP_NF_MATCH_STATE_MODULE)) {
    sub CONFIG_IP_NF_MATCH_STATE_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_CONNTRACK) if defined(&CONFIG_IP_NF_MATCH_CONNTRACK);
unless(defined(&CONFIG_IP_NF_MATCH_CONNTRACK_MODULE)) {
    sub CONFIG_IP_NF_MATCH_CONNTRACK_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_UNCLEAN) if defined(&CONFIG_IP_NF_MATCH_UNCLEAN);
unless(defined(&CONFIG_IP_NF_MATCH_UNCLEAN_MODULE)) {
    sub CONFIG_IP_NF_MATCH_UNCLEAN_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_OWNER) if defined(&CONFIG_IP_NF_MATCH_OWNER);
unless(defined(&CONFIG_IP_NF_MATCH_OWNER_MODULE)) {
    sub CONFIG_IP_NF_MATCH_OWNER_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_FILTER) if defined(&CONFIG_IP_NF_FILTER);
unless(defined(&CONFIG_IP_NF_FILTER_MODULE)) {
    sub CONFIG_IP_NF_FILTER_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_TARGET_REJECT) if defined(&CONFIG_IP_NF_TARGET_REJECT);
unless(defined(&CONFIG_IP_NF_TARGET_REJECT_MODULE)) {
    sub CONFIG_IP_NF_TARGET_REJECT_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_TARGET_MIRROR) if defined(&CONFIG_IP_NF_TARGET_MIRROR);
unless(defined(&CONFIG_IP_NF_TARGET_MIRROR_MODULE)) {
    sub CONFIG_IP_NF_TARGET_MIRROR_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_NAT) if defined(&CONFIG_IP_NF_NAT);
unless(defined(&CONFIG_IP_NF_NAT_MODULE)) {
    sub CONFIG_IP_NF_NAT_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_NEEDED)) {
    sub CONFIG_IP_NF_NAT_NEEDED () {	1;}
}
undef(&CONFIG_IP_NF_TARGET_MASQUERADE) if defined(&CONFIG_IP_NF_TARGET_MASQUERADE);
unless(defined(&CONFIG_IP_NF_TARGET_MASQUERADE_MODULE)) {
    sub CONFIG_IP_NF_TARGET_MASQUERADE_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_TARGET_REDIRECT) if defined(&CONFIG_IP_NF_TARGET_REDIRECT);
unless(defined(&CONFIG_IP_NF_TARGET_REDIRECT_MODULE)) {
    sub CONFIG_IP_NF_TARGET_REDIRECT_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_NAT_AMANDA) if defined(&CONFIG_IP_NF_NAT_AMANDA);
unless(defined(&CONFIG_IP_NF_NAT_AMANDA_MODULE)) {
    sub CONFIG_IP_NF_NAT_AMANDA_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_NAT_LOCAL) if defined(&CONFIG_IP_NF_NAT_LOCAL);
undef(&CONFIG_IP_NF_NAT_SNMP_BASIC) if defined(&CONFIG_IP_NF_NAT_SNMP_BASIC);
unless(defined(&CONFIG_IP_NF_NAT_SNMP_BASIC_MODULE)) {
    sub CONFIG_IP_NF_NAT_SNMP_BASIC_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_NAT_IRC) if defined(&CONFIG_IP_NF_NAT_IRC);
unless(defined(&CONFIG_IP_NF_NAT_IRC_MODULE)) {
    sub CONFIG_IP_NF_NAT_IRC_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_NAT_FTP) if defined(&CONFIG_IP_NF_NAT_FTP);
unless(defined(&CONFIG_IP_NF_NAT_FTP_MODULE)) {
    sub CONFIG_IP_NF_NAT_FTP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_NAT_TFTP) if defined(&CONFIG_IP_NF_NAT_TFTP);
unless(defined(&CONFIG_IP_NF_NAT_TFTP_MODULE)) {
    sub CONFIG_IP_NF_NAT_TFTP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MANGLE) if defined(&CONFIG_IP_NF_MANGLE);
undef(&CONFIG_IP_NF_TARGET_LOG) if defined(&CONFIG_IP_NF_TARGET_LOG);
undef(&CONFIG_IP_NF_TARGET_ULOG) if defined(&CONFIG_IP_NF_TARGET_ULOG);
unless(defined(&CONFIG_IP_NF_TARGET_ULOG_MODULE)) {
    sub CONFIG_IP_NF_TARGET_ULOG_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_TARGET_TCPMSS) if defined(&CONFIG_IP_NF_TARGET_TCPMSS);
unless(defined(&CONFIG_IP_NF_TARGET_TCPMSS_MODULE)) {
    sub CONFIG_IP_NF_TARGET_TCPMSS_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_ARPTABLES) if defined(&CONFIG_IP_NF_ARPTABLES);
unless(defined(&CONFIG_IP_NF_ARPTABLES_MODULE)) {
    sub CONFIG_IP_NF_ARPTABLES_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_ARPFILTER) if defined(&CONFIG_IP_NF_ARPFILTER);
unless(defined(&CONFIG_IP_NF_ARPFILTER_MODULE)) {
    sub CONFIG_IP_NF_ARPFILTER_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_ARP_MANGLE) if defined(&CONFIG_IP_NF_ARP_MANGLE);
undef(&CONFIG_IP_NF_COMPAT_IPCHAINS) if defined(&CONFIG_IP_NF_COMPAT_IPCHAINS);
unless(defined(&CONFIG_IP_NF_COMPAT_IPCHAINS_MODULE)) {
    sub CONFIG_IP_NF_COMPAT_IPCHAINS_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_NEEDED)) {
    sub CONFIG_IP_NF_NAT_NEEDED () {	1;}
}
undef(&CONFIG_IP_NF_COMPAT_IPFWADM) if defined(&CONFIG_IP_NF_COMPAT_IPFWADM);
undef(&CONFIG_IP_VS) if defined(&CONFIG_IP_VS);
undef(&CONFIG_IPV6) if defined(&CONFIG_IPV6);
undef(&CONFIG_KHTTPD) if defined(&CONFIG_KHTTPD);
undef(&CONFIG_IP_SCTP) if defined(&CONFIG_IP_SCTP);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
unless(defined(&CONFIG_ATALK_MODULE)) {
    sub CONFIG_ATALK_MODULE () {	1;}
}
undef(&CONFIG_DEV_APPLETALK) if defined(&CONFIG_DEV_APPLETALK);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_LLC) if defined(&CONFIG_LLC);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_FASTROUTE) if defined(&CONFIG_NET_FASTROUTE);
undef(&CONFIG_NET_HW_FLOWCONTROL) if defined(&CONFIG_NET_HW_FLOWCONTROL);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
unless(defined(&CONFIG_IDE)) {
    sub CONFIG_IDE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE)) {
    sub CONFIG_BLK_DEV_IDE () {	1;}
}
undef(&CONFIG_BLK_DEV_HD_IDE) if defined(&CONFIG_BLK_DEV_HD_IDE);
undef(&CONFIG_BLK_DEV_HD) if defined(&CONFIG_BLK_DEV_HD);
unless(defined(&CONFIG_BLK_DEV_IDEDISK)) {
    sub CONFIG_BLK_DEV_IDEDISK () {	1;}
}
undef(&CONFIG_IDEDISK_MULTI_MODE) if defined(&CONFIG_IDEDISK_MULTI_MODE);
undef(&CONFIG_IDEDISK_STROKE) if defined(&CONFIG_IDEDISK_STROKE);
undef(&CONFIG_BLK_DEV_IDECS) if defined(&CONFIG_BLK_DEV_IDECS);
unless(defined(&CONFIG_BLK_DEV_IDECD)) {
    sub CONFIG_BLK_DEV_IDECD () {	1;}
}
undef(&CONFIG_BLK_DEV_IDETAPE) if defined(&CONFIG_BLK_DEV_IDETAPE);
unless(defined(&CONFIG_BLK_DEV_IDEFLOPPY)) {
    sub CONFIG_BLK_DEV_IDEFLOPPY () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDESCSI)) {
    sub CONFIG_BLK_DEV_IDESCSI () {	1;}
}
undef(&CONFIG_IDE_TASK_IOCTL) if defined(&CONFIG_IDE_TASK_IOCTL);
undef(&CONFIG_BLK_DEV_CMD640) if defined(&CONFIG_BLK_DEV_CMD640);
undef(&CONFIG_BLK_DEV_CMD640_ENHANCED) if defined(&CONFIG_BLK_DEV_CMD640_ENHANCED);
undef(&CONFIG_BLK_DEV_ISAPNP) if defined(&CONFIG_BLK_DEV_ISAPNP);
unless(defined(&CONFIG_BLK_DEV_IDEPCI)) {
    sub CONFIG_BLK_DEV_IDEPCI () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_GENERIC)) {
    sub CONFIG_BLK_DEV_GENERIC () {	1;}
}
unless(defined(&CONFIG_IDEPCI_SHARE_IRQ)) {
    sub CONFIG_IDEPCI_SHARE_IRQ () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PCI)) {
    sub CONFIG_BLK_DEV_IDEDMA_PCI () {	1;}
}
undef(&CONFIG_BLK_DEV_OFFBOARD) if defined(&CONFIG_BLK_DEV_OFFBOARD);
undef(&CONFIG_BLK_DEV_IDEDMA_FORCED) if defined(&CONFIG_BLK_DEV_IDEDMA_FORCED);
unless(defined(&CONFIG_IDEDMA_PCI_AUTO)) {
    sub CONFIG_IDEDMA_PCI_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_ONLYDISK) if defined(&CONFIG_IDEDMA_ONLYDISK);
unless(defined(&CONFIG_BLK_DEV_IDEDMA)) {
    sub CONFIG_BLK_DEV_IDEDMA () {	1;}
}
undef(&CONFIG_IDEDMA_PCI_WIP) if defined(&CONFIG_IDEDMA_PCI_WIP);
undef(&CONFIG_BLK_DEV_ADMA100) if defined(&CONFIG_BLK_DEV_ADMA100);
undef(&CONFIG_BLK_DEV_AEC62XX) if defined(&CONFIG_BLK_DEV_AEC62XX);
undef(&CONFIG_BLK_DEV_ALI15X3) if defined(&CONFIG_BLK_DEV_ALI15X3);
undef(&CONFIG_WDC_ALI15X3) if defined(&CONFIG_WDC_ALI15X3);
undef(&CONFIG_BLK_DEV_AMD74XX) if defined(&CONFIG_BLK_DEV_AMD74XX);
undef(&CONFIG_AMD74XX_OVERRIDE) if defined(&CONFIG_AMD74XX_OVERRIDE);
undef(&CONFIG_BLK_DEV_ATIIXP) if defined(&CONFIG_BLK_DEV_ATIIXP);
unless(defined(&CONFIG_BLK_DEV_CMD64X)) {
    sub CONFIG_BLK_DEV_CMD64X () {	1;}
}
undef(&CONFIG_BLK_DEV_TRIFLEX) if defined(&CONFIG_BLK_DEV_TRIFLEX);
undef(&CONFIG_BLK_DEV_CY82C693) if defined(&CONFIG_BLK_DEV_CY82C693);
undef(&CONFIG_BLK_DEV_CS5530) if defined(&CONFIG_BLK_DEV_CS5530);
undef(&CONFIG_BLK_DEV_HPT34X) if defined(&CONFIG_BLK_DEV_HPT34X);
undef(&CONFIG_HPT34X_AUTODMA) if defined(&CONFIG_HPT34X_AUTODMA);
undef(&CONFIG_BLK_DEV_HPT366) if defined(&CONFIG_BLK_DEV_HPT366);
undef(&CONFIG_BLK_DEV_PIIX) if defined(&CONFIG_BLK_DEV_PIIX);
undef(&CONFIG_BLK_DEV_NS87415) if defined(&CONFIG_BLK_DEV_NS87415);
undef(&CONFIG_BLK_DEV_OPTI621) if defined(&CONFIG_BLK_DEV_OPTI621);
undef(&CONFIG_BLK_DEV_PDC202XX_OLD) if defined(&CONFIG_BLK_DEV_PDC202XX_OLD);
undef(&CONFIG_PDC202XX_BURST) if defined(&CONFIG_PDC202XX_BURST);
undef(&CONFIG_BLK_DEV_PDC202XX_NEW) if defined(&CONFIG_BLK_DEV_PDC202XX_NEW);
undef(&CONFIG_BLK_DEV_RZ1000) if defined(&CONFIG_BLK_DEV_RZ1000);
undef(&CONFIG_BLK_DEV_SC1200) if defined(&CONFIG_BLK_DEV_SC1200);
undef(&CONFIG_BLK_DEV_SVWKS) if defined(&CONFIG_BLK_DEV_SVWKS);
undef(&CONFIG_BLK_DEV_SIIMAGE) if defined(&CONFIG_BLK_DEV_SIIMAGE);
undef(&CONFIG_BLK_DEV_SIS5513) if defined(&CONFIG_BLK_DEV_SIS5513);
undef(&CONFIG_BLK_DEV_SLC90E66) if defined(&CONFIG_BLK_DEV_SLC90E66);
undef(&CONFIG_BLK_DEV_TRM290) if defined(&CONFIG_BLK_DEV_TRM290);
undef(&CONFIG_BLK_DEV_VIA82CXXX) if defined(&CONFIG_BLK_DEV_VIA82CXXX);
unless(defined(&CONFIG_BLK_DEV_SL82C105)) {
    sub CONFIG_BLK_DEV_SL82C105 () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE_PMAC)) {
    sub CONFIG_BLK_DEV_IDE_PMAC () {	1;}
}
undef(&CONFIG_BLK_DEV_IDE_PMAC_ATA100FIRST) if defined(&CONFIG_BLK_DEV_IDE_PMAC_ATA100FIRST);
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PMAC)) {
    sub CONFIG_BLK_DEV_IDEDMA_PMAC () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PMAC_AUTO)) {
    sub CONFIG_BLK_DEV_IDEDMA_PMAC_AUTO () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDEDMA)) {
    sub CONFIG_BLK_DEV_IDEDMA () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDEPCI)) {
    sub CONFIG_BLK_DEV_IDEPCI () {	1;}
}
undef(&CONFIG_IDE_CHIPSETS) if defined(&CONFIG_IDE_CHIPSETS);
unless(defined(&CONFIG_IDEDMA_AUTO)) {
    sub CONFIG_IDEDMA_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_IVB) if defined(&CONFIG_IDEDMA_IVB);
undef(&CONFIG_DMA_NONPCI) if defined(&CONFIG_DMA_NONPCI);
undef(&CONFIG_BLK_DEV_ATARAID) if defined(&CONFIG_BLK_DEV_ATARAID);
undef(&CONFIG_BLK_DEV_ATARAID_PDC) if defined(&CONFIG_BLK_DEV_ATARAID_PDC);
undef(&CONFIG_BLK_DEV_ATARAID_HPT) if defined(&CONFIG_BLK_DEV_ATARAID_HPT);
undef(&CONFIG_BLK_DEV_ATARAID_MEDLEY) if defined(&CONFIG_BLK_DEV_ATARAID_MEDLEY);
undef(&CONFIG_BLK_DEV_ATARAID_SII) if defined(&CONFIG_BLK_DEV_ATARAID_SII);
unless(defined(&CONFIG_SCSI)) {
    sub CONFIG_SCSI () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SD)) {
    sub CONFIG_BLK_DEV_SD () {	1;}
}
unless(defined(&CONFIG_SD_EXTRA_DEVS)) {
    sub CONFIG_SD_EXTRA_DEVS () {	(40);}
}
unless(defined(&CONFIG_CHR_DEV_ST)) {
    sub CONFIG_CHR_DEV_ST () {	1;}
}
undef(&CONFIG_CHR_DEV_OSST) if defined(&CONFIG_CHR_DEV_OSST);
unless(defined(&CONFIG_BLK_DEV_SR)) {
    sub CONFIG_BLK_DEV_SR () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SR_VENDOR)) {
    sub CONFIG_BLK_DEV_SR_VENDOR () {	1;}
}
unless(defined(&CONFIG_SR_EXTRA_DEVS)) {
    sub CONFIG_SR_EXTRA_DEVS () {	(2);}
}
unless(defined(&CONFIG_CHR_DEV_SG)) {
    sub CONFIG_CHR_DEV_SG () {	1;}
}
undef(&CONFIG_SCSI_DEBUG_QUEUES) if defined(&CONFIG_SCSI_DEBUG_QUEUES);
undef(&CONFIG_SCSI_MULTI_LUN) if defined(&CONFIG_SCSI_MULTI_LUN);
unless(defined(&CONFIG_SCSI_CONSTANTS)) {
    sub CONFIG_SCSI_CONSTANTS () {	1;}
}
undef(&CONFIG_SCSI_LOGGING) if defined(&CONFIG_SCSI_LOGGING);
undef(&CONFIG_BLK_DEV_3W_XXXX_RAID) if defined(&CONFIG_BLK_DEV_3W_XXXX_RAID);
undef(&CONFIG_SCSI_7000FASST) if defined(&CONFIG_SCSI_7000FASST);
undef(&CONFIG_SCSI_ACARD) if defined(&CONFIG_SCSI_ACARD);
undef(&CONFIG_SCSI_AHA152X) if defined(&CONFIG_SCSI_AHA152X);
undef(&CONFIG_SCSI_AHA1542) if defined(&CONFIG_SCSI_AHA1542);
undef(&CONFIG_SCSI_AHA1740) if defined(&CONFIG_SCSI_AHA1740);
undef(&CONFIG_SCSI_AACRAID) if defined(&CONFIG_SCSI_AACRAID);
undef(&CONFIG_SCSI_AIC7XXX) if defined(&CONFIG_SCSI_AIC7XXX);
unless(defined(&CONFIG_SCSI_AIC7XXX_MODULE)) {
    sub CONFIG_SCSI_AIC7XXX_MODULE () {	1;}
}
unless(defined(&CONFIG_AIC7XXX_CMDS_PER_DEVICE)) {
    sub CONFIG_AIC7XXX_CMDS_PER_DEVICE () {	(253);}
}
unless(defined(&CONFIG_AIC7XXX_RESET_DELAY_MS)) {
    sub CONFIG_AIC7XXX_RESET_DELAY_MS () {	(15000);}
}
undef(&CONFIG_AIC7XXX_PROBE_EISA_VL) if defined(&CONFIG_AIC7XXX_PROBE_EISA_VL);
undef(&CONFIG_AIC7XXX_BUILD_FIRMWARE) if defined(&CONFIG_AIC7XXX_BUILD_FIRMWARE);
undef(&CONFIG_AIC7XXX_DEBUG_ENABLE) if defined(&CONFIG_AIC7XXX_DEBUG_ENABLE);
unless(defined(&CONFIG_AIC7XXX_DEBUG_MASK)) {
    sub CONFIG_AIC7XXX_DEBUG_MASK () {	(0);}
}
undef(&CONFIG_AIC7XXX_REG_PRETTY_PRINT) if defined(&CONFIG_AIC7XXX_REG_PRETTY_PRINT);
undef(&CONFIG_SCSI_AIC79XX) if defined(&CONFIG_SCSI_AIC79XX);
undef(&CONFIG_SCSI_AIC7XXX_OLD) if defined(&CONFIG_SCSI_AIC7XXX_OLD);
unless(defined(&CONFIG_SCSI_AIC7XXX_OLD_MODULE)) {
    sub CONFIG_SCSI_AIC7XXX_OLD_MODULE () {	1;}
}
undef(&CONFIG_AIC7XXX_OLD_TCQ_ON_BY_DEFAULT) if defined(&CONFIG_AIC7XXX_OLD_TCQ_ON_BY_DEFAULT);
unless(defined(&CONFIG_AIC7XXX_OLD_CMDS_PER_DEVICE)) {
    sub CONFIG_AIC7XXX_OLD_CMDS_PER_DEVICE () {	(8);}
}
unless(defined(&CONFIG_AIC7XXX_OLD_PROC_STATS)) {
    sub CONFIG_AIC7XXX_OLD_PROC_STATS () {	1;}
}
undef(&CONFIG_SCSI_DPT_I2O) if defined(&CONFIG_SCSI_DPT_I2O);
undef(&CONFIG_SCSI_ADVANSYS) if defined(&CONFIG_SCSI_ADVANSYS);
unless(defined(&CONFIG_SCSI_ADVANSYS_MODULE)) {
    sub CONFIG_SCSI_ADVANSYS_MODULE () {	1;}
}
undef(&CONFIG_SCSI_IN2000) if defined(&CONFIG_SCSI_IN2000);
undef(&CONFIG_SCSI_AM53C974) if defined(&CONFIG_SCSI_AM53C974);
undef(&CONFIG_SCSI_MEGARAID) if defined(&CONFIG_SCSI_MEGARAID);
undef(&CONFIG_SCSI_MEGARAID2) if defined(&CONFIG_SCSI_MEGARAID2);
undef(&CONFIG_SCSI_BUSLOGIC) if defined(&CONFIG_SCSI_BUSLOGIC);
undef(&CONFIG_SCSI_CPQFCTS) if defined(&CONFIG_SCSI_CPQFCTS);
undef(&CONFIG_SCSI_DMX3191D) if defined(&CONFIG_SCSI_DMX3191D);
undef(&CONFIG_SCSI_DTC3280) if defined(&CONFIG_SCSI_DTC3280);
undef(&CONFIG_SCSI_EATA) if defined(&CONFIG_SCSI_EATA);
undef(&CONFIG_SCSI_EATA_DMA) if defined(&CONFIG_SCSI_EATA_DMA);
undef(&CONFIG_SCSI_EATA_PIO) if defined(&CONFIG_SCSI_EATA_PIO);
undef(&CONFIG_SCSI_FUTURE_DOMAIN) if defined(&CONFIG_SCSI_FUTURE_DOMAIN);
undef(&CONFIG_SCSI_GDTH) if defined(&CONFIG_SCSI_GDTH);
undef(&CONFIG_SCSI_GENERIC_NCR5380) if defined(&CONFIG_SCSI_GENERIC_NCR5380);
undef(&CONFIG_SCSI_INITIO) if defined(&CONFIG_SCSI_INITIO);
undef(&CONFIG_SCSI_INIA100) if defined(&CONFIG_SCSI_INIA100);
undef(&CONFIG_SCSI_NCR53C406A) if defined(&CONFIG_SCSI_NCR53C406A);
undef(&CONFIG_SCSI_NCR53C7xx) if defined(&CONFIG_SCSI_NCR53C7xx);
unless(defined(&CONFIG_SCSI_SYM53C8XX_2)) {
    sub CONFIG_SCSI_SYM53C8XX_2 () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE)) {
    sub CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE () {	(0);}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS () {	(16);}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_MAX_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_MAX_TAGS () {	(64);}
}
undef(&CONFIG_SCSI_SYM53C8XX_IOMAPPED) if defined(&CONFIG_SCSI_SYM53C8XX_IOMAPPED);
undef(&CONFIG_SCSI_PAS16) if defined(&CONFIG_SCSI_PAS16);
undef(&CONFIG_SCSI_PCI2000) if defined(&CONFIG_SCSI_PCI2000);
undef(&CONFIG_SCSI_PCI2220I) if defined(&CONFIG_SCSI_PCI2220I);
undef(&CONFIG_SCSI_PSI240I) if defined(&CONFIG_SCSI_PSI240I);
undef(&CONFIG_SCSI_QLOGIC_FAS) if defined(&CONFIG_SCSI_QLOGIC_FAS);
undef(&CONFIG_SCSI_QLOGIC_ISP) if defined(&CONFIG_SCSI_QLOGIC_ISP);
undef(&CONFIG_SCSI_QLOGIC_FC) if defined(&CONFIG_SCSI_QLOGIC_FC);
undef(&CONFIG_SCSI_QLOGIC_1280) if defined(&CONFIG_SCSI_QLOGIC_1280);
undef(&CONFIG_SCSI_SIM710) if defined(&CONFIG_SCSI_SIM710);
undef(&CONFIG_SCSI_SYM53C416) if defined(&CONFIG_SCSI_SYM53C416);
undef(&CONFIG_SCSI_DC390T) if defined(&CONFIG_SCSI_DC390T);
undef(&CONFIG_SCSI_T128) if defined(&CONFIG_SCSI_T128);
undef(&CONFIG_SCSI_U14_34F) if defined(&CONFIG_SCSI_U14_34F);
undef(&CONFIG_SCSI_NSP32) if defined(&CONFIG_SCSI_NSP32);
undef(&CONFIG_SCSI_DEBUG) if defined(&CONFIG_SCSI_DEBUG);
unless(defined(&CONFIG_SCSI_MESH)) {
    sub CONFIG_SCSI_MESH () {	1;}
}
unless(defined(&CONFIG_SCSI_MESH_SYNC_RATE)) {
    sub CONFIG_SCSI_MESH_SYNC_RATE () {	(5);}
}
unless(defined(&CONFIG_SCSI_MESH_RESET_DELAY_MS)) {
    sub CONFIG_SCSI_MESH_RESET_DELAY_MS () {	(4000);}
}
unless(defined(&CONFIG_SCSI_MAC53C94)) {
    sub CONFIG_SCSI_MAC53C94 () {	1;}
}
undef(&CONFIG_IEEE1394) if defined(&CONFIG_IEEE1394);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
undef(&CONFIG_ARCNET) if defined(&CONFIG_ARCNET);
undef(&CONFIG_DUMMY) if defined(&CONFIG_DUMMY);
undef(&CONFIG_BONDING) if defined(&CONFIG_BONDING);
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
undef(&CONFIG_ETHERTAP) if defined(&CONFIG_ETHERTAP);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
unless(defined(&CONFIG_MACE)) {
    sub CONFIG_MACE () {	1;}
}
undef(&CONFIG_MACE_AAUI_PORT) if defined(&CONFIG_MACE_AAUI_PORT);
unless(defined(&CONFIG_BMAC)) {
    sub CONFIG_BMAC () {	1;}
}
unless(defined(&CONFIG_GMAC)) {
    sub CONFIG_GMAC () {	1;}
}
undef(&CONFIG_SUNLANCE) if defined(&CONFIG_SUNLANCE);
undef(&CONFIG_HAPPYMEAL) if defined(&CONFIG_HAPPYMEAL);
undef(&CONFIG_SUNBMAC) if defined(&CONFIG_SUNBMAC);
undef(&CONFIG_SUNQE) if defined(&CONFIG_SUNQE);
undef(&CONFIG_SUNGEM) if defined(&CONFIG_SUNGEM);
undef(&CONFIG_NET_VENDOR_3COM) if defined(&CONFIG_NET_VENDOR_3COM);
undef(&CONFIG_LANCE) if defined(&CONFIG_LANCE);
undef(&CONFIG_NET_VENDOR_SMC) if defined(&CONFIG_NET_VENDOR_SMC);
undef(&CONFIG_NET_VENDOR_RACAL) if defined(&CONFIG_NET_VENDOR_RACAL);
undef(&CONFIG_HP100) if defined(&CONFIG_HP100);
undef(&CONFIG_NET_ISA) if defined(&CONFIG_NET_ISA);
unless(defined(&CONFIG_NET_PCI)) {
    sub CONFIG_NET_PCI () {	1;}
}
unless(defined(&CONFIG_PCNET32)) {
    sub CONFIG_PCNET32 () {	1;}
}
undef(&CONFIG_AMD8111_ETH) if defined(&CONFIG_AMD8111_ETH);
undef(&CONFIG_ADAPTEC_STARFIRE) if defined(&CONFIG_ADAPTEC_STARFIRE);
undef(&CONFIG_APRICOT) if defined(&CONFIG_APRICOT);
undef(&CONFIG_B44) if defined(&CONFIG_B44);
undef(&CONFIG_CS89x0) if defined(&CONFIG_CS89x0);
unless(defined(&CONFIG_TULIP)) {
    sub CONFIG_TULIP () {	1;}
}
undef(&CONFIG_TULIP_MWI) if defined(&CONFIG_TULIP_MWI);
unless(defined(&CONFIG_TULIP_MMIO)) {
    sub CONFIG_TULIP_MMIO () {	1;}
}
undef(&CONFIG_DE4X5) if defined(&CONFIG_DE4X5);
unless(defined(&CONFIG_DE4X5_MODULE)) {
    sub CONFIG_DE4X5_MODULE () {	1;}
}
undef(&CONFIG_DGRS) if defined(&CONFIG_DGRS);
undef(&CONFIG_DM9102) if defined(&CONFIG_DM9102);
undef(&CONFIG_EEPRO100) if defined(&CONFIG_EEPRO100);
undef(&CONFIG_EEPRO100_PIO) if defined(&CONFIG_EEPRO100_PIO);
undef(&CONFIG_E100) if defined(&CONFIG_E100);
undef(&CONFIG_LNE390) if defined(&CONFIG_LNE390);
undef(&CONFIG_FEALNX) if defined(&CONFIG_FEALNX);
undef(&CONFIG_NATSEMI) if defined(&CONFIG_NATSEMI);
undef(&CONFIG_NE2K_PCI) if defined(&CONFIG_NE2K_PCI);
undef(&CONFIG_FORCEDETH) if defined(&CONFIG_FORCEDETH);
undef(&CONFIG_NE3210) if defined(&CONFIG_NE3210);
undef(&CONFIG_ES3210) if defined(&CONFIG_ES3210);
undef(&CONFIG_8139CP) if defined(&CONFIG_8139CP);
undef(&CONFIG_8139TOO) if defined(&CONFIG_8139TOO);
undef(&CONFIG_8139TOO_PIO) if defined(&CONFIG_8139TOO_PIO);
undef(&CONFIG_8139TOO_TUNE_TWISTER) if defined(&CONFIG_8139TOO_TUNE_TWISTER);
undef(&CONFIG_8139TOO_8129) if defined(&CONFIG_8139TOO_8129);
undef(&CONFIG_8139_OLD_RX_RESET) if defined(&CONFIG_8139_OLD_RX_RESET);
undef(&CONFIG_SIS900) if defined(&CONFIG_SIS900);
undef(&CONFIG_EPIC100) if defined(&CONFIG_EPIC100);
undef(&CONFIG_SUNDANCE) if defined(&CONFIG_SUNDANCE);
undef(&CONFIG_SUNDANCE_MMIO) if defined(&CONFIG_SUNDANCE_MMIO);
undef(&CONFIG_TLAN) if defined(&CONFIG_TLAN);
undef(&CONFIG_VIA_RHINE) if defined(&CONFIG_VIA_RHINE);
undef(&CONFIG_VIA_RHINE_MMIO) if defined(&CONFIG_VIA_RHINE_MMIO);
undef(&CONFIG_WINBOND_840) if defined(&CONFIG_WINBOND_840);
undef(&CONFIG_NET_POCKET) if defined(&CONFIG_NET_POCKET);
undef(&CONFIG_ACENIC) if defined(&CONFIG_ACENIC);
undef(&CONFIG_DL2K) if defined(&CONFIG_DL2K);
undef(&CONFIG_E1000) if defined(&CONFIG_E1000);
undef(&CONFIG_MYRI_SBUS) if defined(&CONFIG_MYRI_SBUS);
undef(&CONFIG_NS83820) if defined(&CONFIG_NS83820);
undef(&CONFIG_HAMACHI) if defined(&CONFIG_HAMACHI);
undef(&CONFIG_YELLOWFIN) if defined(&CONFIG_YELLOWFIN);
undef(&CONFIG_R8169) if defined(&CONFIG_R8169);
undef(&CONFIG_SK98LIN) if defined(&CONFIG_SK98LIN);
undef(&CONFIG_TIGON3) if defined(&CONFIG_TIGON3);
undef(&CONFIG_FDDI) if defined(&CONFIG_FDDI);
undef(&CONFIG_HIPPI) if defined(&CONFIG_HIPPI);
undef(&CONFIG_PLIP) if defined(&CONFIG_PLIP);
unless(defined(&CONFIG_PPP)) {
    sub CONFIG_PPP () {	1;}
}
unless(defined(&CONFIG_PPP_MULTILINK)) {
    sub CONFIG_PPP_MULTILINK () {	1;}
}
undef(&CONFIG_PPP_FILTER) if defined(&CONFIG_PPP_FILTER);
unless(defined(&CONFIG_PPP_ASYNC)) {
    sub CONFIG_PPP_ASYNC () {	1;}
}
undef(&CONFIG_PPP_SYNC_TTY) if defined(&CONFIG_PPP_SYNC_TTY);
unless(defined(&CONFIG_PPP_DEFLATE)) {
    sub CONFIG_PPP_DEFLATE () {	1;}
}
undef(&CONFIG_PPP_BSDCOMP) if defined(&CONFIG_PPP_BSDCOMP);
undef(&CONFIG_PPPOE) if defined(&CONFIG_PPPOE);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
unless(defined(&CONFIG_NET_RADIO)) {
    sub CONFIG_NET_RADIO () {	1;}
}
undef(&CONFIG_STRIP) if defined(&CONFIG_STRIP);
undef(&CONFIG_WAVELAN) if defined(&CONFIG_WAVELAN);
undef(&CONFIG_ARLAN) if defined(&CONFIG_ARLAN);
undef(&CONFIG_AIRONET4500) if defined(&CONFIG_AIRONET4500);
undef(&CONFIG_AIRONET4500_NONCS) if defined(&CONFIG_AIRONET4500_NONCS);
undef(&CONFIG_AIRONET4500_PROC) if defined(&CONFIG_AIRONET4500_PROC);
undef(&CONFIG_AIRO) if defined(&CONFIG_AIRO);
undef(&CONFIG_HERMES) if defined(&CONFIG_HERMES);
unless(defined(&CONFIG_HERMES_MODULE)) {
    sub CONFIG_HERMES_MODULE () {	1;}
}
undef(&CONFIG_APPLE_AIRPORT) if defined(&CONFIG_APPLE_AIRPORT);
unless(defined(&CONFIG_APPLE_AIRPORT_MODULE)) {
    sub CONFIG_APPLE_AIRPORT_MODULE () {	1;}
}
undef(&CONFIG_PLX_HERMES) if defined(&CONFIG_PLX_HERMES);
undef(&CONFIG_TMD_HERMES) if defined(&CONFIG_TMD_HERMES);
undef(&CONFIG_PCI_HERMES) if defined(&CONFIG_PCI_HERMES);
unless(defined(&CONFIG_NET_WIRELESS)) {
    sub CONFIG_NET_WIRELESS () {	1;}
}
undef(&CONFIG_TR) if defined(&CONFIG_TR);
undef(&CONFIG_NET_FC) if defined(&CONFIG_NET_FC);
undef(&CONFIG_RCPCI) if defined(&CONFIG_RCPCI);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
undef(&CONFIG_IRDA) if defined(&CONFIG_IRDA);
undef(&CONFIG_ISDN) if defined(&CONFIG_ISDN);
undef(&CONFIG_CD_NO_IDESCSI) if defined(&CONFIG_CD_NO_IDESCSI);
unless(defined(&CONFIG_VGA_CONSOLE)) {
    sub CONFIG_VGA_CONSOLE () {	1;}
}
unless(defined(&CONFIG_FB)) {
    sub CONFIG_FB () {	1;}
}
unless(defined(&CONFIG_DUMMY_CONSOLE)) {
    sub CONFIG_DUMMY_CONSOLE () {	1;}
}
undef(&CONFIG_FB_RIVA) if defined(&CONFIG_FB_RIVA);
undef(&CONFIG_FB_CLGEN) if defined(&CONFIG_FB_CLGEN);
undef(&CONFIG_FB_PM2) if defined(&CONFIG_FB_PM2);
undef(&CONFIG_FB_PM3) if defined(&CONFIG_FB_PM3);
undef(&CONFIG_FB_CYBER2000) if defined(&CONFIG_FB_CYBER2000);
unless(defined(&CONFIG_FB_OF)) {
    sub CONFIG_FB_OF () {	1;}
}
unless(defined(&CONFIG_FB_CONTROL)) {
    sub CONFIG_FB_CONTROL () {	1;}
}
unless(defined(&CONFIG_FB_PLATINUM)) {
    sub CONFIG_FB_PLATINUM () {	1;}
}
unless(defined(&CONFIG_FB_VALKYRIE)) {
    sub CONFIG_FB_VALKYRIE () {	1;}
}
unless(defined(&CONFIG_FB_CT65550)) {
    sub CONFIG_FB_CT65550 () {	1;}
}
unless(defined(&CONFIG_FB_IMSTT)) {
    sub CONFIG_FB_IMSTT () {	1;}
}
undef(&CONFIG_FB_S3TRIO) if defined(&CONFIG_FB_S3TRIO);
undef(&CONFIG_FB_VGA16) if defined(&CONFIG_FB_VGA16);
unless(defined(&CONFIG_FB_MATROX)) {
    sub CONFIG_FB_MATROX () {	1;}
}
unless(defined(&CONFIG_FB_MATROX_MILLENIUM)) {
    sub CONFIG_FB_MATROX_MILLENIUM () {	1;}
}
unless(defined(&CONFIG_FB_MATROX_MYSTIQUE)) {
    sub CONFIG_FB_MATROX_MYSTIQUE () {	1;}
}
undef(&CONFIG_FB_MATROX_G450) if defined(&CONFIG_FB_MATROX_G450);
unless(defined(&CONFIG_FB_MATROX_G100A)) {
    sub CONFIG_FB_MATROX_G100A () {	1;}
}
unless(defined(&CONFIG_FB_MATROX_G100)) {
    sub CONFIG_FB_MATROX_G100 () {	1;}
}
undef(&CONFIG_FB_MATROX_I2C) if defined(&CONFIG_FB_MATROX_I2C);
undef(&CONFIG_FB_MATROX_MAVEN) if defined(&CONFIG_FB_MATROX_MAVEN);
unless(defined(&CONFIG_FB_MATROX_PROC)) {
    sub CONFIG_FB_MATROX_PROC () {	1;}
}
undef(&CONFIG_FB_MATROX_MULTIHEAD) if defined(&CONFIG_FB_MATROX_MULTIHEAD);
unless(defined(&CONFIG_FB_ATY)) {
    sub CONFIG_FB_ATY () {	1;}
}
unless(defined(&CONFIG_FB_ATY_GX)) {
    sub CONFIG_FB_ATY_GX () {	1;}
}
unless(defined(&CONFIG_FB_ATY_CT)) {
    sub CONFIG_FB_ATY_CT () {	1;}
}
unless(defined(&CONFIG_FB_RADEON)) {
    sub CONFIG_FB_RADEON () {	1;}
}
unless(defined(&CONFIG_FB_ATY128)) {
    sub CONFIG_FB_ATY128 () {	1;}
}
undef(&CONFIG_FB_INTEL) if defined(&CONFIG_FB_INTEL);
undef(&CONFIG_FB_SIS) if defined(&CONFIG_FB_SIS);
undef(&CONFIG_FB_NEOMAGIC) if defined(&CONFIG_FB_NEOMAGIC);
unless(defined(&CONFIG_FB_3DFX)) {
    sub CONFIG_FB_3DFX () {	1;}
}
undef(&CONFIG_FB_VOODOO1) if defined(&CONFIG_FB_VOODOO1);
undef(&CONFIG_FB_TRIDENT) if defined(&CONFIG_FB_TRIDENT);
undef(&CONFIG_FB_IT8181) if defined(&CONFIG_FB_IT8181);
undef(&CONFIG_FB_VIRTUAL) if defined(&CONFIG_FB_VIRTUAL);
undef(&CONFIG_FBCON_ADVANCED) if defined(&CONFIG_FBCON_ADVANCED);
unless(defined(&CONFIG_FBCON_CFB8)) {
    sub CONFIG_FBCON_CFB8 () {	1;}
}
unless(defined(&CONFIG_FBCON_CFB16)) {
    sub CONFIG_FBCON_CFB16 () {	1;}
}
unless(defined(&CONFIG_FBCON_CFB24)) {
    sub CONFIG_FBCON_CFB24 () {	1;}
}
unless(defined(&CONFIG_FBCON_CFB32)) {
    sub CONFIG_FBCON_CFB32 () {	1;}
}
undef(&CONFIG_FBCON_FONTWIDTH8_ONLY) if defined(&CONFIG_FBCON_FONTWIDTH8_ONLY);
unless(defined(&CONFIG_FBCON_FONTS)) {
    sub CONFIG_FBCON_FONTS () {	1;}
}
undef(&CONFIG_FONT_8x8) if defined(&CONFIG_FONT_8x8);
unless(defined(&CONFIG_FONT_8x16)) {
    sub CONFIG_FONT_8x16 () {	1;}
}
unless(defined(&CONFIG_FONT_SUN8x16)) {
    sub CONFIG_FONT_SUN8x16 () {	1;}
}
unless(defined(&CONFIG_FONT_SUN12x22)) {
    sub CONFIG_FONT_SUN12x22 () {	1;}
}
undef(&CONFIG_FONT_6x11) if defined(&CONFIG_FONT_6x11);
undef(&CONFIG_FONT_PEARL_8x8) if defined(&CONFIG_FONT_PEARL_8x8);
undef(&CONFIG_FONT_ACORN_8x8) if defined(&CONFIG_FONT_ACORN_8x8);
undef(&CONFIG_FB_COMPAT_XPMAC) if defined(&CONFIG_FB_COMPAT_XPMAC);
unless(defined(&CONFIG_INPUT)) {
    sub CONFIG_INPUT () {	1;}
}
unless(defined(&CONFIG_INPUT_KEYBDEV)) {
    sub CONFIG_INPUT_KEYBDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV)) {
    sub CONFIG_INPUT_MOUSEDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_X)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_X () {	(1024);}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_Y)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_Y () {	(768);}
}
undef(&CONFIG_INPUT_JOYDEV) if defined(&CONFIG_INPUT_JOYDEV);
unless(defined(&CONFIG_INPUT_EVDEV)) {
    sub CONFIG_INPUT_EVDEV () {	1;}
}
undef(&CONFIG_INPUT_UINPUT) if defined(&CONFIG_INPUT_UINPUT);
unless(defined(&CONFIG_ADB_CUDA)) {
    sub CONFIG_ADB_CUDA () {	1;}
}
unless(defined(&CONFIG_ADB_PMU)) {
    sub CONFIG_ADB_PMU () {	1;}
}
undef(&CONFIG_PMAC_PBOOK) if defined(&CONFIG_PMAC_PBOOK);
undef(&CONFIG_PMAC_BACKLIGHT) if defined(&CONFIG_PMAC_BACKLIGHT);
undef(&CONFIG_MAC_FLOPPY) if defined(&CONFIG_MAC_FLOPPY);
undef(&CONFIG_MAC_SERIAL) if defined(&CONFIG_MAC_SERIAL);
unless(defined(&CONFIG_MAC_SERIAL_MODULE)) {
    sub CONFIG_MAC_SERIAL_MODULE () {	1;}
}
unless(defined(&CONFIG_ADB)) {
    sub CONFIG_ADB () {	1;}
}
unless(defined(&CONFIG_ADB_MACIO)) {
    sub CONFIG_ADB_MACIO () {	1;}
}
unless(defined(&CONFIG_INPUT_ADBHID)) {
    sub CONFIG_INPUT_ADBHID () {	1;}
}
unless(defined(&CONFIG_MAC_ADBKEYCODES)) {
    sub CONFIG_MAC_ADBKEYCODES () {	1;}
}
unless(defined(&CONFIG_MAC_EMUMOUSEBTN)) {
    sub CONFIG_MAC_EMUMOUSEBTN () {	1;}
}
unless(defined(&CONFIG_MAC_HID)) {
    sub CONFIG_MAC_HID () {	1;}
}
undef(&CONFIG_ANSLCD) if defined(&CONFIG_ANSLCD);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL) if defined(&CONFIG_SERIAL);
unless(defined(&CONFIG_SERIAL_MODULE)) {
    sub CONFIG_SERIAL_MODULE () {	1;}
}
undef(&CONFIG_SERIAL_EXTENDED) if defined(&CONFIG_SERIAL_EXTENDED);
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTY_COUNT)) {
    sub CONFIG_UNIX98_PTY_COUNT () {	(256);}
}
undef(&CONFIG_BRIQ_PANEL) if defined(&CONFIG_BRIQ_PANEL);
undef(&CONFIG_I2C) if defined(&CONFIG_I2C);
unless(defined(&CONFIG_I2C_MODULE)) {
    sub CONFIG_I2C_MODULE () {	1;}
}
undef(&CONFIG_I2C_ALGOBIT) if defined(&CONFIG_I2C_ALGOBIT);
undef(&CONFIG_SCx200_ACB) if defined(&CONFIG_SCx200_ACB);
undef(&CONFIG_I2C_ALGOPCF) if defined(&CONFIG_I2C_ALGOPCF);
undef(&CONFIG_I2C_KEYWEST) if defined(&CONFIG_I2C_KEYWEST);
unless(defined(&CONFIG_I2C_KEYWEST_MODULE)) {
    sub CONFIG_I2C_KEYWEST_MODULE () {	1;}
}
undef(&CONFIG_I2C_CHARDEV) if defined(&CONFIG_I2C_CHARDEV);
unless(defined(&CONFIG_I2C_CHARDEV_MODULE)) {
    sub CONFIG_I2C_CHARDEV_MODULE () {	1;}
}
undef(&CONFIG_I2C_PROC) if defined(&CONFIG_I2C_PROC);
unless(defined(&CONFIG_I2C_PROC_MODULE)) {
    sub CONFIG_I2C_PROC_MODULE () {	1;}
}
unless(defined(&CONFIG_BUSMOUSE)) {
    sub CONFIG_BUSMOUSE () {	1;}
}
undef(&CONFIG_ATIXL_BUSMOUSE) if defined(&CONFIG_ATIXL_BUSMOUSE);
undef(&CONFIG_LOGIBUSMOUSE) if defined(&CONFIG_LOGIBUSMOUSE);
undef(&CONFIG_MS_BUSMOUSE) if defined(&CONFIG_MS_BUSMOUSE);
unless(defined(&CONFIG_MOUSE)) {
    sub CONFIG_MOUSE () {	1;}
}
unless(defined(&CONFIG_PSMOUSE)) {
    sub CONFIG_PSMOUSE () {	1;}
}
undef(&CONFIG_82C710_MOUSE) if defined(&CONFIG_82C710_MOUSE);
undef(&CONFIG_PC110_PAD) if defined(&CONFIG_PC110_PAD);
undef(&CONFIG_MK712_MOUSE) if defined(&CONFIG_MK712_MOUSE);
undef(&CONFIG_INPUT_GAMEPORT) if defined(&CONFIG_INPUT_GAMEPORT);
undef(&CONFIG_INPUT_NS558) if defined(&CONFIG_INPUT_NS558);
undef(&CONFIG_INPUT_LIGHTNING) if defined(&CONFIG_INPUT_LIGHTNING);
undef(&CONFIG_INPUT_PCIGAME) if defined(&CONFIG_INPUT_PCIGAME);
undef(&CONFIG_INPUT_CS461X) if defined(&CONFIG_INPUT_CS461X);
undef(&CONFIG_INPUT_EMU10K1) if defined(&CONFIG_INPUT_EMU10K1);
undef(&CONFIG_INPUT_SERIO) if defined(&CONFIG_INPUT_SERIO);
undef(&CONFIG_INPUT_SERPORT) if defined(&CONFIG_INPUT_SERPORT);
undef(&CONFIG_INPUT_ANALOG) if defined(&CONFIG_INPUT_ANALOG);
undef(&CONFIG_INPUT_A3D) if defined(&CONFIG_INPUT_A3D);
undef(&CONFIG_INPUT_ADI) if defined(&CONFIG_INPUT_ADI);
undef(&CONFIG_INPUT_COBRA) if defined(&CONFIG_INPUT_COBRA);
undef(&CONFIG_INPUT_GF2K) if defined(&CONFIG_INPUT_GF2K);
undef(&CONFIG_INPUT_GRIP) if defined(&CONFIG_INPUT_GRIP);
undef(&CONFIG_INPUT_INTERACT) if defined(&CONFIG_INPUT_INTERACT);
undef(&CONFIG_INPUT_TMDC) if defined(&CONFIG_INPUT_TMDC);
undef(&CONFIG_INPUT_SIDEWINDER) if defined(&CONFIG_INPUT_SIDEWINDER);
undef(&CONFIG_INPUT_IFORCE_USB) if defined(&CONFIG_INPUT_IFORCE_USB);
undef(&CONFIG_INPUT_IFORCE_232) if defined(&CONFIG_INPUT_IFORCE_232);
undef(&CONFIG_INPUT_WARRIOR) if defined(&CONFIG_INPUT_WARRIOR);
undef(&CONFIG_INPUT_MAGELLAN) if defined(&CONFIG_INPUT_MAGELLAN);
undef(&CONFIG_INPUT_SPACEORB) if defined(&CONFIG_INPUT_SPACEORB);
undef(&CONFIG_INPUT_SPACEBALL) if defined(&CONFIG_INPUT_SPACEBALL);
undef(&CONFIG_INPUT_STINGER) if defined(&CONFIG_INPUT_STINGER);
undef(&CONFIG_INPUT_DB9) if defined(&CONFIG_INPUT_DB9);
undef(&CONFIG_INPUT_GAMECON) if defined(&CONFIG_INPUT_GAMECON);
undef(&CONFIG_INPUT_TURBOGRAFX) if defined(&CONFIG_INPUT_TURBOGRAFX);
undef(&CONFIG_QIC02_TAPE) if defined(&CONFIG_QIC02_TAPE);
undef(&CONFIG_IPMI_HANDLER) if defined(&CONFIG_IPMI_HANDLER);
undef(&CONFIG_IPMI_PANIC_EVENT) if defined(&CONFIG_IPMI_PANIC_EVENT);
undef(&CONFIG_IPMI_DEVICE_INTERFACE) if defined(&CONFIG_IPMI_DEVICE_INTERFACE);
undef(&CONFIG_IPMI_KCS) if defined(&CONFIG_IPMI_KCS);
undef(&CONFIG_IPMI_WATCHDOG) if defined(&CONFIG_IPMI_WATCHDOG);
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
undef(&CONFIG_SCx200) if defined(&CONFIG_SCx200);
undef(&CONFIG_SCx200_GPIO) if defined(&CONFIG_SCx200_GPIO);
undef(&CONFIG_AMD_PM768) if defined(&CONFIG_AMD_PM768);
unless(defined(&CONFIG_NVRAM)) {
    sub CONFIG_NVRAM () {	1;}
}
undef(&CONFIG_RTC) if defined(&CONFIG_RTC);
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
undef(&CONFIG_FTAPE) if defined(&CONFIG_FTAPE);
undef(&CONFIG_AGP) if defined(&CONFIG_AGP);
undef(&CONFIG_DRM) if defined(&CONFIG_DRM);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
undef(&CONFIG_QFMT_V2) if defined(&CONFIG_QFMT_V2);
undef(&CONFIG_AUTOFS_FS) if defined(&CONFIG_AUTOFS_FS);
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
undef(&CONFIG_REISERFS_FS) if defined(&CONFIG_REISERFS_FS);
undef(&CONFIG_REISERFS_CHECK) if defined(&CONFIG_REISERFS_CHECK);
undef(&CONFIG_REISERFS_PROC_INFO) if defined(&CONFIG_REISERFS_PROC_INFO);
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_ADFS_FS_RW) if defined(&CONFIG_ADFS_FS_RW);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
undef(&CONFIG_HFS_FS) if defined(&CONFIG_HFS_FS);
unless(defined(&CONFIG_HFS_FS_MODULE)) {
    sub CONFIG_HFS_FS_MODULE () {	1;}
}
undef(&CONFIG_HFSPLUS_FS) if defined(&CONFIG_HFSPLUS_FS);
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BEFS_DEBUG) if defined(&CONFIG_BEFS_DEBUG);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
undef(&CONFIG_EXT3_FS) if defined(&CONFIG_EXT3_FS);
undef(&CONFIG_JBD) if defined(&CONFIG_JBD);
undef(&CONFIG_JBD_DEBUG) if defined(&CONFIG_JBD_DEBUG);
undef(&CONFIG_FAT_FS) if defined(&CONFIG_FAT_FS);
unless(defined(&CONFIG_FAT_FS_MODULE)) {
    sub CONFIG_FAT_FS_MODULE () {	1;}
}
undef(&CONFIG_MSDOS_FS) if defined(&CONFIG_MSDOS_FS);
unless(defined(&CONFIG_MSDOS_FS_MODULE)) {
    sub CONFIG_MSDOS_FS_MODULE () {	1;}
}
undef(&CONFIG_UMSDOS_FS) if defined(&CONFIG_UMSDOS_FS);
undef(&CONFIG_VFAT_FS) if defined(&CONFIG_VFAT_FS);
unless(defined(&CONFIG_VFAT_FS_MODULE)) {
    sub CONFIG_VFAT_FS_MODULE () {	1;}
}
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_JFFS_FS) if defined(&CONFIG_JFFS_FS);
undef(&CONFIG_JFFS2_FS) if defined(&CONFIG_JFFS2_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
unless(defined(&CONFIG_TMPFS)) {
    sub CONFIG_TMPFS () {	1;}
}
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
unless(defined(&CONFIG_ISO9660_FS)) {
    sub CONFIG_ISO9660_FS () {	1;}
}
undef(&CONFIG_JOLIET) if defined(&CONFIG_JOLIET);
undef(&CONFIG_ZISOFS) if defined(&CONFIG_ZISOFS);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
undef(&CONFIG_JFS_DEBUG) if defined(&CONFIG_JFS_DEBUG);
undef(&CONFIG_JFS_STATISTICS) if defined(&CONFIG_JFS_STATISTICS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
undef(&CONFIG_NTFS_RW) if defined(&CONFIG_NTFS_RW);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
unless(defined(&CONFIG_DEVFS_FS)) {
    sub CONFIG_DEVFS_FS () {	1;}
}
undef(&CONFIG_DEVFS_MOUNT) if defined(&CONFIG_DEVFS_MOUNT);
undef(&CONFIG_DEVFS_DEBUG) if defined(&CONFIG_DEVFS_DEBUG);
unless(defined(&CONFIG_DEVPTS_FS)) {
    sub CONFIG_DEVPTS_FS () {	1;}
}
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_QNX4FS_RW) if defined(&CONFIG_QNX4FS_RW);
undef(&CONFIG_ROMFS_FS) if defined(&CONFIG_ROMFS_FS);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UDF_FS) if defined(&CONFIG_UDF_FS);
undef(&CONFIG_UDF_RW) if defined(&CONFIG_UDF_RW);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
undef(&CONFIG_UFS_FS_WRITE) if defined(&CONFIG_UFS_FS_WRITE);
undef(&CONFIG_XFS_FS) if defined(&CONFIG_XFS_FS);
undef(&CONFIG_XFS_QUOTA) if defined(&CONFIG_XFS_QUOTA);
undef(&CONFIG_XFS_RT) if defined(&CONFIG_XFS_RT);
undef(&CONFIG_XFS_TRACE) if defined(&CONFIG_XFS_TRACE);
undef(&CONFIG_XFS_DEBUG) if defined(&CONFIG_XFS_DEBUG);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_INTERMEZZO_FS) if defined(&CONFIG_INTERMEZZO_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
undef(&CONFIG_NFS_V3) if defined(&CONFIG_NFS_V3);
undef(&CONFIG_NFS_DIRECTIO) if defined(&CONFIG_NFS_DIRECTIO);
undef(&CONFIG_ROOT_NFS) if defined(&CONFIG_ROOT_NFS);
unless(defined(&CONFIG_NFSD)) {
    sub CONFIG_NFSD () {	1;}
}
undef(&CONFIG_NFSD_V3) if defined(&CONFIG_NFSD_V3);
undef(&CONFIG_NFSD_TCP) if defined(&CONFIG_NFSD_TCP);
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
undef(&CONFIG_SMB_FS) if defined(&CONFIG_SMB_FS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_NCPFS_PACKET_SIGNING) if defined(&CONFIG_NCPFS_PACKET_SIGNING);
undef(&CONFIG_NCPFS_IOCTL_LOCKING) if defined(&CONFIG_NCPFS_IOCTL_LOCKING);
undef(&CONFIG_NCPFS_STRONG) if defined(&CONFIG_NCPFS_STRONG);
undef(&CONFIG_NCPFS_NFS_NS) if defined(&CONFIG_NCPFS_NFS_NS);
undef(&CONFIG_NCPFS_OS2_NS) if defined(&CONFIG_NCPFS_OS2_NS);
undef(&CONFIG_NCPFS_SMALLDOS) if defined(&CONFIG_NCPFS_SMALLDOS);
undef(&CONFIG_NCPFS_NLS) if defined(&CONFIG_NCPFS_NLS);
undef(&CONFIG_NCPFS_EXTRAS) if defined(&CONFIG_NCPFS_EXTRAS);
undef(&CONFIG_ZISOFS_FS) if defined(&CONFIG_ZISOFS_FS);
unless(defined(&CONFIG_PARTITION_ADVANCED)) {
    sub CONFIG_PARTITION_ADVANCED () {	1;}
}
undef(&CONFIG_ACORN_PARTITION) if defined(&CONFIG_ACORN_PARTITION);
undef(&CONFIG_OSF_PARTITION) if defined(&CONFIG_OSF_PARTITION);
undef(&CONFIG_AMIGA_PARTITION) if defined(&CONFIG_AMIGA_PARTITION);
undef(&CONFIG_ATARI_PARTITION) if defined(&CONFIG_ATARI_PARTITION);
unless(defined(&CONFIG_MAC_PARTITION)) {
    sub CONFIG_MAC_PARTITION () {	1;}
}
unless(defined(&CONFIG_MSDOS_PARTITION)) {
    sub CONFIG_MSDOS_PARTITION () {	1;}
}
undef(&CONFIG_BSD_DISKLABEL) if defined(&CONFIG_BSD_DISKLABEL);
undef(&CONFIG_MINIX_SUBPARTITION) if defined(&CONFIG_MINIX_SUBPARTITION);
undef(&CONFIG_SOLARIS_X86_PARTITION) if defined(&CONFIG_SOLARIS_X86_PARTITION);
undef(&CONFIG_UNIXWARE_DISKLABEL) if defined(&CONFIG_UNIXWARE_DISKLABEL);
undef(&CONFIG_LDM_PARTITION) if defined(&CONFIG_LDM_PARTITION);
undef(&CONFIG_SGI_PARTITION) if defined(&CONFIG_SGI_PARTITION);
undef(&CONFIG_ULTRIX_PARTITION) if defined(&CONFIG_ULTRIX_PARTITION);
undef(&CONFIG_SUN_PARTITION) if defined(&CONFIG_SUN_PARTITION);
undef(&CONFIG_EFI_PARTITION) if defined(&CONFIG_EFI_PARTITION);
undef(&CONFIG_SMB_NLS) if defined(&CONFIG_SMB_NLS);
unless(defined(&CONFIG_NLS)) {
    sub CONFIG_NLS () {	1;}
}
unless(defined(&CONFIG_NLS_DEFAULT)) {
    sub CONFIG_NLS_DEFAULT () {	"iso8859-1";}
}
undef(&CONFIG_NLS_CODEPAGE_437) if defined(&CONFIG_NLS_CODEPAGE_437);
undef(&CONFIG_NLS_CODEPAGE_737) if defined(&CONFIG_NLS_CODEPAGE_737);
undef(&CONFIG_NLS_CODEPAGE_775) if defined(&CONFIG_NLS_CODEPAGE_775);
undef(&CONFIG_NLS_CODEPAGE_850) if defined(&CONFIG_NLS_CODEPAGE_850);
undef(&CONFIG_NLS_CODEPAGE_852) if defined(&CONFIG_NLS_CODEPAGE_852);
undef(&CONFIG_NLS_CODEPAGE_855) if defined(&CONFIG_NLS_CODEPAGE_855);
undef(&CONFIG_NLS_CODEPAGE_857) if defined(&CONFIG_NLS_CODEPAGE_857);
undef(&CONFIG_NLS_CODEPAGE_860) if defined(&CONFIG_NLS_CODEPAGE_860);
undef(&CONFIG_NLS_CODEPAGE_861) if defined(&CONFIG_NLS_CODEPAGE_861);
undef(&CONFIG_NLS_CODEPAGE_862) if defined(&CONFIG_NLS_CODEPAGE_862);
undef(&CONFIG_NLS_CODEPAGE_863) if defined(&CONFIG_NLS_CODEPAGE_863);
undef(&CONFIG_NLS_CODEPAGE_864) if defined(&CONFIG_NLS_CODEPAGE_864);
undef(&CONFIG_NLS_CODEPAGE_865) if defined(&CONFIG_NLS_CODEPAGE_865);
undef(&CONFIG_NLS_CODEPAGE_866) if defined(&CONFIG_NLS_CODEPAGE_866);
undef(&CONFIG_NLS_CODEPAGE_869) if defined(&CONFIG_NLS_CODEPAGE_869);
undef(&CONFIG_NLS_CODEPAGE_936) if defined(&CONFIG_NLS_CODEPAGE_936);
undef(&CONFIG_NLS_CODEPAGE_950) if defined(&CONFIG_NLS_CODEPAGE_950);
undef(&CONFIG_NLS_CODEPAGE_932) if defined(&CONFIG_NLS_CODEPAGE_932);
undef(&CONFIG_NLS_CODEPAGE_949) if defined(&CONFIG_NLS_CODEPAGE_949);
undef(&CONFIG_NLS_CODEPAGE_874) if defined(&CONFIG_NLS_CODEPAGE_874);
undef(&CONFIG_NLS_ISO8859_8) if defined(&CONFIG_NLS_ISO8859_8);
undef(&CONFIG_NLS_CODEPAGE_1250) if defined(&CONFIG_NLS_CODEPAGE_1250);
undef(&CONFIG_NLS_CODEPAGE_1251) if defined(&CONFIG_NLS_CODEPAGE_1251);
undef(&CONFIG_NLS_ISO8859_1) if defined(&CONFIG_NLS_ISO8859_1);
unless(defined(&CONFIG_NLS_ISO8859_1_MODULE)) {
    sub CONFIG_NLS_ISO8859_1_MODULE () {	1;}
}
undef(&CONFIG_NLS_ISO8859_2) if defined(&CONFIG_NLS_ISO8859_2);
undef(&CONFIG_NLS_ISO8859_3) if defined(&CONFIG_NLS_ISO8859_3);
undef(&CONFIG_NLS_ISO8859_4) if defined(&CONFIG_NLS_ISO8859_4);
undef(&CONFIG_NLS_ISO8859_5) if defined(&CONFIG_NLS_ISO8859_5);
undef(&CONFIG_NLS_ISO8859_6) if defined(&CONFIG_NLS_ISO8859_6);
undef(&CONFIG_NLS_ISO8859_7) if defined(&CONFIG_NLS_ISO8859_7);
undef(&CONFIG_NLS_ISO8859_9) if defined(&CONFIG_NLS_ISO8859_9);
undef(&CONFIG_NLS_ISO8859_13) if defined(&CONFIG_NLS_ISO8859_13);
undef(&CONFIG_NLS_ISO8859_14) if defined(&CONFIG_NLS_ISO8859_14);
undef(&CONFIG_NLS_ISO8859_15) if defined(&CONFIG_NLS_ISO8859_15);
undef(&CONFIG_NLS_KOI8_R) if defined(&CONFIG_NLS_KOI8_R);
undef(&CONFIG_NLS_KOI8_U) if defined(&CONFIG_NLS_KOI8_U);
undef(&CONFIG_NLS_UTF8) if defined(&CONFIG_NLS_UTF8);
undef(&CONFIG_SOUND) if defined(&CONFIG_SOUND);
unless(defined(&CONFIG_SOUND_MODULE)) {
    sub CONFIG_SOUND_MODULE () {	1;}
}
undef(&CONFIG_DMASOUND_PMAC) if defined(&CONFIG_DMASOUND_PMAC);
unless(defined(&CONFIG_DMASOUND_PMAC_MODULE)) {
    sub CONFIG_DMASOUND_PMAC_MODULE () {	1;}
}
undef(&CONFIG_DMASOUND) if defined(&CONFIG_DMASOUND);
unless(defined(&CONFIG_DMASOUND_MODULE)) {
    sub CONFIG_DMASOUND_MODULE () {	1;}
}
undef(&CONFIG_I2C) if defined(&CONFIG_I2C);
unless(defined(&CONFIG_I2C_MODULE)) {
    sub CONFIG_I2C_MODULE () {	1;}
}
undef(&CONFIG_I2C_KEYWEST) if defined(&CONFIG_I2C_KEYWEST);
unless(defined(&CONFIG_I2C_KEYWEST_MODULE)) {
    sub CONFIG_I2C_KEYWEST_MODULE () {	1;}
}
undef(&CONFIG_SOUND_ALI5455) if defined(&CONFIG_SOUND_ALI5455);
undef(&CONFIG_SOUND_BT878) if defined(&CONFIG_SOUND_BT878);
undef(&CONFIG_SOUND_CMPCI) if defined(&CONFIG_SOUND_CMPCI);
undef(&CONFIG_SOUND_EMU10K1) if defined(&CONFIG_SOUND_EMU10K1);
undef(&CONFIG_MIDI_EMU10K1) if defined(&CONFIG_MIDI_EMU10K1);
undef(&CONFIG_SOUND_FUSION) if defined(&CONFIG_SOUND_FUSION);
undef(&CONFIG_SOUND_CS4281) if defined(&CONFIG_SOUND_CS4281);
undef(&CONFIG_SOUND_ES1370) if defined(&CONFIG_SOUND_ES1370);
undef(&CONFIG_SOUND_ES1371) if defined(&CONFIG_SOUND_ES1371);
undef(&CONFIG_SOUND_ESSSOLO1) if defined(&CONFIG_SOUND_ESSSOLO1);
undef(&CONFIG_SOUND_MAESTRO) if defined(&CONFIG_SOUND_MAESTRO);
undef(&CONFIG_SOUND_MAESTRO3) if defined(&CONFIG_SOUND_MAESTRO3);
undef(&CONFIG_SOUND_FORTE) if defined(&CONFIG_SOUND_FORTE);
undef(&CONFIG_SOUND_ICH) if defined(&CONFIG_SOUND_ICH);
undef(&CONFIG_SOUND_RME96XX) if defined(&CONFIG_SOUND_RME96XX);
undef(&CONFIG_SOUND_SONICVIBES) if defined(&CONFIG_SOUND_SONICVIBES);
undef(&CONFIG_SOUND_TRIDENT) if defined(&CONFIG_SOUND_TRIDENT);
undef(&CONFIG_SOUND_MSNDCLAS) if defined(&CONFIG_SOUND_MSNDCLAS);
undef(&CONFIG_SOUND_MSNDPIN) if defined(&CONFIG_SOUND_MSNDPIN);
undef(&CONFIG_SOUND_VIA82CXXX) if defined(&CONFIG_SOUND_VIA82CXXX);
undef(&CONFIG_MIDI_VIA82CXXX) if defined(&CONFIG_MIDI_VIA82CXXX);
undef(&CONFIG_SOUND_OSS) if defined(&CONFIG_SOUND_OSS);
undef(&CONFIG_SOUND_TVMIXER) if defined(&CONFIG_SOUND_TVMIXER);
undef(&CONFIG_SOUND_AD1980) if defined(&CONFIG_SOUND_AD1980);
undef(&CONFIG_SOUND_WM97XX) if defined(&CONFIG_SOUND_WM97XX);
unless(defined(&CONFIG_USB)) {
    sub CONFIG_USB () {	1;}
}
undef(&CONFIG_USB_DEBUG) if defined(&CONFIG_USB_DEBUG);
unless(defined(&CONFIG_USB_DEVICEFS)) {
    sub CONFIG_USB_DEVICEFS () {	1;}
}
undef(&CONFIG_USB_BANDWIDTH) if defined(&CONFIG_USB_BANDWIDTH);
undef(&CONFIG_USB_EHCI_HCD) if defined(&CONFIG_USB_EHCI_HCD);
undef(&CONFIG_USB_UHCI) if defined(&CONFIG_USB_UHCI);
undef(&CONFIG_USB_UHCI_ALT) if defined(&CONFIG_USB_UHCI_ALT);
unless(defined(&CONFIG_USB_OHCI)) {
    sub CONFIG_USB_OHCI () {	1;}
}
undef(&CONFIG_USB_AUDIO) if defined(&CONFIG_USB_AUDIO);
undef(&CONFIG_USB_EMI26) if defined(&CONFIG_USB_EMI26);
undef(&CONFIG_USB_BLUETOOTH) if defined(&CONFIG_USB_BLUETOOTH);
undef(&CONFIG_USB_MIDI) if defined(&CONFIG_USB_MIDI);
undef(&CONFIG_USB_STORAGE) if defined(&CONFIG_USB_STORAGE);
undef(&CONFIG_USB_STORAGE_DEBUG) if defined(&CONFIG_USB_STORAGE_DEBUG);
undef(&CONFIG_USB_STORAGE_DATAFAB) if defined(&CONFIG_USB_STORAGE_DATAFAB);
undef(&CONFIG_USB_STORAGE_FREECOM) if defined(&CONFIG_USB_STORAGE_FREECOM);
undef(&CONFIG_USB_STORAGE_ISD200) if defined(&CONFIG_USB_STORAGE_ISD200);
undef(&CONFIG_USB_STORAGE_DPCM) if defined(&CONFIG_USB_STORAGE_DPCM);
undef(&CONFIG_USB_STORAGE_HP8200e) if defined(&CONFIG_USB_STORAGE_HP8200e);
undef(&CONFIG_USB_STORAGE_SDDR09) if defined(&CONFIG_USB_STORAGE_SDDR09);
undef(&CONFIG_USB_STORAGE_SDDR55) if defined(&CONFIG_USB_STORAGE_SDDR55);
undef(&CONFIG_USB_STORAGE_JUMPSHOT) if defined(&CONFIG_USB_STORAGE_JUMPSHOT);
undef(&CONFIG_USB_ACM) if defined(&CONFIG_USB_ACM);
unless(defined(&CONFIG_USB_ACM_MODULE)) {
    sub CONFIG_USB_ACM_MODULE () {	1;}
}
undef(&CONFIG_USB_PRINTER) if defined(&CONFIG_USB_PRINTER);
unless(defined(&CONFIG_USB_PRINTER_MODULE)) {
    sub CONFIG_USB_PRINTER_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_HID)) {
    sub CONFIG_USB_HID () {	1;}
}
unless(defined(&CONFIG_USB_HIDINPUT)) {
    sub CONFIG_USB_HIDINPUT () {	1;}
}
undef(&CONFIG_USB_HIDDEV) if defined(&CONFIG_USB_HIDDEV);
undef(&CONFIG_USB_AIPTEK) if defined(&CONFIG_USB_AIPTEK);
undef(&CONFIG_USB_WACOM) if defined(&CONFIG_USB_WACOM);
undef(&CONFIG_USB_KBTAB) if defined(&CONFIG_USB_KBTAB);
undef(&CONFIG_USB_POWERMATE) if defined(&CONFIG_USB_POWERMATE);
undef(&CONFIG_USB_DC2XX) if defined(&CONFIG_USB_DC2XX);
undef(&CONFIG_USB_MDC800) if defined(&CONFIG_USB_MDC800);
undef(&CONFIG_USB_SCANNER) if defined(&CONFIG_USB_SCANNER);
unless(defined(&CONFIG_USB_SCANNER_MODULE)) {
    sub CONFIG_USB_SCANNER_MODULE () {	1;}
}
undef(&CONFIG_USB_MICROTEK) if defined(&CONFIG_USB_MICROTEK);
undef(&CONFIG_USB_HPUSBSCSI) if defined(&CONFIG_USB_HPUSBSCSI);
undef(&CONFIG_USB_PEGASUS) if defined(&CONFIG_USB_PEGASUS);
undef(&CONFIG_USB_RTL8150) if defined(&CONFIG_USB_RTL8150);
undef(&CONFIG_USB_KAWETH) if defined(&CONFIG_USB_KAWETH);
undef(&CONFIG_USB_CATC) if defined(&CONFIG_USB_CATC);
undef(&CONFIG_USB_CDCETHER) if defined(&CONFIG_USB_CDCETHER);
undef(&CONFIG_USB_USBNET) if defined(&CONFIG_USB_USBNET);
undef(&CONFIG_USB_USS720) if defined(&CONFIG_USB_USS720);
undef(&CONFIG_USB_SERIAL) if defined(&CONFIG_USB_SERIAL);
unless(defined(&CONFIG_USB_SERIAL_MODULE)) {
    sub CONFIG_USB_SERIAL_MODULE () {	1;}
}
undef(&CONFIG_USB_SERIAL_DEBUG) if defined(&CONFIG_USB_SERIAL_DEBUG);
undef(&CONFIG_USB_SERIAL_GENERIC) if defined(&CONFIG_USB_SERIAL_GENERIC);
undef(&CONFIG_USB_SERIAL_BELKIN) if defined(&CONFIG_USB_SERIAL_BELKIN);
undef(&CONFIG_USB_SERIAL_WHITEHEAT) if defined(&CONFIG_USB_SERIAL_WHITEHEAT);
undef(&CONFIG_USB_SERIAL_DIGI_ACCELEPORT) if defined(&CONFIG_USB_SERIAL_DIGI_ACCELEPORT);
undef(&CONFIG_USB_SERIAL_EMPEG) if defined(&CONFIG_USB_SERIAL_EMPEG);
undef(&CONFIG_USB_SERIAL_FTDI_SIO) if defined(&CONFIG_USB_SERIAL_FTDI_SIO);
undef(&CONFIG_USB_SERIAL_VISOR) if defined(&CONFIG_USB_SERIAL_VISOR);
unless(defined(&CONFIG_USB_SERIAL_VISOR_MODULE)) {
    sub CONFIG_USB_SERIAL_VISOR_MODULE () {	1;}
}
undef(&CONFIG_USB_SERIAL_IPAQ) if defined(&CONFIG_USB_SERIAL_IPAQ);
undef(&CONFIG_USB_SERIAL_IR) if defined(&CONFIG_USB_SERIAL_IR);
undef(&CONFIG_USB_SERIAL_EDGEPORT) if defined(&CONFIG_USB_SERIAL_EDGEPORT);
undef(&CONFIG_USB_SERIAL_EDGEPORT_TI) if defined(&CONFIG_USB_SERIAL_EDGEPORT_TI);
undef(&CONFIG_USB_SERIAL_KEYSPAN_PDA) if defined(&CONFIG_USB_SERIAL_KEYSPAN_PDA);
undef(&CONFIG_USB_SERIAL_KEYSPAN) if defined(&CONFIG_USB_SERIAL_KEYSPAN);
undef(&CONFIG_USB_SERIAL_MCT_U232) if defined(&CONFIG_USB_SERIAL_MCT_U232);
undef(&CONFIG_USB_SERIAL_KLSI) if defined(&CONFIG_USB_SERIAL_KLSI);
undef(&CONFIG_USB_SERIAL_KOBIL_SCT) if defined(&CONFIG_USB_SERIAL_KOBIL_SCT);
undef(&CONFIG_USB_SERIAL_PL2303) if defined(&CONFIG_USB_SERIAL_PL2303);
undef(&CONFIG_USB_SERIAL_CYBERJACK) if defined(&CONFIG_USB_SERIAL_CYBERJACK);
undef(&CONFIG_USB_SERIAL_XIRCOM) if defined(&CONFIG_USB_SERIAL_XIRCOM);
undef(&CONFIG_USB_SERIAL_OMNINET) if defined(&CONFIG_USB_SERIAL_OMNINET);
undef(&CONFIG_USB_RIO500) if defined(&CONFIG_USB_RIO500);
undef(&CONFIG_USB_AUERSWALD) if defined(&CONFIG_USB_AUERSWALD);
undef(&CONFIG_USB_TIGL) if defined(&CONFIG_USB_TIGL);
undef(&CONFIG_USB_BRLVGER) if defined(&CONFIG_USB_BRLVGER);
undef(&CONFIG_USB_LCD) if defined(&CONFIG_USB_LCD);
undef(&CONFIG_USB_GADGET) if defined(&CONFIG_USB_GADGET);
undef(&CONFIG_BLUEZ) if defined(&CONFIG_BLUEZ);
undef(&CONFIG_CRYPTO) if defined(&CONFIG_CRYPTO);
undef(&CONFIG_CRC32) if defined(&CONFIG_CRC32);
unless(defined(&CONFIG_ZLIB_INFLATE)) {
    sub CONFIG_ZLIB_INFLATE () {	1;}
}
unless(defined(&CONFIG_ZLIB_DEFLATE)) {
    sub CONFIG_ZLIB_DEFLATE () {	1;}
}
undef(&CONFIG_FW_LOADER) if defined(&CONFIG_FW_LOADER);
unless(defined(&CONFIG_DEBUG_KERNEL)) {
    sub CONFIG_DEBUG_KERNEL () {	1;}
}
unless(defined(&CONFIG_MAGIC_SYSRQ)) {
    sub CONFIG_MAGIC_SYSRQ () {	1;}
}
undef(&CONFIG_DEBUG_HIGHMEM) if defined(&CONFIG_DEBUG_HIGHMEM);
undef(&CONFIG_DEBUG_SLAB) if defined(&CONFIG_DEBUG_SLAB);
undef(&CONFIG_DEBUG_WAITQ) if defined(&CONFIG_DEBUG_WAITQ);
undef(&CONFIG_KGDB) if defined(&CONFIG_KGDB);
unless(defined(&CONFIG_XMON)) {
    sub CONFIG_XMON () {	1;}
}
undef(&CONFIG_BDI_SWITCH) if defined(&CONFIG_BDI_SWITCH);
undef(&CONFIG_MORE_COMPILE_OPTIONS) if defined(&CONFIG_MORE_COMPILE_OPTIONS);
unless(defined(&CONFIG_BOOTX_TEXT)) {
    sub CONFIG_BOOTX_TEXT () {	1;}
}
unless(defined(&CONFIG_LOG_BUF_SHIFT)) {
    sub CONFIG_LOG_BUF_SHIFT () {	(0);}
}
1;
