require '_h2ph_pre.ph';

no warnings 'redefine';

if(defined(&__KERNEL__)) {
    unless(defined(&__CPM2__)) {
	eval 'sub __CPM2__ () {1;}' unless defined(&__CPM2__);
	require 'asm/immap_cpm2.ph';
	eval 'sub CPM_CR_RST () {(0x80000000);}' unless defined(&CPM_CR_RST);
	eval 'sub CPM_CR_PAGE () {(0x7c000000);}' unless defined(&CPM_CR_PAGE);
	eval 'sub CPM_CR_SBLOCK () {(0x3e00000);}' unless defined(&CPM_CR_SBLOCK);
	eval 'sub CPM_CR_FLG () {(0x10000);}' unless defined(&CPM_CR_FLG);
	eval 'sub CPM_CR_MCN () {(0x3fc0);}' unless defined(&CPM_CR_MCN);
	eval 'sub CPM_CR_OPCODE () {(0xf);}' unless defined(&CPM_CR_OPCODE);
	eval 'sub CPM_CR_SCC1_SBLOCK () {(0x4);}' unless defined(&CPM_CR_SCC1_SBLOCK);
	eval 'sub CPM_CR_SCC2_SBLOCK () {(0x5);}' unless defined(&CPM_CR_SCC2_SBLOCK);
	eval 'sub CPM_CR_SCC3_SBLOCK () {(0x6);}' unless defined(&CPM_CR_SCC3_SBLOCK);
	eval 'sub CPM_CR_SCC4_SBLOCK () {(0x7);}' unless defined(&CPM_CR_SCC4_SBLOCK);
	eval 'sub CPM_CR_SMC1_SBLOCK () {(0x8);}' unless defined(&CPM_CR_SMC1_SBLOCK);
	eval 'sub CPM_CR_SMC2_SBLOCK () {(0x9);}' unless defined(&CPM_CR_SMC2_SBLOCK);
	eval 'sub CPM_CR_SPI_SBLOCK () {(0xa);}' unless defined(&CPM_CR_SPI_SBLOCK);
	eval 'sub CPM_CR_I2C_SBLOCK () {(0xb);}' unless defined(&CPM_CR_I2C_SBLOCK);
	eval 'sub CPM_CR_TIMER_SBLOCK () {(0xf);}' unless defined(&CPM_CR_TIMER_SBLOCK);
	eval 'sub CPM_CR_RAND_SBLOCK () {(0xe);}' unless defined(&CPM_CR_RAND_SBLOCK);
	eval 'sub CPM_CR_FCC1_SBLOCK () {(0x10);}' unless defined(&CPM_CR_FCC1_SBLOCK);
	eval 'sub CPM_CR_FCC2_SBLOCK () {(0x11);}' unless defined(&CPM_CR_FCC2_SBLOCK);
	eval 'sub CPM_CR_FCC3_SBLOCK () {(0x12);}' unless defined(&CPM_CR_FCC3_SBLOCK);
	eval 'sub CPM_CR_IDMA1_SBLOCK () {(0x14);}' unless defined(&CPM_CR_IDMA1_SBLOCK);
	eval 'sub CPM_CR_IDMA2_SBLOCK () {(0x15);}' unless defined(&CPM_CR_IDMA2_SBLOCK);
	eval 'sub CPM_CR_IDMA3_SBLOCK () {(0x16);}' unless defined(&CPM_CR_IDMA3_SBLOCK);
	eval 'sub CPM_CR_IDMA4_SBLOCK () {(0x17);}' unless defined(&CPM_CR_IDMA4_SBLOCK);
	eval 'sub CPM_CR_MCC1_SBLOCK () {(0x1c);}' unless defined(&CPM_CR_MCC1_SBLOCK);
	eval 'sub CPM_CR_SCC1_PAGE () {(0x);}' unless defined(&CPM_CR_SCC1_PAGE);
	eval 'sub CPM_CR_SCC2_PAGE () {(0x1);}' unless defined(&CPM_CR_SCC2_PAGE);
	eval 'sub CPM_CR_SCC3_PAGE () {(0x2);}' unless defined(&CPM_CR_SCC3_PAGE);
	eval 'sub CPM_CR_SCC4_PAGE () {(0x3);}' unless defined(&CPM_CR_SCC4_PAGE);
	eval 'sub CPM_CR_SMC1_PAGE () {(0x7);}' unless defined(&CPM_CR_SMC1_PAGE);
	eval 'sub CPM_CR_SMC2_PAGE () {(0x8);}' unless defined(&CPM_CR_SMC2_PAGE);
	eval 'sub CPM_CR_SPI_PAGE () {(0x9);}' unless defined(&CPM_CR_SPI_PAGE);
	eval 'sub CPM_CR_I2C_PAGE () {(0xa);}' unless defined(&CPM_CR_I2C_PAGE);
	eval 'sub CPM_CR_TIMER_PAGE () {(0xa);}' unless defined(&CPM_CR_TIMER_PAGE);
	eval 'sub CPM_CR_RAND_PAGE () {(0xa);}' unless defined(&CPM_CR_RAND_PAGE);
	eval 'sub CPM_CR_FCC1_PAGE () {(0x4);}' unless defined(&CPM_CR_FCC1_PAGE);
	eval 'sub CPM_CR_FCC2_PAGE () {(0x5);}' unless defined(&CPM_CR_FCC2_PAGE);
	eval 'sub CPM_CR_FCC3_PAGE () {(0x6);}' unless defined(&CPM_CR_FCC3_PAGE);
	eval 'sub CPM_CR_IDMA1_PAGE () {(0x7);}' unless defined(&CPM_CR_IDMA1_PAGE);
	eval 'sub CPM_CR_IDMA2_PAGE () {(0x8);}' unless defined(&CPM_CR_IDMA2_PAGE);
	eval 'sub CPM_CR_IDMA3_PAGE () {(0x9);}' unless defined(&CPM_CR_IDMA3_PAGE);
	eval 'sub CPM_CR_IDMA4_PAGE () {(0xa);}' unless defined(&CPM_CR_IDMA4_PAGE);
	eval 'sub CPM_CR_MCC1_PAGE () {(0x7);}' unless defined(&CPM_CR_MCC1_PAGE);
	eval 'sub CPM_CR_MCC2_PAGE () {(0x8);}' unless defined(&CPM_CR_MCC2_PAGE);
	eval 'sub CPM_CR_INIT_TRX () {(0x);}' unless defined(&CPM_CR_INIT_TRX);
	eval 'sub CPM_CR_INIT_RX () {(0x1);}' unless defined(&CPM_CR_INIT_RX);
	eval 'sub CPM_CR_INIT_TX () {(0x2);}' unless defined(&CPM_CR_INIT_TX);
	eval 'sub CPM_CR_HUNT_MODE () {(0x3);}' unless defined(&CPM_CR_HUNT_MODE);
	eval 'sub CPM_CR_STOP_TX () {(0x4);}' unless defined(&CPM_CR_STOP_TX);
	eval 'sub CPM_CR_RESTART_TX () {(0x6);}' unless defined(&CPM_CR_RESTART_TX);
	eval 'sub CPM_CR_SET_GADDR () {(0x8);}' unless defined(&CPM_CR_SET_GADDR);
	eval 'sub CPM_CR_START_IDMA () {(0x9);}' unless defined(&CPM_CR_START_IDMA);
	eval 'sub CPM_CR_STOP_IDMA () {(0xb);}' unless defined(&CPM_CR_STOP_IDMA);
	eval 'sub mk_cr_cmd {
	    my($PG, $SBC, $MCN, $OP) = @_;
    	    eval q((($PG << 26) | ($SBC << 21) | ($MCN << 6) | $OP));
	}' unless defined(&mk_cr_cmd);
	eval 'sub CPM_DATAONLY_BASE () {(128);}' unless defined(&CPM_DATAONLY_BASE);
	eval 'sub CPM_DP_NOSPACE () {(0x7fffffff);}' unless defined(&CPM_DP_NOSPACE);
	if(defined(&CONFIG_8272)) {
	    eval 'sub CPM_DATAONLY_SIZE () {((8* 1024) -  &CPM_DATAONLY_BASE);}' unless defined(&CPM_DATAONLY_SIZE);
	    eval 'sub CPM_FCC_SPECIAL_BASE () {(0x9000);}' unless defined(&CPM_FCC_SPECIAL_BASE);
	} else {
	    eval 'sub CPM_DATAONLY_SIZE () {((16* 1024) -  &CPM_DATAONLY_BASE);}' unless defined(&CPM_DATAONLY_SIZE);
	    eval 'sub CPM_FCC_SPECIAL_BASE () {(0xb000);}' unless defined(&CPM_FCC_SPECIAL_BASE);
	}
	eval 'sub NUM_CPM_HOST_PAGES () {2;}' unless defined(&NUM_CPM_HOST_PAGES);
	eval 'sub BD_SC_EMPTY () {(0x8000);}' unless defined(&BD_SC_EMPTY);
	eval 'sub BD_SC_READY () {(0x8000);}' unless defined(&BD_SC_READY);
	eval 'sub BD_SC_WRAP () {(0x2000);}' unless defined(&BD_SC_WRAP);
	eval 'sub BD_SC_INTRPT () {(0x1000);}' unless defined(&BD_SC_INTRPT);
	eval 'sub BD_SC_LAST () {(0x800);}' unless defined(&BD_SC_LAST);
	eval 'sub BD_SC_CM () {(0x200);}' unless defined(&BD_SC_CM);
	eval 'sub BD_SC_ID () {(0x100);}' unless defined(&BD_SC_ID);
	eval 'sub BD_SC_P () {(0x100);}' unless defined(&BD_SC_P);
	eval 'sub BD_SC_BR () {(0x20);}' unless defined(&BD_SC_BR);
	eval 'sub BD_SC_FR () {(0x10);}' unless defined(&BD_SC_FR);
	eval 'sub BD_SC_PR () {(0x8);}' unless defined(&BD_SC_PR);
	eval 'sub BD_SC_OV () {(0x2);}' unless defined(&BD_SC_OV);
	eval 'sub BD_SC_CD () {(0x1);}' unless defined(&BD_SC_CD);
	eval 'sub CPMFCR_GBL () {(0x20);}' unless defined(&CPMFCR_GBL);
	eval 'sub CPMFCR_EB () {(0x10);}' unless defined(&CPMFCR_EB);
	eval 'sub CPMFCR_TC2 () {(0x4);}' unless defined(&CPMFCR_TC2);
	eval 'sub CPMFCR_DTB () {(0x2);}' unless defined(&CPMFCR_DTB);
	eval 'sub CPMFCR_BDB () {(0x1);}' unless defined(&CPMFCR_BDB);
	eval 'sub PROFF_SCC1 () {(0x8000);}' unless defined(&PROFF_SCC1);
	eval 'sub PROFF_SCC2 () {(0x8100);}' unless defined(&PROFF_SCC2);
	eval 'sub PROFF_SCC3 () {(0x8200);}' unless defined(&PROFF_SCC3);
	eval 'sub PROFF_SCC4 () {(0x8300);}' unless defined(&PROFF_SCC4);
	eval 'sub PROFF_FCC1 () {(0x8400);}' unless defined(&PROFF_FCC1);
	eval 'sub PROFF_FCC2 () {(0x8500);}' unless defined(&PROFF_FCC2);
	eval 'sub PROFF_FCC3 () {(0x8600);}' unless defined(&PROFF_FCC3);
	eval 'sub PROFF_MCC1 () {(0x8700);}' unless defined(&PROFF_MCC1);
	eval 'sub PROFF_SMC1_BASE () {(0x87fc);}' unless defined(&PROFF_SMC1_BASE);
	eval 'sub PROFF_IDMA1_BASE () {(0x87fe);}' unless defined(&PROFF_IDMA1_BASE);
	eval 'sub PROFF_MCC2 () {(0x8800);}' unless defined(&PROFF_MCC2);
	eval 'sub PROFF_SMC2_BASE () {(0x88fc);}' unless defined(&PROFF_SMC2_BASE);
	eval 'sub PROFF_IDMA2_BASE () {(0x88fe);}' unless defined(&PROFF_IDMA2_BASE);
	eval 'sub PROFF_SPI_BASE () {(0x89fc);}' unless defined(&PROFF_SPI_BASE);
	eval 'sub PROFF_IDMA3_BASE () {(0x89fe);}' unless defined(&PROFF_IDMA3_BASE);
	eval 'sub PROFF_TIMERS () {(0x8ae0);}' unless defined(&PROFF_TIMERS);
	eval 'sub PROFF_REVNUM () {(0x8af0);}' unless defined(&PROFF_REVNUM);
	eval 'sub PROFF_RAND () {(0x8af8);}' unless defined(&PROFF_RAND);
	eval 'sub PROFF_I2C_BASE () {(0x8afc);}' unless defined(&PROFF_I2C_BASE);
	eval 'sub PROFF_IDMA4_BASE () {(0x8afe);}' unless defined(&PROFF_IDMA4_BASE);
	eval 'sub PROFF_SMC1 () {(0);}' unless defined(&PROFF_SMC1);
	eval 'sub PROFF_SMC2 () {(64);}' unless defined(&PROFF_SMC2);
	eval 'sub SMCMR_REN () {(0x1);}' unless defined(&SMCMR_REN);
	eval 'sub SMCMR_TEN () {(0x2);}' unless defined(&SMCMR_TEN);
	eval 'sub SMCMR_DM () {(0xc);}' unless defined(&SMCMR_DM);
	eval 'sub SMCMR_SM_GCI () {(0x);}' unless defined(&SMCMR_SM_GCI);
	eval 'sub SMCMR_SM_UART () {(0x20);}' unless defined(&SMCMR_SM_UART);
	eval 'sub SMCMR_SM_TRANS () {(0x30);}' unless defined(&SMCMR_SM_TRANS);
	eval 'sub SMCMR_SM_MASK () {(0x30);}' unless defined(&SMCMR_SM_MASK);
	eval 'sub SMCMR_PM_EVEN () {(0x100);}' unless defined(&SMCMR_PM_EVEN);
	eval 'sub SMCMR_REVD () { &SMCMR_PM_EVEN;}' unless defined(&SMCMR_REVD);
	eval 'sub SMCMR_PEN () {(0x200);}' unless defined(&SMCMR_PEN);
	eval 'sub SMCMR_BS () { &SMCMR_PEN;}' unless defined(&SMCMR_BS);
	eval 'sub SMCMR_SL () {(0x400);}' unless defined(&SMCMR_SL);
	eval 'sub SMCR_CLEN_MASK () {(0x7800);}' unless defined(&SMCR_CLEN_MASK);
	eval 'sub smcr_mk_clen {
	    my($C) = @_;
    	    eval q(((($C) << 11) &  &SMCR_CLEN_MASK));
	}' unless defined(&smcr_mk_clen);
	eval 'sub SMCM_BRKE () {(0x40);}' unless defined(&SMCM_BRKE);
	eval 'sub SMCM_BRK () {(0x10);}' unless defined(&SMCM_BRK);
	eval 'sub SMCM_TXE () {(0x10);}' unless defined(&SMCM_TXE);
	eval 'sub SMCM_BSY () {(0x4);}' unless defined(&SMCM_BSY);
	eval 'sub SMCM_TX () {(0x2);}' unless defined(&SMCM_TX);
	eval 'sub SMCM_RX () {(0x1);}' unless defined(&SMCM_RX);
	eval 'sub CPM_BRG_RST () {(0x20000);}' unless defined(&CPM_BRG_RST);
	eval 'sub CPM_BRG_EN () {(0x10000);}' unless defined(&CPM_BRG_EN);
	eval 'sub CPM_BRG_EXTC_INT () {(0x);}' unless defined(&CPM_BRG_EXTC_INT);
	eval 'sub CPM_BRG_EXTC_CLK3_9 () {(0x4000);}' unless defined(&CPM_BRG_EXTC_CLK3_9);
	eval 'sub CPM_BRG_EXTC_CLK5_15 () {(0x8000);}' unless defined(&CPM_BRG_EXTC_CLK5_15);
	eval 'sub CPM_BRG_ATB () {(0x2000);}' unless defined(&CPM_BRG_ATB);
	eval 'sub CPM_BRG_CD_MASK () {(0x1ffe);}' unless defined(&CPM_BRG_CD_MASK);
	eval 'sub CPM_BRG_DIV16 () {(0x1);}' unless defined(&CPM_BRG_DIV16);
	eval 'sub SCC_GSMRH_IRP () {(0x40000);}' unless defined(&SCC_GSMRH_IRP);
	eval 'sub SCC_GSMRH_GDE () {(0x10000);}' unless defined(&SCC_GSMRH_GDE);
	eval 'sub SCC_GSMRH_TCRC_CCITT () {(0x8000);}' unless defined(&SCC_GSMRH_TCRC_CCITT);
	eval 'sub SCC_GSMRH_TCRC_BISYNC () {(0x4000);}' unless defined(&SCC_GSMRH_TCRC_BISYNC);
	eval 'sub SCC_GSMRH_TCRC_HDLC () {(0x);}' unless defined(&SCC_GSMRH_TCRC_HDLC);
	eval 'sub SCC_GSMRH_REVD () {(0x2000);}' unless defined(&SCC_GSMRH_REVD);
	eval 'sub SCC_GSMRH_TRX () {(0x1000);}' unless defined(&SCC_GSMRH_TRX);
	eval 'sub SCC_GSMRH_TTX () {(0x800);}' unless defined(&SCC_GSMRH_TTX);
	eval 'sub SCC_GSMRH_CDP () {(0x400);}' unless defined(&SCC_GSMRH_CDP);
	eval 'sub SCC_GSMRH_CTSP () {(0x200);}' unless defined(&SCC_GSMRH_CTSP);
	eval 'sub SCC_GSMRH_CDS () {(0x100);}' unless defined(&SCC_GSMRH_CDS);
	eval 'sub SCC_GSMRH_CTSS () {(0x80);}' unless defined(&SCC_GSMRH_CTSS);
	eval 'sub SCC_GSMRH_TFL () {(0x40);}' unless defined(&SCC_GSMRH_TFL);
	eval 'sub SCC_GSMRH_RFW () {(0x20);}' unless defined(&SCC_GSMRH_RFW);
	eval 'sub SCC_GSMRH_TXSY () {(0x10);}' unless defined(&SCC_GSMRH_TXSY);
	eval 'sub SCC_GSMRH_SYNL16 () {(0xc);}' unless defined(&SCC_GSMRH_SYNL16);
	eval 'sub SCC_GSMRH_SYNL8 () {(0x8);}' unless defined(&SCC_GSMRH_SYNL8);
	eval 'sub SCC_GSMRH_SYNL4 () {(0x4);}' unless defined(&SCC_GSMRH_SYNL4);
	eval 'sub SCC_GSMRH_RTSM () {(0x2);}' unless defined(&SCC_GSMRH_RTSM);
	eval 'sub SCC_GSMRH_RSYN () {(0x1);}' unless defined(&SCC_GSMRH_RSYN);
	eval 'sub SCC_GSMRL_SIR () {(0x80000000);}' unless defined(&SCC_GSMRL_SIR);
	eval 'sub SCC_GSMRL_EDGE_NONE () {(0x60000000);}' unless defined(&SCC_GSMRL_EDGE_NONE);
	eval 'sub SCC_GSMRL_EDGE_NEG () {(0x40000000);}' unless defined(&SCC_GSMRL_EDGE_NEG);
	eval 'sub SCC_GSMRL_EDGE_POS () {(0x20000000);}' unless defined(&SCC_GSMRL_EDGE_POS);
	eval 'sub SCC_GSMRL_EDGE_BOTH () {(0x);}' unless defined(&SCC_GSMRL_EDGE_BOTH);
	eval 'sub SCC_GSMRL_TCI () {(0x10000000);}' unless defined(&SCC_GSMRL_TCI);
	eval 'sub SCC_GSMRL_TSNC_3 () {(0xc000000);}' unless defined(&SCC_GSMRL_TSNC_3);
	eval 'sub SCC_GSMRL_TSNC_4 () {(0x8000000);}' unless defined(&SCC_GSMRL_TSNC_4);
	eval 'sub SCC_GSMRL_TSNC_14 () {(0x4000000);}' unless defined(&SCC_GSMRL_TSNC_14);
	eval 'sub SCC_GSMRL_TSNC_INF () {(0x);}' unless defined(&SCC_GSMRL_TSNC_INF);
	eval 'sub SCC_GSMRL_RINV () {(0x2000000);}' unless defined(&SCC_GSMRL_RINV);
	eval 'sub SCC_GSMRL_TINV () {(0x1000000);}' unless defined(&SCC_GSMRL_TINV);
	eval 'sub SCC_GSMRL_TPL_128 () {(0xc00000);}' unless defined(&SCC_GSMRL_TPL_128);
	eval 'sub SCC_GSMRL_TPL_64 () {(0xa00000);}' unless defined(&SCC_GSMRL_TPL_64);
	eval 'sub SCC_GSMRL_TPL_48 () {(0x800000);}' unless defined(&SCC_GSMRL_TPL_48);
	eval 'sub SCC_GSMRL_TPL_32 () {(0x600000);}' unless defined(&SCC_GSMRL_TPL_32);
	eval 'sub SCC_GSMRL_TPL_16 () {(0x400000);}' unless defined(&SCC_GSMRL_TPL_16);
	eval 'sub SCC_GSMRL_TPL_8 () {(0x200000);}' unless defined(&SCC_GSMRL_TPL_8);
	eval 'sub SCC_GSMRL_TPL_NONE () {(0x);}' unless defined(&SCC_GSMRL_TPL_NONE);
	eval 'sub SCC_GSMRL_TPP_ALL1 () {(0x180000);}' unless defined(&SCC_GSMRL_TPP_ALL1);
	eval 'sub SCC_GSMRL_TPP_01 () {(0x100000);}' unless defined(&SCC_GSMRL_TPP_01);
	eval 'sub SCC_GSMRL_TPP_10 () {(0x80000);}' unless defined(&SCC_GSMRL_TPP_10);
	eval 'sub SCC_GSMRL_TPP_ZEROS () {(0x);}' unless defined(&SCC_GSMRL_TPP_ZEROS);
	eval 'sub SCC_GSMRL_TEND () {(0x40000);}' unless defined(&SCC_GSMRL_TEND);
	eval 'sub SCC_GSMRL_TDCR_32 () {(0x30000);}' unless defined(&SCC_GSMRL_TDCR_32);
	eval 'sub SCC_GSMRL_TDCR_16 () {(0x20000);}' unless defined(&SCC_GSMRL_TDCR_16);
	eval 'sub SCC_GSMRL_TDCR_8 () {(0x10000);}' unless defined(&SCC_GSMRL_TDCR_8);
	eval 'sub SCC_GSMRL_TDCR_1 () {(0x);}' unless defined(&SCC_GSMRL_TDCR_1);
	eval 'sub SCC_GSMRL_RDCR_32 () {(0xc000);}' unless defined(&SCC_GSMRL_RDCR_32);
	eval 'sub SCC_GSMRL_RDCR_16 () {(0x8000);}' unless defined(&SCC_GSMRL_RDCR_16);
	eval 'sub SCC_GSMRL_RDCR_8 () {(0x4000);}' unless defined(&SCC_GSMRL_RDCR_8);
	eval 'sub SCC_GSMRL_RDCR_1 () {(0x);}' unless defined(&SCC_GSMRL_RDCR_1);
	eval 'sub SCC_GSMRL_RENC_DFMAN () {(0x3000);}' unless defined(&SCC_GSMRL_RENC_DFMAN);
	eval 'sub SCC_GSMRL_RENC_MANCH () {(0x2000);}' unless defined(&SCC_GSMRL_RENC_MANCH);
	eval 'sub SCC_GSMRL_RENC_FM0 () {(0x1000);}' unless defined(&SCC_GSMRL_RENC_FM0);
	eval 'sub SCC_GSMRL_RENC_NRZI () {(0x800);}' unless defined(&SCC_GSMRL_RENC_NRZI);
	eval 'sub SCC_GSMRL_RENC_NRZ () {(0x);}' unless defined(&SCC_GSMRL_RENC_NRZ);
	eval 'sub SCC_GSMRL_TENC_DFMAN () {(0x600);}' unless defined(&SCC_GSMRL_TENC_DFMAN);
	eval 'sub SCC_GSMRL_TENC_MANCH () {(0x400);}' unless defined(&SCC_GSMRL_TENC_MANCH);
	eval 'sub SCC_GSMRL_TENC_FM0 () {(0x200);}' unless defined(&SCC_GSMRL_TENC_FM0);
	eval 'sub SCC_GSMRL_TENC_NRZI () {(0x100);}' unless defined(&SCC_GSMRL_TENC_NRZI);
	eval 'sub SCC_GSMRL_TENC_NRZ () {(0x);}' unless defined(&SCC_GSMRL_TENC_NRZ);
	eval 'sub SCC_GSMRL_DIAG_LE () {(0xc0);}' unless defined(&SCC_GSMRL_DIAG_LE);
	eval 'sub SCC_GSMRL_DIAG_ECHO () {(0x80);}' unless defined(&SCC_GSMRL_DIAG_ECHO);
	eval 'sub SCC_GSMRL_DIAG_LOOP () {(0x40);}' unless defined(&SCC_GSMRL_DIAG_LOOP);
	eval 'sub SCC_GSMRL_DIAG_NORM () {(0x);}' unless defined(&SCC_GSMRL_DIAG_NORM);
	eval 'sub SCC_GSMRL_ENR () {(0x20);}' unless defined(&SCC_GSMRL_ENR);
	eval 'sub SCC_GSMRL_ENT () {(0x10);}' unless defined(&SCC_GSMRL_ENT);
	eval 'sub SCC_GSMRL_MODE_ENET () {(0xc);}' unless defined(&SCC_GSMRL_MODE_ENET);
	eval 'sub SCC_GSMRL_MODE_DDCMP () {(0x9);}' unless defined(&SCC_GSMRL_MODE_DDCMP);
	eval 'sub SCC_GSMRL_MODE_BISYNC () {(0x8);}' unless defined(&SCC_GSMRL_MODE_BISYNC);
	eval 'sub SCC_GSMRL_MODE_V14 () {(0x7);}' unless defined(&SCC_GSMRL_MODE_V14);
	eval 'sub SCC_GSMRL_MODE_AHDLC () {(0x6);}' unless defined(&SCC_GSMRL_MODE_AHDLC);
	eval 'sub SCC_GSMRL_MODE_PROFIBUS () {(0x5);}' unless defined(&SCC_GSMRL_MODE_PROFIBUS);
	eval 'sub SCC_GSMRL_MODE_UART () {(0x4);}' unless defined(&SCC_GSMRL_MODE_UART);
	eval 'sub SCC_GSMRL_MODE_SS7 () {(0x3);}' unless defined(&SCC_GSMRL_MODE_SS7);
	eval 'sub SCC_GSMRL_MODE_ATALK () {(0x2);}' unless defined(&SCC_GSMRL_MODE_ATALK);
	eval 'sub SCC_GSMRL_MODE_HDLC () {(0x);}' unless defined(&SCC_GSMRL_MODE_HDLC);
	eval 'sub SCC_TODR_TOD () {(0x8000);}' unless defined(&SCC_TODR_TOD);
	eval 'sub SCCM_TXE () {(0x10);}' unless defined(&SCCM_TXE);
	eval 'sub SCCM_BSY () {(0x4);}' unless defined(&SCCM_BSY);
	eval 'sub SCCM_TX () {(0x2);}' unless defined(&SCCM_TX);
	eval 'sub SCCM_RX () {(0x1);}' unless defined(&SCCM_RX);
	eval 'sub SCCE_ENET_GRA () {(0x80);}' unless defined(&SCCE_ENET_GRA);
	eval 'sub SCCE_ENET_TXE () {(0x10);}' unless defined(&SCCE_ENET_TXE);
	eval 'sub SCCE_ENET_RXF () {(0x8);}' unless defined(&SCCE_ENET_RXF);
	eval 'sub SCCE_ENET_BSY () {(0x4);}' unless defined(&SCCE_ENET_BSY);
	eval 'sub SCCE_ENET_TXB () {(0x2);}' unless defined(&SCCE_ENET_TXB);
	eval 'sub SCCE_ENET_RXB () {(0x1);}' unless defined(&SCCE_ENET_RXB);
	eval 'sub SCC_PSMR_HBC () {(0x8000);}' unless defined(&SCC_PSMR_HBC);
	eval 'sub SCC_PSMR_FC () {(0x4000);}' unless defined(&SCC_PSMR_FC);
	eval 'sub SCC_PSMR_RSH () {(0x2000);}' unless defined(&SCC_PSMR_RSH);
	eval 'sub SCC_PSMR_IAM () {(0x1000);}' unless defined(&SCC_PSMR_IAM);
	eval 'sub SCC_PSMR_ENCRC () {(0x800);}' unless defined(&SCC_PSMR_ENCRC);
	eval 'sub SCC_PSMR_PRO () {(0x200);}' unless defined(&SCC_PSMR_PRO);
	eval 'sub SCC_PSMR_BRO () {(0x100);}' unless defined(&SCC_PSMR_BRO);
	eval 'sub SCC_PSMR_SBT () {(0x80);}' unless defined(&SCC_PSMR_SBT);
	eval 'sub SCC_PSMR_LPB () {(0x40);}' unless defined(&SCC_PSMR_LPB);
	eval 'sub SCC_PSMR_SIP () {(0x20);}' unless defined(&SCC_PSMR_SIP);
	eval 'sub SCC_PSMR_LCW () {(0x10);}' unless defined(&SCC_PSMR_LCW);
	eval 'sub SCC_PSMR_NIB22 () {(0xa);}' unless defined(&SCC_PSMR_NIB22);
	eval 'sub SCC_PSMR_FDE () {(0x1);}' unless defined(&SCC_PSMR_FDE);
	eval 'sub BD_ENET_RX_EMPTY () {(0x8000);}' unless defined(&BD_ENET_RX_EMPTY);
	eval 'sub BD_ENET_RX_WRAP () {(0x2000);}' unless defined(&BD_ENET_RX_WRAP);
	eval 'sub BD_ENET_RX_INTR () {(0x1000);}' unless defined(&BD_ENET_RX_INTR);
	eval 'sub BD_ENET_RX_LAST () {(0x800);}' unless defined(&BD_ENET_RX_LAST);
	eval 'sub BD_ENET_RX_FIRST () {(0x400);}' unless defined(&BD_ENET_RX_FIRST);
	eval 'sub BD_ENET_RX_MISS () {(0x100);}' unless defined(&BD_ENET_RX_MISS);
	eval 'sub BD_ENET_RX_BC () {(0x80);}' unless defined(&BD_ENET_RX_BC);
	eval 'sub BD_ENET_RX_MC () {(0x40);}' unless defined(&BD_ENET_RX_MC);
	eval 'sub BD_ENET_RX_LG () {(0x20);}' unless defined(&BD_ENET_RX_LG);
	eval 'sub BD_ENET_RX_NO () {(0x10);}' unless defined(&BD_ENET_RX_NO);
	eval 'sub BD_ENET_RX_SH () {(0x8);}' unless defined(&BD_ENET_RX_SH);
	eval 'sub BD_ENET_RX_CR () {(0x4);}' unless defined(&BD_ENET_RX_CR);
	eval 'sub BD_ENET_RX_OV () {(0x2);}' unless defined(&BD_ENET_RX_OV);
	eval 'sub BD_ENET_RX_CL () {(0x1);}' unless defined(&BD_ENET_RX_CL);
	eval 'sub BD_ENET_RX_STATS () {(0x1ff);}' unless defined(&BD_ENET_RX_STATS);
	eval 'sub BD_ENET_TX_READY () {(0x8000);}' unless defined(&BD_ENET_TX_READY);
	eval 'sub BD_ENET_TX_PAD () {(0x4000);}' unless defined(&BD_ENET_TX_PAD);
	eval 'sub BD_ENET_TX_WRAP () {(0x2000);}' unless defined(&BD_ENET_TX_WRAP);
	eval 'sub BD_ENET_TX_INTR () {(0x1000);}' unless defined(&BD_ENET_TX_INTR);
	eval 'sub BD_ENET_TX_LAST () {(0x800);}' unless defined(&BD_ENET_TX_LAST);
	eval 'sub BD_ENET_TX_TC () {(0x400);}' unless defined(&BD_ENET_TX_TC);
	eval 'sub BD_ENET_TX_DEF () {(0x200);}' unless defined(&BD_ENET_TX_DEF);
	eval 'sub BD_ENET_TX_HB () {(0x100);}' unless defined(&BD_ENET_TX_HB);
	eval 'sub BD_ENET_TX_LC () {(0x80);}' unless defined(&BD_ENET_TX_LC);
	eval 'sub BD_ENET_TX_RL () {(0x40);}' unless defined(&BD_ENET_TX_RL);
	eval 'sub BD_ENET_TX_RCMASK () {(0x3c);}' unless defined(&BD_ENET_TX_RCMASK);
	eval 'sub BD_ENET_TX_UN () {(0x2);}' unless defined(&BD_ENET_TX_UN);
	eval 'sub BD_ENET_TX_CSL () {(0x1);}' unless defined(&BD_ENET_TX_CSL);
	eval 'sub BD_ENET_TX_STATS () {(0x3ff);}' unless defined(&BD_ENET_TX_STATS);
	eval 'sub UART_SCCM_GLR () {(0x1000);}' unless defined(&UART_SCCM_GLR);
	eval 'sub UART_SCCM_GLT () {(0x800);}' unless defined(&UART_SCCM_GLT);
	eval 'sub UART_SCCM_AB () {(0x200);}' unless defined(&UART_SCCM_AB);
	eval 'sub UART_SCCM_IDL () {(0x100);}' unless defined(&UART_SCCM_IDL);
	eval 'sub UART_SCCM_GRA () {(0x80);}' unless defined(&UART_SCCM_GRA);
	eval 'sub UART_SCCM_BRKE () {(0x40);}' unless defined(&UART_SCCM_BRKE);
	eval 'sub UART_SCCM_BRKS () {(0x20);}' unless defined(&UART_SCCM_BRKS);
	eval 'sub UART_SCCM_CCR () {(0x8);}' unless defined(&UART_SCCM_CCR);
	eval 'sub UART_SCCM_BSY () {(0x4);}' unless defined(&UART_SCCM_BSY);
	eval 'sub UART_SCCM_TX () {(0x2);}' unless defined(&UART_SCCM_TX);
	eval 'sub UART_SCCM_RX () {(0x1);}' unless defined(&UART_SCCM_RX);
	eval 'sub SCU_PSMR_FLC () {(0x8000);}' unless defined(&SCU_PSMR_FLC);
	eval 'sub SCU_PSMR_SL () {(0x4000);}' unless defined(&SCU_PSMR_SL);
	eval 'sub SCU_PSMR_CL () {(0x3000);}' unless defined(&SCU_PSMR_CL);
	eval 'sub SCU_PSMR_UM () {(0xc00);}' unless defined(&SCU_PSMR_UM);
	eval 'sub SCU_PSMR_FRZ () {(0x200);}' unless defined(&SCU_PSMR_FRZ);
	eval 'sub SCU_PSMR_RZS () {(0x100);}' unless defined(&SCU_PSMR_RZS);
	eval 'sub SCU_PSMR_SYN () {(0x80);}' unless defined(&SCU_PSMR_SYN);
	eval 'sub SCU_PSMR_DRT () {(0x40);}' unless defined(&SCU_PSMR_DRT);
	eval 'sub SCU_PSMR_PEN () {(0x10);}' unless defined(&SCU_PSMR_PEN);
	eval 'sub SCU_PSMR_RPM () {(0xc);}' unless defined(&SCU_PSMR_RPM);
	eval 'sub SCU_PSMR_REVP () {(0x8);}' unless defined(&SCU_PSMR_REVP);
	eval 'sub SCU_PSMR_TPM () {(0x3);}' unless defined(&SCU_PSMR_TPM);
	eval 'sub SCU_PSMR_TEVP () {(0x3);}' unless defined(&SCU_PSMR_TEVP);
	eval 'sub BD_SCC_TX_LAST () {(0x800);}' unless defined(&BD_SCC_TX_LAST);
	eval 'sub FCC_GFMR_DIAG_NORM () {(0x);}' unless defined(&FCC_GFMR_DIAG_NORM);
	eval 'sub FCC_GFMR_DIAG_LE () {(0x40000000);}' unless defined(&FCC_GFMR_DIAG_LE);
	eval 'sub FCC_GFMR_DIAG_AE () {(0x80000000);}' unless defined(&FCC_GFMR_DIAG_AE);
	eval 'sub FCC_GFMR_DIAG_ALE () {(0xc0000000);}' unless defined(&FCC_GFMR_DIAG_ALE);
	eval 'sub FCC_GFMR_TCI () {(0x20000000);}' unless defined(&FCC_GFMR_TCI);
	eval 'sub FCC_GFMR_TRX () {(0x10000000);}' unless defined(&FCC_GFMR_TRX);
	eval 'sub FCC_GFMR_TTX () {(0x8000000);}' unless defined(&FCC_GFMR_TTX);
	eval 'sub FCC_GFMR_TTX () {(0x8000000);}' unless defined(&FCC_GFMR_TTX);
	eval 'sub FCC_GFMR_CDP () {(0x4000000);}' unless defined(&FCC_GFMR_CDP);
	eval 'sub FCC_GFMR_CTSP () {(0x2000000);}' unless defined(&FCC_GFMR_CTSP);
	eval 'sub FCC_GFMR_CDS () {(0x1000000);}' unless defined(&FCC_GFMR_CDS);
	eval 'sub FCC_GFMR_CTSS () {(0x800000);}' unless defined(&FCC_GFMR_CTSS);
	eval 'sub FCC_GFMR_SYNL_NONE () {(0x);}' unless defined(&FCC_GFMR_SYNL_NONE);
	eval 'sub FCC_GFMR_SYNL_AUTO () {(0x4000);}' unless defined(&FCC_GFMR_SYNL_AUTO);
	eval 'sub FCC_GFMR_SYNL_8 () {(0x8000);}' unless defined(&FCC_GFMR_SYNL_8);
	eval 'sub FCC_GFMR_SYNL_16 () {(0xc000);}' unless defined(&FCC_GFMR_SYNL_16);
	eval 'sub FCC_GFMR_RTSM () {(0x2000);}' unless defined(&FCC_GFMR_RTSM);
	eval 'sub FCC_GFMR_RENC_NRZ () {(0x);}' unless defined(&FCC_GFMR_RENC_NRZ);
	eval 'sub FCC_GFMR_RENC_NRZI () {(0x800);}' unless defined(&FCC_GFMR_RENC_NRZI);
	eval 'sub FCC_GFMR_REVD () {(0x400);}' unless defined(&FCC_GFMR_REVD);
	eval 'sub FCC_GFMR_TENC_NRZ () {(0x);}' unless defined(&FCC_GFMR_TENC_NRZ);
	eval 'sub FCC_GFMR_TENC_NRZI () {(0x100);}' unless defined(&FCC_GFMR_TENC_NRZI);
	eval 'sub FCC_GFMR_TCRC_16 () {(0x);}' unless defined(&FCC_GFMR_TCRC_16);
	eval 'sub FCC_GFMR_TCRC_32 () {(0x80);}' unless defined(&FCC_GFMR_TCRC_32);
	eval 'sub FCC_GFMR_ENR () {(0x20);}' unless defined(&FCC_GFMR_ENR);
	eval 'sub FCC_GFMR_ENT () {(0x10);}' unless defined(&FCC_GFMR_ENT);
	eval 'sub FCC_GFMR_MODE_ENET () {(0xc);}' unless defined(&FCC_GFMR_MODE_ENET);
	eval 'sub FCC_GFMR_MODE_ATM () {(0xa);}' unless defined(&FCC_GFMR_MODE_ATM);
	eval 'sub FCC_GFMR_MODE_HDLC () {(0x);}' unless defined(&FCC_GFMR_MODE_HDLC);
	eval 'sub FCC_ENET_GRA () {(0x80);}' unless defined(&FCC_ENET_GRA);
	eval 'sub FCC_ENET_RXC () {(0x40);}' unless defined(&FCC_ENET_RXC);
	eval 'sub FCC_ENET_TXC () {(0x20);}' unless defined(&FCC_ENET_TXC);
	eval 'sub FCC_ENET_TXE () {(0x10);}' unless defined(&FCC_ENET_TXE);
	eval 'sub FCC_ENET_RXF () {(0x8);}' unless defined(&FCC_ENET_RXF);
	eval 'sub FCC_ENET_BSY () {(0x4);}' unless defined(&FCC_ENET_BSY);
	eval 'sub FCC_ENET_TXB () {(0x2);}' unless defined(&FCC_ENET_TXB);
	eval 'sub FCC_ENET_RXB () {(0x1);}' unless defined(&FCC_ENET_RXB);
	eval 'sub FCC_PSMR_HBC () {(0x80000000);}' unless defined(&FCC_PSMR_HBC);
	eval 'sub FCC_PSMR_FC () {(0x40000000);}' unless defined(&FCC_PSMR_FC);
	eval 'sub FCC_PSMR_SBT () {(0x20000000);}' unless defined(&FCC_PSMR_SBT);
	eval 'sub FCC_PSMR_LPB () {(0x10000000);}' unless defined(&FCC_PSMR_LPB);
	eval 'sub FCC_PSMR_LCW () {(0x8000000);}' unless defined(&FCC_PSMR_LCW);
	eval 'sub FCC_PSMR_FDE () {(0x4000000);}' unless defined(&FCC_PSMR_FDE);
	eval 'sub FCC_PSMR_MON () {(0x2000000);}' unless defined(&FCC_PSMR_MON);
	eval 'sub FCC_PSMR_PRO () {(0x400000);}' unless defined(&FCC_PSMR_PRO);
	eval 'sub FCC_PSMR_FCE () {(0x200000);}' unless defined(&FCC_PSMR_FCE);
	eval 'sub FCC_PSMR_RSH () {(0x100000);}' unless defined(&FCC_PSMR_RSH);
	eval 'sub FCC_PSMR_CAM () {(0x400);}' unless defined(&FCC_PSMR_CAM);
	eval 'sub FCC_PSMR_BRO () {(0x200);}' unless defined(&FCC_PSMR_BRO);
	eval 'sub FCC_PSMR_ENCRC () {(0x80);}' unless defined(&FCC_PSMR_ENCRC);
	eval 'sub SPMODE_LOOP () {(0x4000);}' unless defined(&SPMODE_LOOP);
	eval 'sub SPMODE_CI () {(0x2000);}' unless defined(&SPMODE_CI);
	eval 'sub SPMODE_CP () {(0x1000);}' unless defined(&SPMODE_CP);
	eval 'sub SPMODE_DIV16 () {(0x800);}' unless defined(&SPMODE_DIV16);
	eval 'sub SPMODE_REV () {(0x400);}' unless defined(&SPMODE_REV);
	eval 'sub SPMODE_MSTR () {(0x200);}' unless defined(&SPMODE_MSTR);
	eval 'sub SPMODE_EN () {(0x100);}' unless defined(&SPMODE_EN);
	eval 'sub SPMODE_LENMSK () {(0xf0);}' unless defined(&SPMODE_LENMSK);
	eval 'sub SPMODE_PMMSK () {(0xf);}' unless defined(&SPMODE_PMMSK);
	eval 'sub SPMODE_LEN {
	    my($x) = @_;
    	    eval q((((($x)-1)&0xf)<<4));
	}' unless defined(&SPMODE_LEN);
	eval 'sub SPMODE_PM {
	    my($x) = @_;
    	    eval q((($x) &0xf));
	}' unless defined(&SPMODE_PM);
	eval 'sub SPI_EB () {(0x10);}' unless defined(&SPI_EB);
	eval 'sub BD_IIC_START () {(0x400);}' unless defined(&BD_IIC_START);
	eval 'sub IDMA_DCM_FB () {(0x8000);}' unless defined(&IDMA_DCM_FB);
	eval 'sub IDMA_DCM_LP () {(0x4000);}' unless defined(&IDMA_DCM_LP);
	eval 'sub IDMA_DCM_TC2 () {(0x400);}' unless defined(&IDMA_DCM_TC2);
	eval 'sub IDMA_DCM_DMA_WRAP_MASK () {(0x1c0);}' unless defined(&IDMA_DCM_DMA_WRAP_MASK);
	eval 'sub IDMA_DCM_DMA_WRAP_64 () {(0x);}' unless defined(&IDMA_DCM_DMA_WRAP_64);
	eval 'sub IDMA_DCM_DMA_WRAP_128 () {(0x40);}' unless defined(&IDMA_DCM_DMA_WRAP_128);
	eval 'sub IDMA_DCM_DMA_WRAP_256 () {(0x80);}' unless defined(&IDMA_DCM_DMA_WRAP_256);
	eval 'sub IDMA_DCM_DMA_WRAP_512 () {(0xc0);}' unless defined(&IDMA_DCM_DMA_WRAP_512);
	eval 'sub IDMA_DCM_DMA_WRAP_1024 () {(0x100);}' unless defined(&IDMA_DCM_DMA_WRAP_1024);
	eval 'sub IDMA_DCM_DMA_WRAP_2048 () {(0x140);}' unless defined(&IDMA_DCM_DMA_WRAP_2048);
	eval 'sub IDMA_DCM_SINC () {(0x20);}' unless defined(&IDMA_DCM_SINC);
	eval 'sub IDMA_DCM_DINC () {(0x10);}' unless defined(&IDMA_DCM_DINC);
	eval 'sub IDMA_DCM_ERM () {(0x8);}' unless defined(&IDMA_DCM_ERM);
	eval 'sub IDMA_DCM_DT () {(0x4);}' unless defined(&IDMA_DCM_DT);
	eval 'sub IDMA_DCM_SD_MASK () {(0x3);}' unless defined(&IDMA_DCM_SD_MASK);
	eval 'sub IDMA_DCM_SD_MEM2MEM () {(0x);}' unless defined(&IDMA_DCM_SD_MEM2MEM);
	eval 'sub IDMA_DCM_SD_PER2MEM () {(0x2);}' unless defined(&IDMA_DCM_SD_PER2MEM);
	eval 'sub IDMA_DCM_SD_MEM2PER () {(0x1);}' unless defined(&IDMA_DCM_SD_MEM2PER);
	eval 'sub IDMA_BD_V () {(0x80000000);}' unless defined(&IDMA_BD_V);
	eval 'sub IDMA_BD_W () {(0x20000000);}' unless defined(&IDMA_BD_W);
	eval 'sub IDMA_BD_I () {(0x10000000);}' unless defined(&IDMA_BD_I);
	eval 'sub IDMA_BD_L () {(0x8000000);}' unless defined(&IDMA_BD_L);
	eval 'sub IDMA_BD_CM () {(0x2000000);}' unless defined(&IDMA_BD_CM);
	eval 'sub IDMA_BD_SDN () {(0x400000);}' unless defined(&IDMA_BD_SDN);
	eval 'sub IDMA_BD_DDN () {(0x200000);}' unless defined(&IDMA_BD_DDN);
	eval 'sub IDMA_BD_DGBL () {(0x100000);}' unless defined(&IDMA_BD_DGBL);
	eval 'sub IDMA_BD_DBO_LE () {(0x40000);}' unless defined(&IDMA_BD_DBO_LE);
	eval 'sub IDMA_BD_DBO_BE () {(0x80000);}' unless defined(&IDMA_BD_DBO_BE);
	eval 'sub IDMA_BD_DDTB () {(0x10000);}' unless defined(&IDMA_BD_DDTB);
	eval 'sub IDMA_BD_SGBL () {(0x2000);}' unless defined(&IDMA_BD_SGBL);
	eval 'sub IDMA_BD_SBO_LE () {(0x800);}' unless defined(&IDMA_BD_SBO_LE);
	eval 'sub IDMA_BD_SBO_BE () {(0x1000);}' unless defined(&IDMA_BD_SBO_BE);
	eval 'sub IDMA_BD_SDTB () {(0x200);}' unless defined(&IDMA_BD_SDTB);
	eval 'sub IDMA_EVENT_SC () {(0x8);}' unless defined(&IDMA_EVENT_SC);
	eval 'sub IDMA_EVENT_OB () {(0x4);}' unless defined(&IDMA_EVENT_OB);
	eval 'sub IDMA_EVENT_EDN () {(0x2);}' unless defined(&IDMA_EVENT_EDN);
	eval 'sub IDMA_EVENT_BC () {(0x1);}' unless defined(&IDMA_EVENT_BC);
	eval 'sub RCCR_TIME () {(0x80000000);}' unless defined(&RCCR_TIME);
	eval 'sub RCCR_TIMEP_MASK () {(0x3f000000);}' unless defined(&RCCR_TIMEP_MASK);
	eval 'sub RCCR_DR0M () {(0x800000);}' unless defined(&RCCR_DR0M);
	eval 'sub RCCR_DR1M () {(0x400000);}' unless defined(&RCCR_DR1M);
	eval 'sub RCCR_DR2M () {(0x80);}' unless defined(&RCCR_DR2M);
	eval 'sub RCCR_DR3M () {(0x40);}' unless defined(&RCCR_DR3M);
	eval 'sub RCCR_DR0QP_MASK () {(0x300000);}' unless defined(&RCCR_DR0QP_MASK);
	eval 'sub RCCR_DR0QP_HIGH () {(0x);}' unless defined(&RCCR_DR0QP_HIGH);
	eval 'sub RCCR_DR0QP_MED () {(0x100000);}' unless defined(&RCCR_DR0QP_MED);
	eval 'sub RCCR_DR0QP_LOW () {(0x200000);}' unless defined(&RCCR_DR0QP_LOW);
	eval 'sub RCCR_DR1QP_MASK () {(0x30000);}' unless defined(&RCCR_DR1QP_MASK);
	eval 'sub RCCR_DR1QP_HIGH () {(0x);}' unless defined(&RCCR_DR1QP_HIGH);
	eval 'sub RCCR_DR1QP_MED () {(0x10000);}' unless defined(&RCCR_DR1QP_MED);
	eval 'sub RCCR_DR1QP_LOW () {(0x20000);}' unless defined(&RCCR_DR1QP_LOW);
	eval 'sub RCCR_DR2QP_MASK () {(0x30);}' unless defined(&RCCR_DR2QP_MASK);
	eval 'sub RCCR_DR2QP_HIGH () {(0x);}' unless defined(&RCCR_DR2QP_HIGH);
	eval 'sub RCCR_DR2QP_MED () {(0x10);}' unless defined(&RCCR_DR2QP_MED);
	eval 'sub RCCR_DR2QP_LOW () {(0x20);}' unless defined(&RCCR_DR2QP_LOW);
	eval 'sub RCCR_DR3QP_MASK () {(0x3);}' unless defined(&RCCR_DR3QP_MASK);
	eval 'sub RCCR_DR3QP_HIGH () {(0x);}' unless defined(&RCCR_DR3QP_HIGH);
	eval 'sub RCCR_DR3QP_MED () {(0x1);}' unless defined(&RCCR_DR3QP_MED);
	eval 'sub RCCR_DR3QP_LOW () {(0x2);}' unless defined(&RCCR_DR3QP_LOW);
	eval 'sub RCCR_EIE () {(0x80000);}' unless defined(&RCCR_EIE);
	eval 'sub RCCR_SCD () {(0x40000);}' unless defined(&RCCR_SCD);
	eval 'sub RCCR_ERAM_MASK () {(0xe000);}' unless defined(&RCCR_ERAM_MASK);
	eval 'sub RCCR_ERAM_0KB () {(0x);}' unless defined(&RCCR_ERAM_0KB);
	eval 'sub RCCR_ERAM_2KB () {(0x2000);}' unless defined(&RCCR_ERAM_2KB);
	eval 'sub RCCR_ERAM_4KB () {(0x4000);}' unless defined(&RCCR_ERAM_4KB);
	eval 'sub RCCR_ERAM_6KB () {(0x6000);}' unless defined(&RCCR_ERAM_6KB);
	eval 'sub RCCR_ERAM_8KB () {(0x8000);}' unless defined(&RCCR_ERAM_8KB);
	eval 'sub RCCR_ERAM_10KB () {(0xa000);}' unless defined(&RCCR_ERAM_10KB);
	eval 'sub RCCR_ERAM_12KB () {(0xc000);}' unless defined(&RCCR_ERAM_12KB);
	eval 'sub RCCR_EDM0 () {(0x800);}' unless defined(&RCCR_EDM0);
	eval 'sub RCCR_EDM1 () {(0x400);}' unless defined(&RCCR_EDM1);
	eval 'sub RCCR_EDM2 () {(0x200);}' unless defined(&RCCR_EDM2);
	eval 'sub RCCR_EDM3 () {(0x100);}' unless defined(&RCCR_EDM3);
	eval 'sub RCCR_DEM01 () {(0x8);}' unless defined(&RCCR_DEM01);
	eval 'sub RCCR_DEM23 () {(0x4);}' unless defined(&RCCR_DEM23);
	eval 'sub CMXFCR_FC1 () {0x40000000;}' unless defined(&CMXFCR_FC1);
	eval 'sub CMXFCR_RF1CS_MSK () {0x38000000;}' unless defined(&CMXFCR_RF1CS_MSK);
	eval 'sub CMXFCR_TF1CS_MSK () {0x7000000;}' unless defined(&CMXFCR_TF1CS_MSK);
	eval 'sub CMXFCR_FC2 () {0x400000;}' unless defined(&CMXFCR_FC2);
	eval 'sub CMXFCR_RF2CS_MSK () {0x380000;}' unless defined(&CMXFCR_RF2CS_MSK);
	eval 'sub CMXFCR_TF2CS_MSK () {0x70000;}' unless defined(&CMXFCR_TF2CS_MSK);
	eval 'sub CMXFCR_FC3 () {0x4000;}' unless defined(&CMXFCR_FC3);
	eval 'sub CMXFCR_RF3CS_MSK () {0x3800;}' unless defined(&CMXFCR_RF3CS_MSK);
	eval 'sub CMXFCR_TF3CS_MSK () {0x700;}' unless defined(&CMXFCR_TF3CS_MSK);
	eval 'sub CMXFCR_RF1CS_BRG5 () {0x;}' unless defined(&CMXFCR_RF1CS_BRG5);
	eval 'sub CMXFCR_RF1CS_BRG6 () {0x8000000;}' unless defined(&CMXFCR_RF1CS_BRG6);
	eval 'sub CMXFCR_RF1CS_BRG7 () {0x10000000;}' unless defined(&CMXFCR_RF1CS_BRG7);
	eval 'sub CMXFCR_RF1CS_BRG8 () {0x18000000;}' unless defined(&CMXFCR_RF1CS_BRG8);
	eval 'sub CMXFCR_RF1CS_CLK9 () {0x20000000;}' unless defined(&CMXFCR_RF1CS_CLK9);
	eval 'sub CMXFCR_RF1CS_CLK10 () {0x28000000;}' unless defined(&CMXFCR_RF1CS_CLK10);
	eval 'sub CMXFCR_RF1CS_CLK11 () {0x30000000;}' unless defined(&CMXFCR_RF1CS_CLK11);
	eval 'sub CMXFCR_RF1CS_CLK12 () {0x38000000;}' unless defined(&CMXFCR_RF1CS_CLK12);
	eval 'sub CMXFCR_TF1CS_BRG5 () {0x;}' unless defined(&CMXFCR_TF1CS_BRG5);
	eval 'sub CMXFCR_TF1CS_BRG6 () {0x1000000;}' unless defined(&CMXFCR_TF1CS_BRG6);
	eval 'sub CMXFCR_TF1CS_BRG7 () {0x2000000;}' unless defined(&CMXFCR_TF1CS_BRG7);
	eval 'sub CMXFCR_TF1CS_BRG8 () {0x3000000;}' unless defined(&CMXFCR_TF1CS_BRG8);
	eval 'sub CMXFCR_TF1CS_CLK9 () {0x4000000;}' unless defined(&CMXFCR_TF1CS_CLK9);
	eval 'sub CMXFCR_TF1CS_CLK10 () {0x5000000;}' unless defined(&CMXFCR_TF1CS_CLK10);
	eval 'sub CMXFCR_TF1CS_CLK11 () {0x6000000;}' unless defined(&CMXFCR_TF1CS_CLK11);
	eval 'sub CMXFCR_TF1CS_CLK12 () {0x7000000;}' unless defined(&CMXFCR_TF1CS_CLK12);
	eval 'sub CMXFCR_RF2CS_BRG5 () {0x;}' unless defined(&CMXFCR_RF2CS_BRG5);
	eval 'sub CMXFCR_RF2CS_BRG6 () {0x80000;}' unless defined(&CMXFCR_RF2CS_BRG6);
	eval 'sub CMXFCR_RF2CS_BRG7 () {0x100000;}' unless defined(&CMXFCR_RF2CS_BRG7);
	eval 'sub CMXFCR_RF2CS_BRG8 () {0x180000;}' unless defined(&CMXFCR_RF2CS_BRG8);
	eval 'sub CMXFCR_RF2CS_CLK13 () {0x200000;}' unless defined(&CMXFCR_RF2CS_CLK13);
	eval 'sub CMXFCR_RF2CS_CLK14 () {0x280000;}' unless defined(&CMXFCR_RF2CS_CLK14);
	eval 'sub CMXFCR_RF2CS_CLK15 () {0x300000;}' unless defined(&CMXFCR_RF2CS_CLK15);
	eval 'sub CMXFCR_RF2CS_CLK16 () {0x380000;}' unless defined(&CMXFCR_RF2CS_CLK16);
	eval 'sub CMXFCR_TF2CS_BRG5 () {0x;}' unless defined(&CMXFCR_TF2CS_BRG5);
	eval 'sub CMXFCR_TF2CS_BRG6 () {0x10000;}' unless defined(&CMXFCR_TF2CS_BRG6);
	eval 'sub CMXFCR_TF2CS_BRG7 () {0x20000;}' unless defined(&CMXFCR_TF2CS_BRG7);
	eval 'sub CMXFCR_TF2CS_BRG8 () {0x30000;}' unless defined(&CMXFCR_TF2CS_BRG8);
	eval 'sub CMXFCR_TF2CS_CLK13 () {0x40000;}' unless defined(&CMXFCR_TF2CS_CLK13);
	eval 'sub CMXFCR_TF2CS_CLK14 () {0x50000;}' unless defined(&CMXFCR_TF2CS_CLK14);
	eval 'sub CMXFCR_TF2CS_CLK15 () {0x60000;}' unless defined(&CMXFCR_TF2CS_CLK15);
	eval 'sub CMXFCR_TF2CS_CLK16 () {0x70000;}' unless defined(&CMXFCR_TF2CS_CLK16);
	eval 'sub CMXFCR_RF3CS_BRG5 () {0x;}' unless defined(&CMXFCR_RF3CS_BRG5);
	eval 'sub CMXFCR_RF3CS_BRG6 () {0x800;}' unless defined(&CMXFCR_RF3CS_BRG6);
	eval 'sub CMXFCR_RF3CS_BRG7 () {0x1000;}' unless defined(&CMXFCR_RF3CS_BRG7);
	eval 'sub CMXFCR_RF3CS_BRG8 () {0x1800;}' unless defined(&CMXFCR_RF3CS_BRG8);
	eval 'sub CMXFCR_RF3CS_CLK13 () {0x2000;}' unless defined(&CMXFCR_RF3CS_CLK13);
	eval 'sub CMXFCR_RF3CS_CLK14 () {0x2800;}' unless defined(&CMXFCR_RF3CS_CLK14);
	eval 'sub CMXFCR_RF3CS_CLK15 () {0x3000;}' unless defined(&CMXFCR_RF3CS_CLK15);
	eval 'sub CMXFCR_RF3CS_CLK16 () {0x3800;}' unless defined(&CMXFCR_RF3CS_CLK16);
	eval 'sub CMXFCR_TF3CS_BRG5 () {0x;}' unless defined(&CMXFCR_TF3CS_BRG5);
	eval 'sub CMXFCR_TF3CS_BRG6 () {0x100;}' unless defined(&CMXFCR_TF3CS_BRG6);
	eval 'sub CMXFCR_TF3CS_BRG7 () {0x200;}' unless defined(&CMXFCR_TF3CS_BRG7);
	eval 'sub CMXFCR_TF3CS_BRG8 () {0x300;}' unless defined(&CMXFCR_TF3CS_BRG8);
	eval 'sub CMXFCR_TF3CS_CLK13 () {0x400;}' unless defined(&CMXFCR_TF3CS_CLK13);
	eval 'sub CMXFCR_TF3CS_CLK14 () {0x500;}' unless defined(&CMXFCR_TF3CS_CLK14);
	eval 'sub CMXFCR_TF3CS_CLK15 () {0x600;}' unless defined(&CMXFCR_TF3CS_CLK15);
	eval 'sub CMXFCR_TF3CS_CLK16 () {0x700;}' unless defined(&CMXFCR_TF3CS_CLK16);
	eval 'sub CMXSCR_GR1 () {0x80000000;}' unless defined(&CMXSCR_GR1);
	eval 'sub CMXSCR_SC1 () {0x40000000;}' unless defined(&CMXSCR_SC1);
	eval 'sub CMXSCR_RS1CS_MSK () {0x38000000;}' unless defined(&CMXSCR_RS1CS_MSK);
	eval 'sub CMXSCR_TS1CS_MSK () {0x7000000;}' unless defined(&CMXSCR_TS1CS_MSK);
	eval 'sub CMXSCR_GR2 () {0x800000;}' unless defined(&CMXSCR_GR2);
	eval 'sub CMXSCR_SC2 () {0x400000;}' unless defined(&CMXSCR_SC2);
	eval 'sub CMXSCR_RS2CS_MSK () {0x380000;}' unless defined(&CMXSCR_RS2CS_MSK);
	eval 'sub CMXSCR_TS2CS_MSK () {0x70000;}' unless defined(&CMXSCR_TS2CS_MSK);
	eval 'sub CMXSCR_GR3 () {0x8000;}' unless defined(&CMXSCR_GR3);
	eval 'sub CMXSCR_SC3 () {0x4000;}' unless defined(&CMXSCR_SC3);
	eval 'sub CMXSCR_RS3CS_MSK () {0x3800;}' unless defined(&CMXSCR_RS3CS_MSK);
	eval 'sub CMXSCR_TS3CS_MSK () {0x700;}' unless defined(&CMXSCR_TS3CS_MSK);
	eval 'sub CMXSCR_GR4 () {0x80;}' unless defined(&CMXSCR_GR4);
	eval 'sub CMXSCR_SC4 () {0x40;}' unless defined(&CMXSCR_SC4);
	eval 'sub CMXSCR_RS4CS_MSK () {0x38;}' unless defined(&CMXSCR_RS4CS_MSK);
	eval 'sub CMXSCR_TS4CS_MSK () {0x7;}' unless defined(&CMXSCR_TS4CS_MSK);
	eval 'sub CMXSCR_RS1CS_BRG1 () {0x;}' unless defined(&CMXSCR_RS1CS_BRG1);
	eval 'sub CMXSCR_RS1CS_BRG2 () {0x8000000;}' unless defined(&CMXSCR_RS1CS_BRG2);
	eval 'sub CMXSCR_RS1CS_BRG3 () {0x10000000;}' unless defined(&CMXSCR_RS1CS_BRG3);
	eval 'sub CMXSCR_RS1CS_BRG4 () {0x18000000;}' unless defined(&CMXSCR_RS1CS_BRG4);
	eval 'sub CMXSCR_RS1CS_CLK11 () {0x20000000;}' unless defined(&CMXSCR_RS1CS_CLK11);
	eval 'sub CMXSCR_RS1CS_CLK12 () {0x28000000;}' unless defined(&CMXSCR_RS1CS_CLK12);
	eval 'sub CMXSCR_RS1CS_CLK3 () {0x30000000;}' unless defined(&CMXSCR_RS1CS_CLK3);
	eval 'sub CMXSCR_RS1CS_CLK4 () {0x38000000;}' unless defined(&CMXSCR_RS1CS_CLK4);
	eval 'sub CMXSCR_TS1CS_BRG1 () {0x;}' unless defined(&CMXSCR_TS1CS_BRG1);
	eval 'sub CMXSCR_TS1CS_BRG2 () {0x1000000;}' unless defined(&CMXSCR_TS1CS_BRG2);
	eval 'sub CMXSCR_TS1CS_BRG3 () {0x2000000;}' unless defined(&CMXSCR_TS1CS_BRG3);
	eval 'sub CMXSCR_TS1CS_BRG4 () {0x3000000;}' unless defined(&CMXSCR_TS1CS_BRG4);
	eval 'sub CMXSCR_TS1CS_CLK11 () {0x4000000;}' unless defined(&CMXSCR_TS1CS_CLK11);
	eval 'sub CMXSCR_TS1CS_CLK12 () {0x5000000;}' unless defined(&CMXSCR_TS1CS_CLK12);
	eval 'sub CMXSCR_TS1CS_CLK3 () {0x6000000;}' unless defined(&CMXSCR_TS1CS_CLK3);
	eval 'sub CMXSCR_TS1CS_CLK4 () {0x7000000;}' unless defined(&CMXSCR_TS1CS_CLK4);
	eval 'sub CMXSCR_RS2CS_BRG1 () {0x;}' unless defined(&CMXSCR_RS2CS_BRG1);
	eval 'sub CMXSCR_RS2CS_BRG2 () {0x80000;}' unless defined(&CMXSCR_RS2CS_BRG2);
	eval 'sub CMXSCR_RS2CS_BRG3 () {0x100000;}' unless defined(&CMXSCR_RS2CS_BRG3);
	eval 'sub CMXSCR_RS2CS_BRG4 () {0x180000;}' unless defined(&CMXSCR_RS2CS_BRG4);
	eval 'sub CMXSCR_RS2CS_CLK11 () {0x200000;}' unless defined(&CMXSCR_RS2CS_CLK11);
	eval 'sub CMXSCR_RS2CS_CLK12 () {0x280000;}' unless defined(&CMXSCR_RS2CS_CLK12);
	eval 'sub CMXSCR_RS2CS_CLK3 () {0x300000;}' unless defined(&CMXSCR_RS2CS_CLK3);
	eval 'sub CMXSCR_RS2CS_CLK4 () {0x380000;}' unless defined(&CMXSCR_RS2CS_CLK4);
	eval 'sub CMXSCR_TS2CS_BRG1 () {0x;}' unless defined(&CMXSCR_TS2CS_BRG1);
	eval 'sub CMXSCR_TS2CS_BRG2 () {0x10000;}' unless defined(&CMXSCR_TS2CS_BRG2);
	eval 'sub CMXSCR_TS2CS_BRG3 () {0x20000;}' unless defined(&CMXSCR_TS2CS_BRG3);
	eval 'sub CMXSCR_TS2CS_BRG4 () {0x30000;}' unless defined(&CMXSCR_TS2CS_BRG4);
	eval 'sub CMXSCR_TS2CS_CLK11 () {0x40000;}' unless defined(&CMXSCR_TS2CS_CLK11);
	eval 'sub CMXSCR_TS2CS_CLK12 () {0x50000;}' unless defined(&CMXSCR_TS2CS_CLK12);
	eval 'sub CMXSCR_TS2CS_CLK3 () {0x60000;}' unless defined(&CMXSCR_TS2CS_CLK3);
	eval 'sub CMXSCR_TS2CS_CLK4 () {0x70000;}' unless defined(&CMXSCR_TS2CS_CLK4);
	eval 'sub CMXSCR_RS3CS_BRG1 () {0x;}' unless defined(&CMXSCR_RS3CS_BRG1);
	eval 'sub CMXSCR_RS3CS_BRG2 () {0x800;}' unless defined(&CMXSCR_RS3CS_BRG2);
	eval 'sub CMXSCR_RS3CS_BRG3 () {0x1000;}' unless defined(&CMXSCR_RS3CS_BRG3);
	eval 'sub CMXSCR_RS3CS_BRG4 () {0x1800;}' unless defined(&CMXSCR_RS3CS_BRG4);
	eval 'sub CMXSCR_RS3CS_CLK5 () {0x2000;}' unless defined(&CMXSCR_RS3CS_CLK5);
	eval 'sub CMXSCR_RS3CS_CLK6 () {0x2800;}' unless defined(&CMXSCR_RS3CS_CLK6);
	eval 'sub CMXSCR_RS3CS_CLK7 () {0x3000;}' unless defined(&CMXSCR_RS3CS_CLK7);
	eval 'sub CMXSCR_RS3CS_CLK8 () {0x3800;}' unless defined(&CMXSCR_RS3CS_CLK8);
	eval 'sub CMXSCR_TS3CS_BRG1 () {0x;}' unless defined(&CMXSCR_TS3CS_BRG1);
	eval 'sub CMXSCR_TS3CS_BRG2 () {0x100;}' unless defined(&CMXSCR_TS3CS_BRG2);
	eval 'sub CMXSCR_TS3CS_BRG3 () {0x200;}' unless defined(&CMXSCR_TS3CS_BRG3);
	eval 'sub CMXSCR_TS3CS_BRG4 () {0x300;}' unless defined(&CMXSCR_TS3CS_BRG4);
	eval 'sub CMXSCR_TS3CS_CLK5 () {0x400;}' unless defined(&CMXSCR_TS3CS_CLK5);
	eval 'sub CMXSCR_TS3CS_CLK6 () {0x500;}' unless defined(&CMXSCR_TS3CS_CLK6);
	eval 'sub CMXSCR_TS3CS_CLK7 () {0x600;}' unless defined(&CMXSCR_TS3CS_CLK7);
	eval 'sub CMXSCR_TS3CS_CLK8 () {0x700;}' unless defined(&CMXSCR_TS3CS_CLK8);
	eval 'sub CMXSCR_RS4CS_BRG1 () {0x;}' unless defined(&CMXSCR_RS4CS_BRG1);
	eval 'sub CMXSCR_RS4CS_BRG2 () {0x8;}' unless defined(&CMXSCR_RS4CS_BRG2);
	eval 'sub CMXSCR_RS4CS_BRG3 () {0x10;}' unless defined(&CMXSCR_RS4CS_BRG3);
	eval 'sub CMXSCR_RS4CS_BRG4 () {0x18;}' unless defined(&CMXSCR_RS4CS_BRG4);
	eval 'sub CMXSCR_RS4CS_CLK5 () {0x20;}' unless defined(&CMXSCR_RS4CS_CLK5);
	eval 'sub CMXSCR_RS4CS_CLK6 () {0x28;}' unless defined(&CMXSCR_RS4CS_CLK6);
	eval 'sub CMXSCR_RS4CS_CLK7 () {0x30;}' unless defined(&CMXSCR_RS4CS_CLK7);
	eval 'sub CMXSCR_RS4CS_CLK8 () {0x38;}' unless defined(&CMXSCR_RS4CS_CLK8);
	eval 'sub CMXSCR_TS4CS_BRG1 () {0x;}' unless defined(&CMXSCR_TS4CS_BRG1);
	eval 'sub CMXSCR_TS4CS_BRG2 () {0x1;}' unless defined(&CMXSCR_TS4CS_BRG2);
	eval 'sub CMXSCR_TS4CS_BRG3 () {0x2;}' unless defined(&CMXSCR_TS4CS_BRG3);
	eval 'sub CMXSCR_TS4CS_BRG4 () {0x3;}' unless defined(&CMXSCR_TS4CS_BRG4);
	eval 'sub CMXSCR_TS4CS_CLK5 () {0x4;}' unless defined(&CMXSCR_TS4CS_CLK5);
	eval 'sub CMXSCR_TS4CS_CLK6 () {0x5;}' unless defined(&CMXSCR_TS4CS_CLK6);
	eval 'sub CMXSCR_TS4CS_CLK7 () {0x6;}' unless defined(&CMXSCR_TS4CS_CLK7);
	eval 'sub CMXSCR_TS4CS_CLK8 () {0x7;}' unless defined(&CMXSCR_TS4CS_CLK8);
    }
}
1;
