require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&HEATHROW_FRONT_LIGHT)) {
    sub HEATHROW_FRONT_LIGHT () {	0x32;}
}
unless(defined(&HEATHROW_BRIGHTNESS_CNTL)) {
    sub HEATHROW_BRIGHTNESS_CNTL () {	0x32;}
}
unless(defined(&HEATHROW_CONTRAST_CNTL)) {
    sub HEATHROW_CONTRAST_CNTL () {	0x33;}
}
unless(defined(&HEATHROW_MBCR)) {
    sub HEATHROW_MBCR () {	0x34;}
}
unless(defined(&HEATHROW_FCR)) {
    sub HEATHROW_FCR () {	0x38;}
}
unless(defined(&HEATHROW_AUX_CNTL_REG)) {
    sub HEATHROW_AUX_CNTL_REG () {	0x3c;}
}
unless(defined(&HRW_SCC_TRANS_EN_N)) {
    sub HRW_SCC_TRANS_EN_N () {	0x1;}
}
unless(defined(&HRW_BAY_POWER_N)) {
    sub HRW_BAY_POWER_N () {	0x2;}
}
unless(defined(&HRW_BAY_PCI_ENABLE)) {
    sub HRW_BAY_PCI_ENABLE () {	0x4;}
}
unless(defined(&HRW_BAY_IDE_ENABLE)) {
    sub HRW_BAY_IDE_ENABLE () {	0x8;}
}
unless(defined(&HRW_BAY_FLOPPY_ENABLE)) {
    sub HRW_BAY_FLOPPY_ENABLE () {	0x10;}
}
unless(defined(&HRW_IDE0_ENABLE)) {
    sub HRW_IDE0_ENABLE () {	0x20;}
}
unless(defined(&HRW_IDE0_RESET_N)) {
    sub HRW_IDE0_RESET_N () {	0x40;}
}
unless(defined(&HRW_BAY_DEV_MASK)) {
    sub HRW_BAY_DEV_MASK () {	0x1c;}
}
unless(defined(&HRW_BAY_RESET_N)) {
    sub HRW_BAY_RESET_N () {	0x80;}
}
unless(defined(&HRW_IOBUS_ENABLE)) {
    sub HRW_IOBUS_ENABLE () {	0x100;}
}
unless(defined(&HRW_SCC_ENABLE)) {
    sub HRW_SCC_ENABLE () {	0x200;}
}
unless(defined(&HRW_MESH_ENABLE)) {
    sub HRW_MESH_ENABLE () {	0x400;}
}
unless(defined(&HRW_SWIM_ENABLE)) {
    sub HRW_SWIM_ENABLE () {	0x800;}
}
unless(defined(&HRW_SOUND_POWER_N)) {
    sub HRW_SOUND_POWER_N () {	0x1000;}
}
unless(defined(&HRW_SOUND_CLK_ENABLE)) {
    sub HRW_SOUND_CLK_ENABLE () {	0x2000;}
}
unless(defined(&HRW_SCCA_IO)) {
    sub HRW_SCCA_IO () {	0x4000;}
}
unless(defined(&HRW_SCCB_IO)) {
    sub HRW_SCCB_IO () {	0x8000;}
}
unless(defined(&HRW_PORT_OR_DESK_VIA_N)) {
    sub HRW_PORT_OR_DESK_VIA_N () {	0x10000;}
}
unless(defined(&HRW_PWM_MON_ID_N)) {
    sub HRW_PWM_MON_ID_N () {	0x20000;}
}
unless(defined(&HRW_HOOK_MB_CNT_N)) {
    sub HRW_HOOK_MB_CNT_N () {	0x40000;}
}
unless(defined(&HRW_SWIM_CLONE_FLOPPY)) {
    sub HRW_SWIM_CLONE_FLOPPY () {	0x80000;}
}
unless(defined(&HRW_AUD_RUN22)) {
    sub HRW_AUD_RUN22 () {	0x100000;}
}
unless(defined(&HRW_SCSI_LINK_MODE)) {
    sub HRW_SCSI_LINK_MODE () {	0x200000;}
}
unless(defined(&HRW_ARB_BYPASS)) {
    sub HRW_ARB_BYPASS () {	0x400000;}
}
unless(defined(&HRW_IDE1_RESET_N)) {
    sub HRW_IDE1_RESET_N () {	0x800000;}
}
unless(defined(&HRW_SLOW_SCC_PCLK)) {
    sub HRW_SLOW_SCC_PCLK () {	0x1000000;}
}
unless(defined(&HRW_RESET_SCC)) {
    sub HRW_RESET_SCC () {	0x2000000;}
}
unless(defined(&HRW_MFDC_CELL_ENABLE)) {
    sub HRW_MFDC_CELL_ENABLE () {	0x4000000;}
}
unless(defined(&HRW_USE_MFDC)) {
    sub HRW_USE_MFDC () {	0x8000000;}
}
unless(defined(&HRW_BMAC_IO_ENABLE)) {
    sub HRW_BMAC_IO_ENABLE () {	0x60000000;}
}
unless(defined(&HRW_BMAC_RESET)) {
    sub HRW_BMAC_RESET () {	0x80000000;}
}
unless(defined(&HRW_DEFAULTS)) {
    sub HRW_DEFAULTS () {	( &HRW_SCCA_IO |  &HRW_SCCB_IO |  &HRW_SCC_ENABLE);}
}
unless(defined(&HRW_GPIO_MODEM_RESET)) {
    sub HRW_GPIO_MODEM_RESET () {	0x6d;}
}
1;
