require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASMPPC_IDE_H)) {
    eval 'sub __ASMPPC_IDE_H () {1;}' unless defined(&__ASMPPC_IDE_H);
    if(defined(&__KERNEL__)) {
	require 'linux/sched.ph';
	require 'asm/processor.ph';
	require 'asm/mpc8xx.ph';
	unless(defined(&MAX_HWIFS)) {
	    eval 'sub MAX_HWIFS () {8;}' unless defined(&MAX_HWIFS);
	}
	require 'asm/hdreg.ph';
	require 'linux/config.ph';
	require 'linux/hdreg.ph';
	require 'linux/ioport.ph';
	require 'asm/io.ph';
	undef(&SUPPORT_SLOW_DATA_PORTS) if defined(&SUPPORT_SLOW_DATA_PORTS);
	eval 'sub SUPPORT_SLOW_DATA_PORTS () {0;}' unless defined(&SUPPORT_SLOW_DATA_PORTS);
	undef(&SUPPORT_VLB_SYNC) if defined(&SUPPORT_VLB_SYNC);
	eval 'sub SUPPORT_VLB_SYNC () {0;}' unless defined(&SUPPORT_VLB_SYNC);
	eval 'sub ide_default_irq {
	    my($base) = @_;
    	    eval q({  &if ( ($ppc_ide_md->{default_irq}))  ($ppc_ide_md->{default_irq})($base); 0; });
	}' unless defined(&ide_default_irq);
	eval 'sub ide_default_io_base {
	    my($index) = @_;
    	    eval q({  &if ( ($ppc_ide_md->{default_io_base}))  ($ppc_ide_md->{default_io_base})($index); 0; });
	}' unless defined(&ide_default_io_base);
	eval 'sub ide_init_hwif_ports {
	    my($hw,$data_port,$ctrl_port,$irq) = @_;
    	    eval q({  &ide_ioreg_t  &reg = $data_port; \'int\'  &i;  &if ( ($ppc_ide_md->{ide_init_hwif}) !=  &NULL) {  ($ppc_ide_md->{ide_init_hwif})($hw, $data_port, $ctrl_port, $irq); ; }  &for ( &i =  &IDE_DATA_OFFSET;  &i <=  &IDE_STATUS_OFFSET;  &i++)  ($hw->{io_ports[&i]}) =  &reg++;  &if ($ctrl_port) {  ($hw->{io_ports[&IDE_CONTROL_OFFSET]}) = $ctrl_port; }  &else {  ($hw->{io_ports[&IDE_CONTROL_OFFSET]}) =  ($hw->{io_ports[&IDE_DATA_OFFSET]}) + 0x206; }  &if ($irq !=  &NULL) *$irq = 0;  ($hw->{io_ports[&IDE_IRQ_OFFSET]}) = 0; });
	}' unless defined(&ide_init_hwif_ports);
# some #ifdef were dropped here -- fill in the blanks
	eval 'sub ide_init_default_hwifs {
	    my($void) = @_;
    	    eval q({ });
	}' unless defined(&ide_init_default_hwifs);
	eval 'sub __ide_mm_insw {
	    my($p, $a, $c) = @_;
    	    eval q( &_insw_ns(( &volatile  &u16 *)($p), ($a), ($c)));
	}' unless defined(&__ide_mm_insw);
	eval 'sub __ide_mm_insl {
	    my($p, $a, $c) = @_;
    	    eval q( &_insl_ns(( &volatile  &u32 *)($p), ($a), ($c)));
	}' unless defined(&__ide_mm_insl);
	eval 'sub __ide_mm_outsw {
	    my($p, $a, $c) = @_;
    	    eval q( &_outsw_ns(( &volatile  &u16 *)($p), ($a), ($c)));
	}' unless defined(&__ide_mm_outsw);
	eval 'sub __ide_mm_outsl {
	    my($p, $a, $c) = @_;
    	    eval q( &_outsl_ns(( &volatile  &u32 *)($p), ($a), ($c)));
	}' unless defined(&__ide_mm_outsl);
	if((defined (defined(&CONFIG_APUS) ? &CONFIG_APUS : 0) || defined (defined(&CONFIG_BLK_DEV_MPC8xx_IDE) ? &CONFIG_BLK_DEV_MPC8xx_IDE : 0) )) {
	    eval 'sub IDE_ARCH_ACK_INTR () {1;}' unless defined(&IDE_ARCH_ACK_INTR);
	}
    }
}
1;
