require '_h2ph_pre.ph';

no warnings 'redefine';

if(defined(&__KERNEL__)) {
    unless(defined(&__ASMPPC_PPC4xx_DMA_H)) {
	eval 'sub __ASMPPC_PPC4xx_DMA_H () {1;}' unless defined(&__ASMPPC_PPC4xx_DMA_H);
	require 'linux/config.ph';
	require 'linux/types.ph';
	require 'asm/mmu.ph';
	require 'asm/ibm4xx.ph';
	undef(&DEBUG_4xxDMA) if defined(&DEBUG_4xxDMA);
	eval 'sub MAX_PPC4xx_DMA_CHANNELS () {4;}' unless defined(&MAX_PPC4xx_DMA_CHANNELS);
	eval 'sub DMA_STATUS_GOOD () {0;}' unless defined(&DMA_STATUS_GOOD);
	eval 'sub DMA_STATUS_BAD_CHANNEL () {1;}' unless defined(&DMA_STATUS_BAD_CHANNEL);
	eval 'sub DMA_STATUS_BAD_HANDLE () {2;}' unless defined(&DMA_STATUS_BAD_HANDLE);
	eval 'sub DMA_STATUS_BAD_MODE () {3;}' unless defined(&DMA_STATUS_BAD_MODE);
	eval 'sub DMA_STATUS_NULL_POINTER () {4;}' unless defined(&DMA_STATUS_NULL_POINTER);
	eval 'sub DMA_STATUS_OUT_OF_MEMORY () {5;}' unless defined(&DMA_STATUS_OUT_OF_MEMORY);
	eval 'sub DMA_STATUS_SGL_LIST_EMPTY () {6;}' unless defined(&DMA_STATUS_SGL_LIST_EMPTY);
	eval 'sub DMA_STATUS_GENERAL_ERROR () {7;}' unless defined(&DMA_STATUS_GENERAL_ERROR);
	eval 'sub DMA_STATUS_CHANNEL_NOTFREE () {8;}' unless defined(&DMA_STATUS_CHANNEL_NOTFREE);
	eval 'sub DMA_CHANNEL_BUSY () {0x80000000;}' unless defined(&DMA_CHANNEL_BUSY);
	eval 'sub DMA_STATUS_NO_ERROR () {0;}' unless defined(&DMA_STATUS_NO_ERROR);
	eval 'sub DMA_STATUS_CS () {1;}' unless defined(&DMA_STATUS_CS);
	eval 'sub DMA_STATUS_TS () {2;}' unless defined(&DMA_STATUS_TS);
	eval 'sub DMA_STATUS_DMA_ERROR () {3;}' unless defined(&DMA_STATUS_DMA_ERROR);
	eval 'sub DMA_STATUS_DMA_BUSY () {4;}' unless defined(&DMA_STATUS_DMA_BUSY);
	if(defined(&CONFIG_44x)) {
	    eval 'sub PPC4xx_DMA_64BIT () {1;}' unless defined(&PPC4xx_DMA_64BIT);
	    eval 'sub DMA_CR_OFFSET () {1;}' unless defined(&DMA_CR_OFFSET);
	} else {
	    eval 'sub DMA_CR_OFFSET () {0;}' unless defined(&DMA_CR_OFFSET);
	}
	eval 'sub DMA_CE_ENABLE () {(1<<31);}' unless defined(&DMA_CE_ENABLE);
	eval 'sub SET_DMA_CE_ENABLE {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<31));
	}' unless defined(&SET_DMA_CE_ENABLE);
	eval 'sub GET_DMA_CE_ENABLE {
	    my($x) = @_;
    	    eval q(((($x) &DMA_CE_ENABLE)>>31));
	}' unless defined(&GET_DMA_CE_ENABLE);
	eval 'sub DMA_CIE_ENABLE () {(1<<30);}' unless defined(&DMA_CIE_ENABLE);
	eval 'sub SET_DMA_CIE_ENABLE {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<30));
	}' unless defined(&SET_DMA_CIE_ENABLE);
	eval 'sub GET_DMA_CIE_ENABLE {
	    my($x) = @_;
    	    eval q(((($x) &DMA_CIE_ENABLE)>>30));
	}' unless defined(&GET_DMA_CIE_ENABLE);
	eval 'sub DMA_TD () {(1<<29);}' unless defined(&DMA_TD);
	eval 'sub SET_DMA_TD {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<29));
	}' unless defined(&SET_DMA_TD);
	eval 'sub GET_DMA_TD {
	    my($x) = @_;
    	    eval q(((($x) &DMA_TD)>>29));
	}' unless defined(&GET_DMA_TD);
	eval 'sub DMA_PL () {(1<<28);}' unless defined(&DMA_PL);
	eval 'sub SET_DMA_PL {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<28));
	}' unless defined(&SET_DMA_PL);
	eval 'sub GET_DMA_PL {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PL)>>28));
	}' unless defined(&GET_DMA_PL);
	eval 'sub EXTERNAL_PERIPHERAL () {0;}' unless defined(&EXTERNAL_PERIPHERAL);
	eval 'sub INTERNAL_PERIPHERAL () {1;}' unless defined(&INTERNAL_PERIPHERAL);
	eval 'sub SET_DMA_PW {
	    my($x) = @_;
    	    eval q(((($x)&0x3)<<(26- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_PW);
	eval 'sub DMA_PW_MASK () { &SET_DMA_PW(3);}' unless defined(&DMA_PW_MASK);
	eval 'sub PW_8 () {0;}' unless defined(&PW_8);
	eval 'sub PW_16 () {1;}' unless defined(&PW_16);
	eval 'sub PW_32 () {2;}' unless defined(&PW_32);
	eval 'sub PW_64 () {3;}' unless defined(&PW_64);
	eval 'sub GET_DMA_PW {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PW_MASK)>>(26- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_PW);
	eval 'sub DMA_DAI () {(1<<(25- &DMA_CR_OFFSET));}' unless defined(&DMA_DAI);
	eval 'sub SET_DMA_DAI {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<(25- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_DAI);
	eval 'sub DMA_SAI () {(1<<(24- &DMA_CR_OFFSET));}' unless defined(&DMA_SAI);
	eval 'sub SET_DMA_SAI {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<(24- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_SAI);
	eval 'sub DMA_BEN () {(1<<(23- &DMA_CR_OFFSET));}' unless defined(&DMA_BEN);
	eval 'sub SET_DMA_BEN {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<(23- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_BEN);
	eval 'sub SET_DMA_TM {
	    my($x) = @_;
    	    eval q(((($x)&0x3)<<(21- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_TM);
	eval 'sub DMA_TM_MASK () { &SET_DMA_TM(3);}' unless defined(&DMA_TM_MASK);
	eval 'sub TM_PERIPHERAL () {0;}' unless defined(&TM_PERIPHERAL);
	eval 'sub TM_RESERVED () {1;}' unless defined(&TM_RESERVED);
	eval 'sub TM_S_MM () {2;}' unless defined(&TM_S_MM);
	eval 'sub TM_D_MM () {3;}' unless defined(&TM_D_MM);
	eval 'sub GET_DMA_TM {
	    my($x) = @_;
    	    eval q(((($x) &DMA_TM_MASK)>>(21- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_TM);
	eval 'sub SET_DMA_PSC {
	    my($x) = @_;
    	    eval q(((($x)&0x3)<<(19- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_PSC);
	eval 'sub DMA_PSC_MASK () { &SET_DMA_PSC(3);}' unless defined(&DMA_PSC_MASK);
	eval 'sub GET_DMA_PSC {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PSC_MASK)>>(19- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_PSC);
	eval 'sub SET_DMA_PWC {
	    my($x) = @_;
    	    eval q(((($x)&0x3f)<<(13- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_PWC);
	eval 'sub DMA_PWC_MASK () { &SET_DMA_PWC(0x3f);}' unless defined(&DMA_PWC_MASK);
	eval 'sub GET_DMA_PWC {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PWC_MASK)>>(13- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_PWC);
	eval 'sub SET_DMA_PHC {
	    my($x) = @_;
    	    eval q(((($x)&0x7)<<(10- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_PHC);
	eval 'sub DMA_PHC_MASK () { &SET_DMA_PHC(0x7);}' unless defined(&DMA_PHC_MASK);
	eval 'sub GET_DMA_PHC {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PHC_MASK)>>(10- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_PHC);
	eval 'sub DMA_ETD_OUTPUT () {(1<<(9- &DMA_CR_OFFSET));}' unless defined(&DMA_ETD_OUTPUT);
	eval 'sub SET_DMA_ETD {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<(9- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_ETD);
	eval 'sub DMA_TCE_ENABLE () {(1<<(8- &DMA_CR_OFFSET));}' unless defined(&DMA_TCE_ENABLE);
	eval 'sub SET_DMA_TCE {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<(8- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_TCE);
	eval 'sub DMA_DEC () {(1<<(2);}' unless defined(&DMA_DEC);
	eval 'sub SET_DMA_DEC {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<2));
	}' unless defined(&SET_DMA_DEC);
	eval 'sub GET_DMA_DEC {
	    my($x) = @_;
    	    eval q(((($x) &DMA_DEC)>>2));
	}' unless defined(&GET_DMA_DEC);
	eval 'sub DMA_MODE_MM () {( &SET_DMA_TM( &TM_S_MM));}' unless defined(&DMA_MODE_MM);
	eval 'sub DMA_MODE_MM_DEVATSRC () {( &DMA_TD |  &SET_DMA_TM( &TM_D_MM));}' unless defined(&DMA_MODE_MM_DEVATSRC);
	eval 'sub DMA_MODE_MM_DEVATDST () {( &SET_DMA_TM( &TM_D_MM));}' unless defined(&DMA_MODE_MM_DEVATDST);
	eval 'sub SET_DMA_PREFETCH {
	    my($x) = @_;
    	    eval q(((($x)&0x3)<<(4- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_PREFETCH);
	eval 'sub DMA_PREFETCH_MASK () { &SET_DMA_PREFETCH(3);}' unless defined(&DMA_PREFETCH_MASK);
	eval 'sub PREFETCH_1 () {0;}' unless defined(&PREFETCH_1);
	eval 'sub PREFETCH_2 () {1;}' unless defined(&PREFETCH_2);
	eval 'sub PREFETCH_4 () {2;}' unless defined(&PREFETCH_4);
	eval 'sub GET_DMA_PREFETCH {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PREFETCH_MASK)>>(4- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_PREFETCH);
	eval 'sub DMA_PCE () {(1<<(3- &DMA_CR_OFFSET));}' unless defined(&DMA_PCE);
	eval 'sub SET_DMA_PCE {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<(3- &DMA_CR_OFFSET)));
	}' unless defined(&SET_DMA_PCE);
	eval 'sub GET_DMA_PCE {
	    my($x) = @_;
    	    eval q(((($x) &DMA_PCE)>>(3- &DMA_CR_OFFSET)));
	}' unless defined(&GET_DMA_PCE);
	eval 'sub DMA_ECE_ENABLE () {(1<<5);}' unless defined(&DMA_ECE_ENABLE);
	eval 'sub SET_DMA_ECE {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<5));
	}' unless defined(&SET_DMA_ECE);
	eval 'sub GET_DMA_ECE {
	    my($x) = @_;
    	    eval q(((($x) &DMA_ECE_ENABLE)>>5));
	}' unless defined(&GET_DMA_ECE);
	eval 'sub DMA_TCD_DISABLE () {(1<<4);}' unless defined(&DMA_TCD_DISABLE);
	eval 'sub SET_DMA_TCD {
	    my($x) = @_;
    	    eval q(((($x)&0x1)<<4));
	}' unless defined(&SET_DMA_TCD);
	eval 'sub GET_DMA_TCD {
	    my($x) = @_;
    	    eval q(((($x) &DMA_TCD_DISABLE)>>4));
	}' unless defined(&GET_DMA_TCD);
	if(defined(&CONFIG_PPC4xx_EDMA)) {
	    eval 'sub SGL_LIST_SIZE () {4096;}' unless defined(&SGL_LIST_SIZE);
	    eval 'sub DMA_PPC4xx_SIZE () { &SGL_LIST_SIZE;}' unless defined(&DMA_PPC4xx_SIZE);
	    eval 'sub SET_DMA_PRIORITY {
	        my($x) = @_;
    		eval q(((($x)&0x3)<<(6- &DMA_CR_OFFSET)));
	    }' unless defined(&SET_DMA_PRIORITY);
	    eval 'sub DMA_PRIORITY_MASK () { &SET_DMA_PRIORITY(3);}' unless defined(&DMA_PRIORITY_MASK);
	    eval 'sub PRIORITY_LOW () {0;}' unless defined(&PRIORITY_LOW);
	    eval 'sub PRIORITY_MID_LOW () {1;}' unless defined(&PRIORITY_MID_LOW);
	    eval 'sub PRIORITY_MID_HIGH () {2;}' unless defined(&PRIORITY_MID_HIGH);
	    eval 'sub PRIORITY_HIGH () {3;}' unless defined(&PRIORITY_HIGH);
	    eval 'sub GET_DMA_PRIORITY {
	        my($x) = @_;
    		eval q(((($x) &DMA_PRIORITY_MASK)>>(6- &DMA_CR_OFFSET)));
	    }' unless defined(&GET_DMA_PRIORITY);
	    eval 'sub DMAReq0_ActiveLow () {(1<<31);}' unless defined(&DMAReq0_ActiveLow);
	    eval 'sub DMAAck0_ActiveLow () {(1<<30);}' unless defined(&DMAAck0_ActiveLow);
	    eval 'sub EOT0_ActiveLow () {(1<<29);}' unless defined(&EOT0_ActiveLow);
	    eval 'sub DMAReq1_ActiveLow () {(1<<28);}' unless defined(&DMAReq1_ActiveLow);
	    eval 'sub DMAAck1_ActiveLow () {(1<<27);}' unless defined(&DMAAck1_ActiveLow);
	    eval 'sub EOT1_ActiveLow () {(1<<26);}' unless defined(&EOT1_ActiveLow);
	    eval 'sub DMAReq2_ActiveLow () {(1<<25);}' unless defined(&DMAReq2_ActiveLow);
	    eval 'sub DMAAck2_ActiveLow () {(1<<24);}' unless defined(&DMAAck2_ActiveLow);
	    eval 'sub EOT2_ActiveLow () {(1<<23);}' unless defined(&EOT2_ActiveLow);
	    eval 'sub DMAReq3_ActiveLow () {(1<<22);}' unless defined(&DMAReq3_ActiveLow);
	    eval 'sub DMAAck3_ActiveLow () {(1<<21);}' unless defined(&DMAAck3_ActiveLow);
	    eval 'sub EOT3_ActiveLow () {(1<<20);}' unless defined(&EOT3_ActiveLow);
	    eval 'sub SLEEP_MODE_ENABLE () {(1<<21);}' unless defined(&SLEEP_MODE_ENABLE);
	    eval 'sub DMA_CS0 () {(1<<31);}' unless defined(&DMA_CS0);
	    eval 'sub DMA_CS1 () {(1<<30);}' unless defined(&DMA_CS1);
	    eval 'sub DMA_CS2 () {(1<<29);}' unless defined(&DMA_CS2);
	    eval 'sub DMA_CS3 () {(1<<28);}' unless defined(&DMA_CS3);
	    eval 'sub DMA_TS0 () {(1<<27);}' unless defined(&DMA_TS0);
	    eval 'sub DMA_TS1 () {(1<<26);}' unless defined(&DMA_TS1);
	    eval 'sub DMA_TS2 () {(1<<25);}' unless defined(&DMA_TS2);
	    eval 'sub DMA_TS3 () {(1<<24);}' unless defined(&DMA_TS3);
	    eval 'sub DMA_CH0_ERR () {(1<<23);}' unless defined(&DMA_CH0_ERR);
	    eval 'sub DMA_CH1_ERR () {(1<<22);}' unless defined(&DMA_CH1_ERR);
	    eval 'sub DMA_CH2_ERR () {(1<<21);}' unless defined(&DMA_CH2_ERR);
	    eval 'sub DMA_CH3_ERR () {(1<<20);}' unless defined(&DMA_CH3_ERR);
	    eval 'sub DMA_IN_DMA_REQ0 () {(1<<19);}' unless defined(&DMA_IN_DMA_REQ0);
	    eval 'sub DMA_IN_DMA_REQ1 () {(1<<18);}' unless defined(&DMA_IN_DMA_REQ1);
	    eval 'sub DMA_IN_DMA_REQ2 () {(1<<17);}' unless defined(&DMA_IN_DMA_REQ2);
	    eval 'sub DMA_IN_DMA_REQ3 () {(1<<16);}' unless defined(&DMA_IN_DMA_REQ3);
	    eval 'sub DMA_EXT_DMA_REQ0 () {(1<<15);}' unless defined(&DMA_EXT_DMA_REQ0);
	    eval 'sub DMA_EXT_DMA_REQ1 () {(1<<14);}' unless defined(&DMA_EXT_DMA_REQ1);
	    eval 'sub DMA_EXT_DMA_REQ2 () {(1<<13);}' unless defined(&DMA_EXT_DMA_REQ2);
	    eval 'sub DMA_EXT_DMA_REQ3 () {(1<<12);}' unless defined(&DMA_EXT_DMA_REQ3);
	    eval 'sub DMA_CH0_BUSY () {(1<<11);}' unless defined(&DMA_CH0_BUSY);
	    eval 'sub DMA_CH1_BUSY () {(1<<10);}' unless defined(&DMA_CH1_BUSY);
	    eval 'sub DMA_CH2_BUSY () {(1<<9);}' unless defined(&DMA_CH2_BUSY);
	    eval 'sub DMA_CH3_BUSY () {(1<<8);}' unless defined(&DMA_CH3_BUSY);
	    eval 'sub DMA_SG0 () {(1<<7);}' unless defined(&DMA_SG0);
	    eval 'sub DMA_SG1 () {(1<<6);}' unless defined(&DMA_SG1);
	    eval 'sub DMA_SG2 () {(1<<5);}' unless defined(&DMA_SG2);
	    eval 'sub DMA_SG3 () {(1<<4);}' unless defined(&DMA_SG3);
	    eval 'sub SSG0_ENABLE () {(1<<31);}' unless defined(&SSG0_ENABLE);
	    eval 'sub SSG1_ENABLE () {(1<<30);}' unless defined(&SSG1_ENABLE);
	    eval 'sub SSG2_ENABLE () {(1<<29);}' unless defined(&SSG2_ENABLE);
	    eval 'sub SSG3_ENABLE () {(1<<28);}' unless defined(&SSG3_ENABLE);
	    eval 'sub SSG0_MASK_ENABLE () {(1<<15);}' unless defined(&SSG0_MASK_ENABLE);
	    eval 'sub SSG1_MASK_ENABLE () {(1<<14);}' unless defined(&SSG1_MASK_ENABLE);
	    eval 'sub SSG2_MASK_ENABLE () {(1<<13);}' unless defined(&SSG2_MASK_ENABLE);
	    eval 'sub SSG3_MASK_ENABLE () {(1<<12);}' unless defined(&SSG3_MASK_ENABLE);
	    eval 'sub SG_LINK () {(1<<31);}' unless defined(&SG_LINK);
	    eval 'sub SG_TCI_ENABLE () {(1<<29);}' unless defined(&SG_TCI_ENABLE);
	    eval 'sub SG_ETI_ENABLE () {(1<<28);}' unless defined(&SG_ETI_ENABLE);
	    eval 'sub SG_ERI_ENABLE () {(1<<27);}' unless defined(&SG_ERI_ENABLE);
	    eval 'sub SG_COUNT_MASK () {0xffff;}' unless defined(&SG_COUNT_MASK);
	    eval 'sub SET_DMA_CONTROL () {( &SET_DMA_CIE_ENABLE( ($p_init->{int_enable})) |  &SET_DMA_BEN( ($p_init->{buffer_enable})) |  &SET_DMA_ETD( ($p_init->{etd_output})) |  &SET_DMA_TCE( ($p_init->{tce_enable})) |  &SET_DMA_PL( ($p_init->{pl})) |  &SET_DMA_DAI( ($p_init->{dai})) |  &SET_DMA_SAI( ($p_init->{sai})) |  &SET_DMA_PRIORITY( ($p_init->{cp})) |  &SET_DMA_PW( ($p_init->{pwidth})) |  &SET_DMA_PSC( ($p_init->{psc})) |  &SET_DMA_PWC( ($p_init->{pwc})) |  &SET_DMA_PHC( ($p_init->{phc})) |  &SET_DMA_PREFETCH( ($p_init->{pf})) );}' unless defined(&SET_DMA_CONTROL);
	    eval 'sub GET_DMA_POLARITY {
	        my($chan) = @_;
    		eval q(( &DMAReq$chan &_ActiveLow |  &DMAAck$chan &_ActiveLow |  &EOT$chan &_ActiveLow));
	    }' unless defined(&GET_DMA_POLARITY);
	}
 elsif(defined( &CONFIG_STBXXX_DMA) ) {
	    eval 'sub DMA_PPC4xx_SIZE () {4096;}' unless defined(&DMA_PPC4xx_SIZE);
	    eval 'sub SET_DMA_PRIORITY {
	        my($x) = @_;
    		eval q(((($x)&0x800001)));
	    }' unless defined(&SET_DMA_PRIORITY);
	    eval 'sub DMA_PRIORITY_MASK () {0x800001;}' unless defined(&DMA_PRIORITY_MASK);
	    eval 'sub PRIORITY_LOW () {0x;}' unless defined(&PRIORITY_LOW);
	    eval 'sub PRIORITY_MID_LOW () {0x1;}' unless defined(&PRIORITY_MID_LOW);
	    eval 'sub PRIORITY_MID_HIGH () {0x800000;}' unless defined(&PRIORITY_MID_HIGH);
	    eval 'sub PRIORITY_HIGH () {0x800001;}' unless defined(&PRIORITY_HIGH);
	    eval 'sub GET_DMA_PRIORITY {
	        my($x) = @_;
    		eval q(((((($x) &DMA_PRIORITY_MASK) &0x800000) >> 22) | ((($x) &DMA_PRIORITY_MASK) &0x1)));
	    }' unless defined(&GET_DMA_PRIORITY);
	    eval 'sub DMA_CS0 () {(1<<31);}' unless defined(&DMA_CS0);
	    eval 'sub DMA_CS1 () {(1<<30);}' unless defined(&DMA_CS1);
	    eval 'sub DMA_CS2 () {(1<<29);}' unless defined(&DMA_CS2);
	    eval 'sub DMA_CS3 () {(1<<28);}' unless defined(&DMA_CS3);
	    eval 'sub DMA_TS0 () {(1<<27);}' unless defined(&DMA_TS0);
	    eval 'sub DMA_TS1 () {(1<<26);}' unless defined(&DMA_TS1);
	    eval 'sub DMA_TS2 () {(1<<25);}' unless defined(&DMA_TS2);
	    eval 'sub DMA_TS3 () {(1<<24);}' unless defined(&DMA_TS3);
	    eval 'sub DMA_CH0_ERR () {(1<<23);}' unless defined(&DMA_CH0_ERR);
	    eval 'sub DMA_CH1_ERR () {(1<<22);}' unless defined(&DMA_CH1_ERR);
	    eval 'sub DMA_CH2_ERR () {(1<<21);}' unless defined(&DMA_CH2_ERR);
	    eval 'sub DMA_CH3_ERR () {(1<<20);}' unless defined(&DMA_CH3_ERR);
	    eval 'sub DMA_CT0 () {(1<<19);}' unless defined(&DMA_CT0);
	    eval 'sub DMA_IN_DMA_REQ0 () {(1<<18);}' unless defined(&DMA_IN_DMA_REQ0);
	    eval 'sub DMA_IN_DMA_REQ1 () {(1<<17);}' unless defined(&DMA_IN_DMA_REQ1);
	    eval 'sub DMA_IN_DMA_REQ2 () {(1<<16);}' unless defined(&DMA_IN_DMA_REQ2);
	    eval 'sub DMA_IN_DMA_REQ3 () {(1<<15);}' unless defined(&DMA_IN_DMA_REQ3);
	    eval 'sub DMA_EXT_DMA_REQ0 () {(1<<14);}' unless defined(&DMA_EXT_DMA_REQ0);
	    eval 'sub DMA_EXT_DMA_REQ1 () {(1<<13);}' unless defined(&DMA_EXT_DMA_REQ1);
	    eval 'sub DMA_EXT_DMA_REQ2 () {(1<<12);}' unless defined(&DMA_EXT_DMA_REQ2);
	    eval 'sub DMA_EXT_DMA_REQ3 () {(1<<11);}' unless defined(&DMA_EXT_DMA_REQ3);
	    eval 'sub DMA_CH0_BUSY () {(1<<10);}' unless defined(&DMA_CH0_BUSY);
	    eval 'sub DMA_CH1_BUSY () {(1<<9);}' unless defined(&DMA_CH1_BUSY);
	    eval 'sub DMA_CH2_BUSY () {(1<<8);}' unless defined(&DMA_CH2_BUSY);
	    eval 'sub DMA_CH3_BUSY () {(1<<7);}' unless defined(&DMA_CH3_BUSY);
	    eval 'sub DMA_CT1 () {(1<<6);}' unless defined(&DMA_CT1);
	    eval 'sub DMA_CT2 () {(1<<5);}' unless defined(&DMA_CT2);
	    eval 'sub DMA_CT3 () {(1<<4);}' unless defined(&DMA_CT3);
	    eval 'sub DMA_CH_ENABLE () {(1<<7);}' unless defined(&DMA_CH_ENABLE);
	    eval 'sub SET_DMA_CH {
	        my($x) = @_;
    		eval q(((($x)&0x1)<<7));
	    }' unless defined(&SET_DMA_CH);
	    eval 'sub GET_DMA_CH {
	        my($x) = @_;
    		eval q(((($x) &DMA_CH_ENABLE)>>7));
	    }' unless defined(&GET_DMA_CH);
	    eval 'sub SSP0_RECV () {15;}' unless defined(&SSP0_RECV);
	    eval 'sub SSP0_XMIT () {14;}' unless defined(&SSP0_XMIT);
	    eval 'sub EXT_DMA_0 () {12;}' unless defined(&EXT_DMA_0);
	    eval 'sub SC1_XMIT () {11;}' unless defined(&SC1_XMIT);
	    eval 'sub SC1_RECV () {10;}' unless defined(&SC1_RECV);
	    eval 'sub EXT_DMA_2 () {9;}' unless defined(&EXT_DMA_2);
	    eval 'sub EXT_DMA_3 () {8;}' unless defined(&EXT_DMA_3);
	    eval 'sub SERIAL2_XMIT () {7;}' unless defined(&SERIAL2_XMIT);
	    eval 'sub SERIAL2_RECV () {6;}' unless defined(&SERIAL2_RECV);
	    eval 'sub SC0_XMIT () {5;}' unless defined(&SC0_XMIT);
	    eval 'sub SC0_RECV () {4;}' unless defined(&SC0_RECV);
	    eval 'sub SERIAL1_XMIT () {3;}' unless defined(&SERIAL1_XMIT);
	    eval 'sub SERIAL1_RECV () {2;}' unless defined(&SERIAL1_RECV);
	    eval 'sub SERIAL0_XMIT () {1;}' unless defined(&SERIAL0_XMIT);
	    eval 'sub SERIAL0_RECV () {0;}' unless defined(&SERIAL0_RECV);
	    eval 'sub DMA_CHAN_0 () {1;}' unless defined(&DMA_CHAN_0);
	    eval 'sub DMA_CHAN_1 () {2;}' unless defined(&DMA_CHAN_1);
	    eval 'sub DMA_CHAN_2 () {3;}' unless defined(&DMA_CHAN_2);
	    eval 'sub DMA_CHAN_3 () {4;}' unless defined(&DMA_CHAN_3);
	    eval 'sub DMA_CR_MB0 () {0x2;}' unless defined(&DMA_CR_MB0);
	    eval 'sub SET_DMA_CONTROL () {( &SET_DMA_CIE_ENABLE( ($p_init->{int_enable})) |  &SET_DMA_ETD( ($p_init->{etd_output})) |  &SET_DMA_TCE( ($p_init->{tce_enable})) |  &SET_DMA_PL( ($p_init->{pl})) |  &SET_DMA_DAI( ($p_init->{dai})) |  &SET_DMA_SAI( ($p_init->{sai})) |  &SET_DMA_PRIORITY( ($p_init->{cp})) |  &SET_DMA_PW( ($p_init->{pwidth})) |  &SET_DMA_PSC( ($p_init->{psc})) |  &SET_DMA_PWC( ($p_init->{pwc})) |  &SET_DMA_PHC( ($p_init->{phc})) |  &SET_DMA_TCD( ($p_init->{tcd_disable})) |  &SET_DMA_ECE( ($p_init->{ece_enable})) |  &SET_DMA_CH( ($p_init->{ch_enable})) |  &DMA_CR_MB0 );}' unless defined(&SET_DMA_CONTROL);
	    eval 'sub GET_DMA_POLARITY {
	        my($chan) = @_;
    		eval q($chan);
	    }' unless defined(&GET_DMA_POLARITY);
	}
	if(defined(&CONFIG_STB03xxx)) {
	}
	if(defined(&PPC4xx_DMA_64BIT)) {
	} else {
	}
    }
}
1;
