require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__PPC_KERNEL_TODC_H)) {
    eval 'sub __PPC_KERNEL_TODC_H () {1;}' unless defined(&__PPC_KERNEL_TODC_H);
    eval 'sub TODC_TYPE_MK48T35 () {1;}' unless defined(&TODC_TYPE_MK48T35);
    eval 'sub TODC_TYPE_MK48T37 () {2;}' unless defined(&TODC_TYPE_MK48T37);
    eval 'sub TODC_TYPE_MK48T59 () {3;}' unless defined(&TODC_TYPE_MK48T59);
    eval 'sub TODC_TYPE_DS1693 () {4;}' unless defined(&TODC_TYPE_DS1693);
    eval 'sub TODC_TYPE_DS1743 () {5;}' unless defined(&TODC_TYPE_DS1743);
    eval 'sub TODC_TYPE_DS1746 () {6;}' unless defined(&TODC_TYPE_DS1746);
    eval 'sub TODC_TYPE_DS1747 () {7;}' unless defined(&TODC_TYPE_DS1747);
    eval 'sub TODC_TYPE_DS1501 () {8;}' unless defined(&TODC_TYPE_DS1501);
    eval 'sub TODC_TYPE_DS1643 () {9;}' unless defined(&TODC_TYPE_DS1643);
    eval 'sub TODC_TYPE_PC97307 () {10;}' unless defined(&TODC_TYPE_PC97307);
    eval 'sub TODC_TYPE_DS1557 () {11;}' unless defined(&TODC_TYPE_DS1557);
    eval 'sub TODC_TYPE_MC146818 () {100;}' unless defined(&TODC_TYPE_MC146818);
    eval 'sub TODC_MK48TXX_CNTL_A_R () {0x40;}' unless defined(&TODC_MK48TXX_CNTL_A_R);
    eval 'sub TODC_MK48TXX_CNTL_A_W () {0x80;}' unless defined(&TODC_MK48TXX_CNTL_A_W);
    eval 'sub TODC_MK48TXX_DAY_CB () {0x80;}' unless defined(&TODC_MK48TXX_DAY_CB);
    eval 'sub TODC_DS1501_CNTL_B_TE () {0x80;}' unless defined(&TODC_DS1501_CNTL_B_TE);
    eval 'sub TODC_FLAG_2_LEVEL_NVRAM () {0x1;}' unless defined(&TODC_FLAG_2_LEVEL_NVRAM);
    eval 'sub TODC_TYPE_MK48T35_NVRAM_SIZE () {0x7ff8;}' unless defined(&TODC_TYPE_MK48T35_NVRAM_SIZE);
    eval 'sub TODC_TYPE_MK48T35_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_MK48T35_SW_FLAGS);
    eval 'sub TODC_TYPE_MK48T35_YEAR () {0x7fff;}' unless defined(&TODC_TYPE_MK48T35_YEAR);
    eval 'sub TODC_TYPE_MK48T35_MONTH () {0x7ffe;}' unless defined(&TODC_TYPE_MK48T35_MONTH);
    eval 'sub TODC_TYPE_MK48T35_DOM () {0x7ffd;}' unless defined(&TODC_TYPE_MK48T35_DOM);
    eval 'sub TODC_TYPE_MK48T35_DOW () {0x7ffc;}' unless defined(&TODC_TYPE_MK48T35_DOW);
    eval 'sub TODC_TYPE_MK48T35_HOURS () {0x7ffb;}' unless defined(&TODC_TYPE_MK48T35_HOURS);
    eval 'sub TODC_TYPE_MK48T35_MINUTES () {0x7ffa;}' unless defined(&TODC_TYPE_MK48T35_MINUTES);
    eval 'sub TODC_TYPE_MK48T35_SECONDS () {0x7ff9;}' unless defined(&TODC_TYPE_MK48T35_SECONDS);
    eval 'sub TODC_TYPE_MK48T35_CNTL_B () {0x7ff9;}' unless defined(&TODC_TYPE_MK48T35_CNTL_B);
    eval 'sub TODC_TYPE_MK48T35_CNTL_A () {0x7ff8;}' unless defined(&TODC_TYPE_MK48T35_CNTL_A);
    eval 'sub TODC_TYPE_MK48T35_WATCHDOG () {0x;}' unless defined(&TODC_TYPE_MK48T35_WATCHDOG);
    eval 'sub TODC_TYPE_MK48T35_INTERRUPTS () {0x;}' unless defined(&TODC_TYPE_MK48T35_INTERRUPTS);
    eval 'sub TODC_TYPE_MK48T35_ALARM_DATE () {0x;}' unless defined(&TODC_TYPE_MK48T35_ALARM_DATE);
    eval 'sub TODC_TYPE_MK48T35_ALARM_HOUR () {0x;}' unless defined(&TODC_TYPE_MK48T35_ALARM_HOUR);
    eval 'sub TODC_TYPE_MK48T35_ALARM_MINUTES () {0x;}' unless defined(&TODC_TYPE_MK48T35_ALARM_MINUTES);
    eval 'sub TODC_TYPE_MK48T35_ALARM_SECONDS () {0x;}' unless defined(&TODC_TYPE_MK48T35_ALARM_SECONDS);
    eval 'sub TODC_TYPE_MK48T35_CENTURY () {0x;}' unless defined(&TODC_TYPE_MK48T35_CENTURY);
    eval 'sub TODC_TYPE_MK48T35_FLAGS () {0x;}' unless defined(&TODC_TYPE_MK48T35_FLAGS);
    eval 'sub TODC_TYPE_MK48T35_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_MK48T35_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_MK48T35_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_MK48T35_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_MK48T37_NVRAM_SIZE () {0x7ff0;}' unless defined(&TODC_TYPE_MK48T37_NVRAM_SIZE);
    eval 'sub TODC_TYPE_MK48T37_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_MK48T37_SW_FLAGS);
    eval 'sub TODC_TYPE_MK48T37_YEAR () {0x7fff;}' unless defined(&TODC_TYPE_MK48T37_YEAR);
    eval 'sub TODC_TYPE_MK48T37_MONTH () {0x7ffe;}' unless defined(&TODC_TYPE_MK48T37_MONTH);
    eval 'sub TODC_TYPE_MK48T37_DOM () {0x7ffd;}' unless defined(&TODC_TYPE_MK48T37_DOM);
    eval 'sub TODC_TYPE_MK48T37_DOW () {0x7ffc;}' unless defined(&TODC_TYPE_MK48T37_DOW);
    eval 'sub TODC_TYPE_MK48T37_HOURS () {0x7ffb;}' unless defined(&TODC_TYPE_MK48T37_HOURS);
    eval 'sub TODC_TYPE_MK48T37_MINUTES () {0x7ffa;}' unless defined(&TODC_TYPE_MK48T37_MINUTES);
    eval 'sub TODC_TYPE_MK48T37_SECONDS () {0x7ff9;}' unless defined(&TODC_TYPE_MK48T37_SECONDS);
    eval 'sub TODC_TYPE_MK48T37_CNTL_B () {0x7ff9;}' unless defined(&TODC_TYPE_MK48T37_CNTL_B);
    eval 'sub TODC_TYPE_MK48T37_CNTL_A () {0x7ff8;}' unless defined(&TODC_TYPE_MK48T37_CNTL_A);
    eval 'sub TODC_TYPE_MK48T37_WATCHDOG () {0x7ff7;}' unless defined(&TODC_TYPE_MK48T37_WATCHDOG);
    eval 'sub TODC_TYPE_MK48T37_INTERRUPTS () {0x7ff6;}' unless defined(&TODC_TYPE_MK48T37_INTERRUPTS);
    eval 'sub TODC_TYPE_MK48T37_ALARM_DATE () {0x7ff5;}' unless defined(&TODC_TYPE_MK48T37_ALARM_DATE);
    eval 'sub TODC_TYPE_MK48T37_ALARM_HOUR () {0x7ff4;}' unless defined(&TODC_TYPE_MK48T37_ALARM_HOUR);
    eval 'sub TODC_TYPE_MK48T37_ALARM_MINUTES () {0x7ff3;}' unless defined(&TODC_TYPE_MK48T37_ALARM_MINUTES);
    eval 'sub TODC_TYPE_MK48T37_ALARM_SECONDS () {0x7ff2;}' unless defined(&TODC_TYPE_MK48T37_ALARM_SECONDS);
    eval 'sub TODC_TYPE_MK48T37_CENTURY () {0x7ff1;}' unless defined(&TODC_TYPE_MK48T37_CENTURY);
    eval 'sub TODC_TYPE_MK48T37_FLAGS () {0x7ff0;}' unless defined(&TODC_TYPE_MK48T37_FLAGS);
    eval 'sub TODC_TYPE_MK48T37_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_MK48T37_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_MK48T37_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_MK48T37_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_MK48T59_NVRAM_SIZE () {0x1ff0;}' unless defined(&TODC_TYPE_MK48T59_NVRAM_SIZE);
    eval 'sub TODC_TYPE_MK48T59_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_MK48T59_SW_FLAGS);
    eval 'sub TODC_TYPE_MK48T59_YEAR () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_YEAR);
    eval 'sub TODC_TYPE_MK48T59_MONTH () {0x1ffe;}' unless defined(&TODC_TYPE_MK48T59_MONTH);
    eval 'sub TODC_TYPE_MK48T59_DOM () {0x1ffd;}' unless defined(&TODC_TYPE_MK48T59_DOM);
    eval 'sub TODC_TYPE_MK48T59_DOW () {0x1ffc;}' unless defined(&TODC_TYPE_MK48T59_DOW);
    eval 'sub TODC_TYPE_MK48T59_HOURS () {0x1ffb;}' unless defined(&TODC_TYPE_MK48T59_HOURS);
    eval 'sub TODC_TYPE_MK48T59_MINUTES () {0x1ffa;}' unless defined(&TODC_TYPE_MK48T59_MINUTES);
    eval 'sub TODC_TYPE_MK48T59_SECONDS () {0x1ff9;}' unless defined(&TODC_TYPE_MK48T59_SECONDS);
    eval 'sub TODC_TYPE_MK48T59_CNTL_B () {0x1ff9;}' unless defined(&TODC_TYPE_MK48T59_CNTL_B);
    eval 'sub TODC_TYPE_MK48T59_CNTL_A () {0x1ff8;}' unless defined(&TODC_TYPE_MK48T59_CNTL_A);
    eval 'sub TODC_TYPE_MK48T59_WATCHDOG () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_WATCHDOG);
    eval 'sub TODC_TYPE_MK48T59_INTERRUPTS () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_INTERRUPTS);
    eval 'sub TODC_TYPE_MK48T59_ALARM_DATE () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_ALARM_DATE);
    eval 'sub TODC_TYPE_MK48T59_ALARM_HOUR () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_ALARM_HOUR);
    eval 'sub TODC_TYPE_MK48T59_ALARM_MINUTES () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_ALARM_MINUTES);
    eval 'sub TODC_TYPE_MK48T59_ALARM_SECONDS () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_ALARM_SECONDS);
    eval 'sub TODC_TYPE_MK48T59_CENTURY () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_CENTURY);
    eval 'sub TODC_TYPE_MK48T59_FLAGS () {0x1fff;}' unless defined(&TODC_TYPE_MK48T59_FLAGS);
    eval 'sub TODC_TYPE_MK48T59_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_MK48T59_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_MK48T59_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_MK48T59_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1501_NVRAM_SIZE () {0x100;}' unless defined(&TODC_TYPE_DS1501_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1501_SW_FLAGS () { &TODC_FLAG_2_LEVEL_NVRAM;}' unless defined(&TODC_TYPE_DS1501_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1501_YEAR () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x6);}' unless defined(&TODC_TYPE_DS1501_YEAR);
    eval 'sub TODC_TYPE_DS1501_MONTH () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x5);}' unless defined(&TODC_TYPE_DS1501_MONTH);
    eval 'sub TODC_TYPE_DS1501_DOM () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x4);}' unless defined(&TODC_TYPE_DS1501_DOM);
    eval 'sub TODC_TYPE_DS1501_DOW () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x3);}' unless defined(&TODC_TYPE_DS1501_DOW);
    eval 'sub TODC_TYPE_DS1501_HOURS () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x2);}' unless defined(&TODC_TYPE_DS1501_HOURS);
    eval 'sub TODC_TYPE_DS1501_MINUTES () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x1);}' unless defined(&TODC_TYPE_DS1501_MINUTES);
    eval 'sub TODC_TYPE_DS1501_SECONDS () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x);}' unless defined(&TODC_TYPE_DS1501_SECONDS);
    eval 'sub TODC_TYPE_DS1501_CNTL_B () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xf);}' unless defined(&TODC_TYPE_DS1501_CNTL_B);
    eval 'sub TODC_TYPE_DS1501_CNTL_A () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xf);}' unless defined(&TODC_TYPE_DS1501_CNTL_A);
    eval 'sub TODC_TYPE_DS1501_WATCHDOG () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xff);}' unless defined(&TODC_TYPE_DS1501_WATCHDOG);
    eval 'sub TODC_TYPE_DS1501_INTERRUPTS () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xff);}' unless defined(&TODC_TYPE_DS1501_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1501_ALARM_DATE () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xb);}' unless defined(&TODC_TYPE_DS1501_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1501_ALARM_HOUR () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xa);}' unless defined(&TODC_TYPE_DS1501_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1501_ALARM_MINUTES () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x9);}' unless defined(&TODC_TYPE_DS1501_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1501_ALARM_SECONDS () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x8);}' unless defined(&TODC_TYPE_DS1501_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1501_CENTURY () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0x7);}' unless defined(&TODC_TYPE_DS1501_CENTURY);
    eval 'sub TODC_TYPE_DS1501_FLAGS () {( &TODC_TYPE_DS1501_NVRAM_SIZE + 0xff);}' unless defined(&TODC_TYPE_DS1501_FLAGS);
    eval 'sub TODC_TYPE_DS1501_NVRAM_ADDR_REG () {0x10;}' unless defined(&TODC_TYPE_DS1501_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1501_NVRAM_DATA_REG () {0x13;}' unless defined(&TODC_TYPE_DS1501_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1557_NVRAM_SIZE () {0x7fff0;}' unless defined(&TODC_TYPE_DS1557_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1557_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_DS1557_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1557_YEAR () {0x7ffff;}' unless defined(&TODC_TYPE_DS1557_YEAR);
    eval 'sub TODC_TYPE_DS1557_MONTH () {0x7fffe;}' unless defined(&TODC_TYPE_DS1557_MONTH);
    eval 'sub TODC_TYPE_DS1557_DOM () {0x7fffd;}' unless defined(&TODC_TYPE_DS1557_DOM);
    eval 'sub TODC_TYPE_DS1557_DOW () {0x7fffc;}' unless defined(&TODC_TYPE_DS1557_DOW);
    eval 'sub TODC_TYPE_DS1557_HOURS () {0x7fffb;}' unless defined(&TODC_TYPE_DS1557_HOURS);
    eval 'sub TODC_TYPE_DS1557_MINUTES () {0x7fffa;}' unless defined(&TODC_TYPE_DS1557_MINUTES);
    eval 'sub TODC_TYPE_DS1557_SECONDS () {0x7fff9;}' unless defined(&TODC_TYPE_DS1557_SECONDS);
    eval 'sub TODC_TYPE_DS1557_CNTL_B () {0x7fff9;}' unless defined(&TODC_TYPE_DS1557_CNTL_B);
    eval 'sub TODC_TYPE_DS1557_CNTL_A () {0x7fff8;}' unless defined(&TODC_TYPE_DS1557_CNTL_A);
    eval 'sub TODC_TYPE_DS1557_WATCHDOG () {0x7fff7;}' unless defined(&TODC_TYPE_DS1557_WATCHDOG);
    eval 'sub TODC_TYPE_DS1557_INTERRUPTS () {0x7fff6;}' unless defined(&TODC_TYPE_DS1557_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1557_ALARM_DATE () {0x7fff5;}' unless defined(&TODC_TYPE_DS1557_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1557_ALARM_HOUR () {0x7fff4;}' unless defined(&TODC_TYPE_DS1557_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1557_ALARM_MINUTES () {0x7fff3;}' unless defined(&TODC_TYPE_DS1557_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1557_ALARM_SECONDS () {0x7fff2;}' unless defined(&TODC_TYPE_DS1557_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1557_CENTURY () {0x7fff8;}' unless defined(&TODC_TYPE_DS1557_CENTURY);
    eval 'sub TODC_TYPE_DS1557_FLAGS () {0x7fff0;}' unless defined(&TODC_TYPE_DS1557_FLAGS);
    eval 'sub TODC_TYPE_DS1557_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_DS1557_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1557_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_DS1557_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1643_NVRAM_SIZE () {0x1ff8;}' unless defined(&TODC_TYPE_DS1643_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1643_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_DS1643_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1643_YEAR () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_YEAR);
    eval 'sub TODC_TYPE_DS1643_MONTH () {0x1ffe;}' unless defined(&TODC_TYPE_DS1643_MONTH);
    eval 'sub TODC_TYPE_DS1643_DOM () {0x1ffd;}' unless defined(&TODC_TYPE_DS1643_DOM);
    eval 'sub TODC_TYPE_DS1643_DOW () {0x1ffc;}' unless defined(&TODC_TYPE_DS1643_DOW);
    eval 'sub TODC_TYPE_DS1643_HOURS () {0x1ffb;}' unless defined(&TODC_TYPE_DS1643_HOURS);
    eval 'sub TODC_TYPE_DS1643_MINUTES () {0x1ffa;}' unless defined(&TODC_TYPE_DS1643_MINUTES);
    eval 'sub TODC_TYPE_DS1643_SECONDS () {0x1ff9;}' unless defined(&TODC_TYPE_DS1643_SECONDS);
    eval 'sub TODC_TYPE_DS1643_CNTL_B () {0x1ff9;}' unless defined(&TODC_TYPE_DS1643_CNTL_B);
    eval 'sub TODC_TYPE_DS1643_CNTL_A () {0x1ff8;}' unless defined(&TODC_TYPE_DS1643_CNTL_A);
    eval 'sub TODC_TYPE_DS1643_WATCHDOG () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_WATCHDOG);
    eval 'sub TODC_TYPE_DS1643_INTERRUPTS () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1643_ALARM_DATE () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1643_ALARM_HOUR () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1643_ALARM_MINUTES () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1643_ALARM_SECONDS () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1643_CENTURY () {0x1ff8;}' unless defined(&TODC_TYPE_DS1643_CENTURY);
    eval 'sub TODC_TYPE_DS1643_FLAGS () {0x1fff;}' unless defined(&TODC_TYPE_DS1643_FLAGS);
    eval 'sub TODC_TYPE_DS1643_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_DS1643_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1643_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_DS1643_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1693_NVRAM_SIZE () {0;}' unless defined(&TODC_TYPE_DS1693_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1693_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_DS1693_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1693_YEAR () {0x9;}' unless defined(&TODC_TYPE_DS1693_YEAR);
    eval 'sub TODC_TYPE_DS1693_MONTH () {0x8;}' unless defined(&TODC_TYPE_DS1693_MONTH);
    eval 'sub TODC_TYPE_DS1693_DOM () {0x7;}' unless defined(&TODC_TYPE_DS1693_DOM);
    eval 'sub TODC_TYPE_DS1693_DOW () {0x6;}' unless defined(&TODC_TYPE_DS1693_DOW);
    eval 'sub TODC_TYPE_DS1693_HOURS () {0x4;}' unless defined(&TODC_TYPE_DS1693_HOURS);
    eval 'sub TODC_TYPE_DS1693_MINUTES () {0x2;}' unless defined(&TODC_TYPE_DS1693_MINUTES);
    eval 'sub TODC_TYPE_DS1693_SECONDS () {0x;}' unless defined(&TODC_TYPE_DS1693_SECONDS);
    eval 'sub TODC_TYPE_DS1693_CNTL_B () {0xb;}' unless defined(&TODC_TYPE_DS1693_CNTL_B);
    eval 'sub TODC_TYPE_DS1693_CNTL_A () {0xa;}' unless defined(&TODC_TYPE_DS1693_CNTL_A);
    eval 'sub TODC_TYPE_DS1693_WATCHDOG () {0xff;}' unless defined(&TODC_TYPE_DS1693_WATCHDOG);
    eval 'sub TODC_TYPE_DS1693_INTERRUPTS () {0xff;}' unless defined(&TODC_TYPE_DS1693_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1693_ALARM_DATE () {0x49;}' unless defined(&TODC_TYPE_DS1693_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1693_ALARM_HOUR () {0x5;}' unless defined(&TODC_TYPE_DS1693_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1693_ALARM_MINUTES () {0x3;}' unless defined(&TODC_TYPE_DS1693_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1693_ALARM_SECONDS () {0x1;}' unless defined(&TODC_TYPE_DS1693_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1693_CENTURY () {0x48;}' unless defined(&TODC_TYPE_DS1693_CENTURY);
    eval 'sub TODC_TYPE_DS1693_FLAGS () {0xff;}' unless defined(&TODC_TYPE_DS1693_FLAGS);
    eval 'sub TODC_TYPE_DS1693_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_DS1693_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1693_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_DS1693_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1743_NVRAM_SIZE () {0x1ff8;}' unless defined(&TODC_TYPE_DS1743_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1743_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_DS1743_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1743_YEAR () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_YEAR);
    eval 'sub TODC_TYPE_DS1743_MONTH () {0x1ffe;}' unless defined(&TODC_TYPE_DS1743_MONTH);
    eval 'sub TODC_TYPE_DS1743_DOM () {0x1ffd;}' unless defined(&TODC_TYPE_DS1743_DOM);
    eval 'sub TODC_TYPE_DS1743_DOW () {0x1ffc;}' unless defined(&TODC_TYPE_DS1743_DOW);
    eval 'sub TODC_TYPE_DS1743_HOURS () {0x1ffb;}' unless defined(&TODC_TYPE_DS1743_HOURS);
    eval 'sub TODC_TYPE_DS1743_MINUTES () {0x1ffa;}' unless defined(&TODC_TYPE_DS1743_MINUTES);
    eval 'sub TODC_TYPE_DS1743_SECONDS () {0x1ff9;}' unless defined(&TODC_TYPE_DS1743_SECONDS);
    eval 'sub TODC_TYPE_DS1743_CNTL_B () {0x1ff9;}' unless defined(&TODC_TYPE_DS1743_CNTL_B);
    eval 'sub TODC_TYPE_DS1743_CNTL_A () {0x1ff8;}' unless defined(&TODC_TYPE_DS1743_CNTL_A);
    eval 'sub TODC_TYPE_DS1743_WATCHDOG () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_WATCHDOG);
    eval 'sub TODC_TYPE_DS1743_INTERRUPTS () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1743_ALARM_DATE () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1743_ALARM_HOUR () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1743_ALARM_MINUTES () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1743_ALARM_SECONDS () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1743_CENTURY () {0x1ff8;}' unless defined(&TODC_TYPE_DS1743_CENTURY);
    eval 'sub TODC_TYPE_DS1743_FLAGS () {0x1fff;}' unless defined(&TODC_TYPE_DS1743_FLAGS);
    eval 'sub TODC_TYPE_DS1743_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_DS1743_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1743_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_DS1743_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1746_NVRAM_SIZE () {0x1fff8;}' unless defined(&TODC_TYPE_DS1746_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1746_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_DS1746_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1746_YEAR () {0x1ffff;}' unless defined(&TODC_TYPE_DS1746_YEAR);
    eval 'sub TODC_TYPE_DS1746_MONTH () {0x1fffe;}' unless defined(&TODC_TYPE_DS1746_MONTH);
    eval 'sub TODC_TYPE_DS1746_DOM () {0x1fffd;}' unless defined(&TODC_TYPE_DS1746_DOM);
    eval 'sub TODC_TYPE_DS1746_DOW () {0x1fffc;}' unless defined(&TODC_TYPE_DS1746_DOW);
    eval 'sub TODC_TYPE_DS1746_HOURS () {0x1fffb;}' unless defined(&TODC_TYPE_DS1746_HOURS);
    eval 'sub TODC_TYPE_DS1746_MINUTES () {0x1fffa;}' unless defined(&TODC_TYPE_DS1746_MINUTES);
    eval 'sub TODC_TYPE_DS1746_SECONDS () {0x1fff9;}' unless defined(&TODC_TYPE_DS1746_SECONDS);
    eval 'sub TODC_TYPE_DS1746_CNTL_B () {0x1fff9;}' unless defined(&TODC_TYPE_DS1746_CNTL_B);
    eval 'sub TODC_TYPE_DS1746_CNTL_A () {0x1fff8;}' unless defined(&TODC_TYPE_DS1746_CNTL_A);
    eval 'sub TODC_TYPE_DS1746_WATCHDOG () {0x;}' unless defined(&TODC_TYPE_DS1746_WATCHDOG);
    eval 'sub TODC_TYPE_DS1746_INTERRUPTS () {0x;}' unless defined(&TODC_TYPE_DS1746_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1746_ALARM_DATE () {0x;}' unless defined(&TODC_TYPE_DS1746_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1746_ALARM_HOUR () {0x;}' unless defined(&TODC_TYPE_DS1746_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1746_ALARM_MINUTES () {0x;}' unless defined(&TODC_TYPE_DS1746_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1746_ALARM_SECONDS () {0x;}' unless defined(&TODC_TYPE_DS1746_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1746_CENTURY () {0x;}' unless defined(&TODC_TYPE_DS1746_CENTURY);
    eval 'sub TODC_TYPE_DS1746_FLAGS () {0x;}' unless defined(&TODC_TYPE_DS1746_FLAGS);
    eval 'sub TODC_TYPE_DS1746_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_DS1746_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1746_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_DS1746_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_DS1747_NVRAM_SIZE () {0x7fff8;}' unless defined(&TODC_TYPE_DS1747_NVRAM_SIZE);
    eval 'sub TODC_TYPE_DS1747_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_DS1747_SW_FLAGS);
    eval 'sub TODC_TYPE_DS1747_YEAR () {0x7ffff;}' unless defined(&TODC_TYPE_DS1747_YEAR);
    eval 'sub TODC_TYPE_DS1747_MONTH () {0x7fffe;}' unless defined(&TODC_TYPE_DS1747_MONTH);
    eval 'sub TODC_TYPE_DS1747_DOM () {0x7fffd;}' unless defined(&TODC_TYPE_DS1747_DOM);
    eval 'sub TODC_TYPE_DS1747_DOW () {0x7fffc;}' unless defined(&TODC_TYPE_DS1747_DOW);
    eval 'sub TODC_TYPE_DS1747_HOURS () {0x7fffb;}' unless defined(&TODC_TYPE_DS1747_HOURS);
    eval 'sub TODC_TYPE_DS1747_MINUTES () {0x7fffa;}' unless defined(&TODC_TYPE_DS1747_MINUTES);
    eval 'sub TODC_TYPE_DS1747_SECONDS () {0x7fff9;}' unless defined(&TODC_TYPE_DS1747_SECONDS);
    eval 'sub TODC_TYPE_DS1747_CNTL_B () {0x7fff9;}' unless defined(&TODC_TYPE_DS1747_CNTL_B);
    eval 'sub TODC_TYPE_DS1747_CNTL_A () {0x7fff8;}' unless defined(&TODC_TYPE_DS1747_CNTL_A);
    eval 'sub TODC_TYPE_DS1747_WATCHDOG () {0x;}' unless defined(&TODC_TYPE_DS1747_WATCHDOG);
    eval 'sub TODC_TYPE_DS1747_INTERRUPTS () {0x;}' unless defined(&TODC_TYPE_DS1747_INTERRUPTS);
    eval 'sub TODC_TYPE_DS1747_ALARM_DATE () {0x;}' unless defined(&TODC_TYPE_DS1747_ALARM_DATE);
    eval 'sub TODC_TYPE_DS1747_ALARM_HOUR () {0x;}' unless defined(&TODC_TYPE_DS1747_ALARM_HOUR);
    eval 'sub TODC_TYPE_DS1747_ALARM_MINUTES () {0x;}' unless defined(&TODC_TYPE_DS1747_ALARM_MINUTES);
    eval 'sub TODC_TYPE_DS1747_ALARM_SECONDS () {0x;}' unless defined(&TODC_TYPE_DS1747_ALARM_SECONDS);
    eval 'sub TODC_TYPE_DS1747_CENTURY () {0x;}' unless defined(&TODC_TYPE_DS1747_CENTURY);
    eval 'sub TODC_TYPE_DS1747_FLAGS () {0x;}' unless defined(&TODC_TYPE_DS1747_FLAGS);
    eval 'sub TODC_TYPE_DS1747_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_DS1747_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_DS1747_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_DS1747_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_MC146818_NVRAM_SIZE () {0;}' unless defined(&TODC_TYPE_MC146818_NVRAM_SIZE);
    eval 'sub TODC_TYPE_MC146818_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_MC146818_SW_FLAGS);
    eval 'sub TODC_TYPE_MC146818_YEAR () {0x9;}' unless defined(&TODC_TYPE_MC146818_YEAR);
    eval 'sub TODC_TYPE_MC146818_MONTH () {0x8;}' unless defined(&TODC_TYPE_MC146818_MONTH);
    eval 'sub TODC_TYPE_MC146818_DOM () {0x7;}' unless defined(&TODC_TYPE_MC146818_DOM);
    eval 'sub TODC_TYPE_MC146818_DOW () {0x6;}' unless defined(&TODC_TYPE_MC146818_DOW);
    eval 'sub TODC_TYPE_MC146818_HOURS () {0x4;}' unless defined(&TODC_TYPE_MC146818_HOURS);
    eval 'sub TODC_TYPE_MC146818_MINUTES () {0x2;}' unless defined(&TODC_TYPE_MC146818_MINUTES);
    eval 'sub TODC_TYPE_MC146818_SECONDS () {0x;}' unless defined(&TODC_TYPE_MC146818_SECONDS);
    eval 'sub TODC_TYPE_MC146818_CNTL_B () {0xa;}' unless defined(&TODC_TYPE_MC146818_CNTL_B);
    eval 'sub TODC_TYPE_MC146818_CNTL_A () {0xb;}' unless defined(&TODC_TYPE_MC146818_CNTL_A);
    eval 'sub TODC_TYPE_MC146818_WATCHDOG () {0;}' unless defined(&TODC_TYPE_MC146818_WATCHDOG);
    eval 'sub TODC_TYPE_MC146818_INTERRUPTS () {0xc;}' unless defined(&TODC_TYPE_MC146818_INTERRUPTS);
    eval 'sub TODC_TYPE_MC146818_ALARM_DATE () {0xff;}' unless defined(&TODC_TYPE_MC146818_ALARM_DATE);
    eval 'sub TODC_TYPE_MC146818_ALARM_HOUR () {0x5;}' unless defined(&TODC_TYPE_MC146818_ALARM_HOUR);
    eval 'sub TODC_TYPE_MC146818_ALARM_MINUTES () {0x3;}' unless defined(&TODC_TYPE_MC146818_ALARM_MINUTES);
    eval 'sub TODC_TYPE_MC146818_ALARM_SECONDS () {0x1;}' unless defined(&TODC_TYPE_MC146818_ALARM_SECONDS);
    eval 'sub TODC_TYPE_MC146818_CENTURY () {0xff;}' unless defined(&TODC_TYPE_MC146818_CENTURY);
    eval 'sub TODC_TYPE_MC146818_FLAGS () {0xff;}' unless defined(&TODC_TYPE_MC146818_FLAGS);
    eval 'sub TODC_TYPE_MC146818_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_MC146818_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_MC146818_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_MC146818_NVRAM_DATA_REG);
    eval 'sub TODC_TYPE_PC97307_NVRAM_SIZE () {0;}' unless defined(&TODC_TYPE_PC97307_NVRAM_SIZE);
    eval 'sub TODC_TYPE_PC97307_SW_FLAGS () {0;}' unless defined(&TODC_TYPE_PC97307_SW_FLAGS);
    eval 'sub TODC_TYPE_PC97307_YEAR () {0x9;}' unless defined(&TODC_TYPE_PC97307_YEAR);
    eval 'sub TODC_TYPE_PC97307_MONTH () {0x8;}' unless defined(&TODC_TYPE_PC97307_MONTH);
    eval 'sub TODC_TYPE_PC97307_DOM () {0x7;}' unless defined(&TODC_TYPE_PC97307_DOM);
    eval 'sub TODC_TYPE_PC97307_DOW () {0x6;}' unless defined(&TODC_TYPE_PC97307_DOW);
    eval 'sub TODC_TYPE_PC97307_HOURS () {0x4;}' unless defined(&TODC_TYPE_PC97307_HOURS);
    eval 'sub TODC_TYPE_PC97307_MINUTES () {0x2;}' unless defined(&TODC_TYPE_PC97307_MINUTES);
    eval 'sub TODC_TYPE_PC97307_SECONDS () {0x;}' unless defined(&TODC_TYPE_PC97307_SECONDS);
    eval 'sub TODC_TYPE_PC97307_CNTL_B () {0xa;}' unless defined(&TODC_TYPE_PC97307_CNTL_B);
    eval 'sub TODC_TYPE_PC97307_CNTL_A () {0xb;}' unless defined(&TODC_TYPE_PC97307_CNTL_A);
    eval 'sub TODC_TYPE_PC97307_WATCHDOG () {0xc;}' unless defined(&TODC_TYPE_PC97307_WATCHDOG);
    eval 'sub TODC_TYPE_PC97307_INTERRUPTS () {0xd;}' unless defined(&TODC_TYPE_PC97307_INTERRUPTS);
    eval 'sub TODC_TYPE_PC97307_ALARM_DATE () {0xff;}' unless defined(&TODC_TYPE_PC97307_ALARM_DATE);
    eval 'sub TODC_TYPE_PC97307_ALARM_HOUR () {0x5;}' unless defined(&TODC_TYPE_PC97307_ALARM_HOUR);
    eval 'sub TODC_TYPE_PC97307_ALARM_MINUTES () {0x3;}' unless defined(&TODC_TYPE_PC97307_ALARM_MINUTES);
    eval 'sub TODC_TYPE_PC97307_ALARM_SECONDS () {0x1;}' unless defined(&TODC_TYPE_PC97307_ALARM_SECONDS);
    eval 'sub TODC_TYPE_PC97307_CENTURY () {0xff;}' unless defined(&TODC_TYPE_PC97307_CENTURY);
    eval 'sub TODC_TYPE_PC97307_FLAGS () {0xff;}' unless defined(&TODC_TYPE_PC97307_FLAGS);
    eval 'sub TODC_TYPE_PC97307_NVRAM_ADDR_REG () {0;}' unless defined(&TODC_TYPE_PC97307_NVRAM_ADDR_REG);
    eval 'sub TODC_TYPE_PC97307_NVRAM_DATA_REG () {0;}' unless defined(&TODC_TYPE_PC97307_NVRAM_DATA_REG);
    eval 'sub TODC_ALLOC () {
        eval q( &static  &todc_info_t  &todc_info_alloc;  &todc_info_t * &todc_info =  &todc_info_alloc;);
    }' unless defined(&TODC_ALLOC);
    eval 'sub TODC_INIT {
        my($clock_type, $as0, $as1, $data, $bits) = @_;
	    eval q({  ($todc_info->{rtc_type}) = $clock_type;  ($todc_info->{nvram_as0})  = ;  ($todc_info->{nvram_as1})  = ;  ($todc_info->{nvram_data}) = ($data);  ($todc_info->{as0_bits}) = ($bits);  ($todc_info->{nvram_size})  = $clock_type  &_NVRAM_SIZE;  ($todc_info->{sw_flags})  = $clock_type  &_SW_FLAGS;  ($todc_info->{year})  = $clock_type  &_YEAR;  ($todc_info->{month})  = $clock_type  &_MONTH;  ($todc_info->{day_of_month})  = $clock_type  &_DOM;  ($todc_info->{day_of_week})  = $clock_type  &_DOW;  ($todc_info->{hours})  = $clock_type  &_HOURS;  ($todc_info->{minutes})  = $clock_type  &_MINUTES;  ($todc_info->{seconds})  = $clock_type  &_SECONDS;  ($todc_info->{control_b})  = $clock_type  &_CNTL_B;  ($todc_info->{control_a})  = $clock_type  &_CNTL_A;  ($todc_info->{watchdog})  = $clock_type  &_WATCHDOG;  ($todc_info->{interrupts})  = $clock_type  &_INTERRUPTS;  ($todc_info->{alarm_date})  = $clock_type  &_ALARM_DATE;  ($todc_info->{alarm_hour})  = $clock_type  &_ALARM_HOUR;  ($todc_info->{alarm_minutes})  = $clock_type  &_ALARM_MINUTES;  ($todc_info->{alarm_seconds})  = $clock_type  &_ALARM_SECONDS;  ($todc_info->{century})  = $clock_type  &_CENTURY;  ($todc_info->{flags})  = $clock_type  &_FLAGS;  ($todc_info->{nvram_addr_reg}) = $clock_type  &_NVRAM_ADDR_REG;  ($todc_info->{nvram_data_reg}) = $clock_type  &_NVRAM_DATA_REG; });
    }' unless defined(&TODC_INIT);
    unless(defined(&BCD_TO_BIN)) {
	eval 'sub BCD_TO_BIN {
	    my($val) = @_;
    	    eval q((($val)=(($val)&15) + (($val)>>4)*10));
	}' unless defined(&BCD_TO_BIN);
    }
    unless(defined(&BIN_TO_BCD)) {
	eval 'sub BIN_TO_BCD {
	    my($val) = @_;
    	    eval q((($val)=((($val)/10)<<4) + ($val)%10));
	}' unless defined(&BIN_TO_BCD);
    }
}
1;
